/*!
 * MediaElement.js
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 * Version: 4.2.16
 */
!function r(a,s,l){function d(n,e){if(!s[n]){if(!a[n]){var t="function"==typeof require&&require;if(!e&&t)return t(n,!0);if(u)return u(n,!0);var o=new Error("Cannot find module '"+n+"'");throw o.code="MODULE_NOT_FOUND",o}var i=s[n]={exports:{}};a[n][0].call(i.exports,function(e){var t=a[n][1][e];return d(t||e)},i,i.exports,r,a,s,l)}return s[n].exports}for(var u="function"==typeof require&&require,e=0;e<l.length;e++)d(l[e]);return d}({1:[function(e,t,n){},{}],2:[function(i,r,e){(function(e){var t=void 0!==e?e:"undefined"!=typeof window?window:{},n=i(1),o="undefined"!=typeof document?document:(o=t["__GLOBAL_DOCUMENT_CACHE@4"])||(t["__GLOBAL_DOCUMENT_CACHE@4"]=n);r.exports=o}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{1:1}],3:[function(e,n,t){(function(e){var t="undefined"!=typeof window?window:void 0!==e?e:"undefined"!=typeof self?self:{};n.exports=t}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{}],4:[function(e,t,n){function o(){}function r(e){if("object"!=typeof this)throw new TypeError("Promises must be constructed via new");if("function"!=typeof e)throw new TypeError("not a function");this._state=0,this._handled=!1,this._value=void 0,this._deferreds=[],u(e,this)}function i(n,o){for(;3===n._state;)n=n._value;0!==n._state?(n._handled=!0,r._immediateFn(function(){var e,t=1===n._state?o.onFulfilled:o.onRejected;if(null!==t){try{e=t(n._value)}catch(e){return void s(o.promise,e)}a(o.promise,e)}else(1===n._state?a:s)(o.promise,n._value)})):n._deferreds.push(o)}function a(t,e){try{if(e===t)throw new TypeError("A promise cannot be resolved with itself.");if(e&&("object"==typeof e||"function"==typeof e)){var n=e.then;if(e instanceof r)return t._state=3,t._value=e,void l(t);if("function"==typeof n)return void u((o=n,i=e,function(){o.apply(i,arguments)}),t)}t._state=1,t._value=e,l(t)}catch(e){s(t,e)}var o,i}function s(e,t){e._state=2,e._value=t,l(e)}function l(e){2===e._state&&0===e._deferreds.length&&r._immediateFn(function(){e._handled||r._unhandledRejectionFn(e._value)});for(var t=0,n=e._deferreds.length;t<n;t++)i(e,e._deferreds[t]);e._deferreds=null}function d(e,t,n){this.onFulfilled="function"==typeof e?e:null,this.onRejected="function"==typeof t?t:null,this.promise=n}function u(e,t){var n=!1;try{e(function(e){n||(n=!0,a(t,e))},function(e){n||(n=!0,s(t,e))})}catch(e){if(n)return;n=!0,s(t,e)}}var c,f;c=this,f=setTimeout,r.prototype.catch=function(e){return this.then(null,e)},r.prototype.then=function(e,t){var n=new this.constructor(o);return i(this,new d(e,t,n)),n},r.all=function(e){var s=Array.prototype.slice.call(e);return new r(function(i,r){if(0===s.length)return i([]);var a=s.length;for(var e=0;e<s.length;e++)!function t(n,e){try{if(e&&("object"==typeof e||"function"==typeof e)){var o=e.then;if("function"==typeof o)return void o.call(e,function(e){t(n,e)},r)}s[n]=e,0==--a&&i(s)}catch(e){r(e)}}(e,s[e])})},r.resolve=function(t){return t&&"object"==typeof t&&t.constructor===r?t:new r(function(e){e(t)})},r.reject=function(n){return new r(function(e,t){t(n)})},r.race=function(i){return new r(function(e,t){for(var n=0,o=i.length;n<o;n++)i[n].then(e,t)})},r._immediateFn="function"==typeof setImmediate?function(e){setImmediate(e)}:function(e){f(e,0)},r._unhandledRejectionFn=function(e){"undefined"!=typeof console&&console&&console.warn("Possible Unhandled Promise Rejection:",e)},r._setImmediateFn=function(e){r._immediateFn=e},r._setUnhandledRejectionFn=function(e){r._unhandledRejectionFn=e},void 0!==t&&t.exports?t.exports=r:c.Promise||(c.Promise=r)},{}],5:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0});var o,a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},i=e(7),r=(o=i)&&o.__esModule?o:{default:o},s=e(15),l=e(27);var d={lang:"en",en:s.EN,language:function(){for(var e=arguments.length,t=Array(e),n=0;n<e;n++)t[n]=arguments[n];if(null!=t&&t.length){if("string"!=typeof t[0])throw new TypeError("Language code must be a string value");if(!/^[a-z]{2,3}((\-|_)[a-z]{2})?$/i.test(t[0]))throw new TypeError("Language code must have format 2-3 letters and. optionally, hyphen, underscore followed by 2 more letters");d.lang=t[0],void 0===d[t[0]]?(t[1]=null!==t[1]&&void 0!==t[1]&&"object"===a(t[1])?t[1]:{},d[t[0]]=(0,l.isObjectEmpty)(t[1])?s.EN:t[1]):null!==t[1]&&void 0!==t[1]&&"object"===a(t[1])&&(d[t[0]]=t[1])}return d.lang},t:function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:null;if("string"==typeof e&&e.length){var n=void 0,o=void 0,i=d.language(),r=function(e,t,n){return"object"!==(void 0===e?"undefined":a(e))||"number"!=typeof t||"number"!=typeof n?e:[function(){return arguments.length<=1?void 0:arguments[1]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:arguments.length<=2?void 0:arguments[2]},function(){return 0===(arguments.length<=0?void 0:arguments[0])||1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:arguments.length<=2?void 0:arguments[2]},function(){return(arguments.length<=0?void 0:arguments[0])%10==1&&(arguments.length<=0?void 0:arguments[0])%100!=11?arguments.length<=1?void 0:arguments[1]:0!==(arguments.length<=0?void 0:arguments[0])?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]},function(){return 1===(arguments.length<=0?void 0:arguments[0])||11===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:2===(arguments.length<=0?void 0:arguments[0])||12===(arguments.length<=0?void 0:arguments[0])?arguments.length<=2?void 0:arguments[2]:2<(arguments.length<=0?void 0:arguments[0])&&(arguments.length<=0?void 0:arguments[0])<20?arguments.length<=3?void 0:arguments[3]:arguments.length<=4?void 0:arguments[4]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:0===(arguments.length<=0?void 0:arguments[0])||0<(arguments.length<=0?void 0:arguments[0])%100&&(arguments.length<=0?void 0:arguments[0])%100<20?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]},function(){return(arguments.length<=0?void 0:arguments[0])%10==1&&(arguments.length<=0?void 0:arguments[0])%100!=11?arguments.length<=1?void 0:arguments[1]:2<=(arguments.length<=0?void 0:arguments[0])%10&&((arguments.length<=0?void 0:arguments[0])%100<10||20<=(arguments.length<=0?void 0:arguments[0])%100)?arguments.length<=2?void 0:arguments[2]:[3]},function(){return(arguments.length<=0?void 0:arguments[0])%10==1&&(arguments.length<=0?void 0:arguments[0])%100!=11?arguments.length<=1?void 0:arguments[1]:2<=(arguments.length<=0?void 0:arguments[0])%10&&(arguments.length<=0?void 0:arguments[0])%10<=4&&((arguments.length<=0?void 0:arguments[0])%100<10||20<=(arguments.length<=0?void 0:arguments[0])%100)?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:2<=(arguments.length<=0?void 0:arguments[0])&&(arguments.length<=0?void 0:arguments[0])<=4?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:2<=(arguments.length<=0?void 0:arguments[0])%10&&(arguments.length<=0?void 0:arguments[0])%10<=4&&((arguments.length<=0?void 0:arguments[0])%100<10||20<=(arguments.length<=0?void 0:arguments[0])%100)?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]},function(){return(arguments.length<=0?void 0:arguments[0])%100==1?arguments.length<=2?void 0:arguments[2]:(arguments.length<=0?void 0:arguments[0])%100==2?arguments.length<=3?void 0:arguments[3]:(arguments.length<=0?void 0:arguments[0])%100==3||(arguments.length<=0?void 0:arguments[0])%100==4?arguments.length<=4?void 0:arguments[4]:arguments.length<=1?void 0:arguments[1]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:2===(arguments.length<=0?void 0:arguments[0])?arguments.length<=2?void 0:arguments[2]:2<(arguments.length<=0?void 0:arguments[0])&&(arguments.length<=0?void 0:arguments[0])<7?arguments.length<=3?void 0:arguments[3]:6<(arguments.length<=0?void 0:arguments[0])&&(arguments.length<=0?void 0:arguments[0])<11?arguments.length<=4?void 0:arguments[4]:arguments.length<=5?void 0:arguments[5]},function(){return 0===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=2?void 0:arguments[2]:2===(arguments.length<=0?void 0:arguments[0])?arguments.length<=3?void 0:arguments[3]:3<=(arguments.length<=0?void 0:arguments[0])%100&&(arguments.length<=0?void 0:arguments[0])%100<=10?arguments.length<=4?void 0:arguments[4]:11<=(arguments.length<=0?void 0:arguments[0])%100?arguments.length<=5?void 0:arguments[5]:arguments.length<=6?void 0:arguments[6]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:0===(arguments.length<=0?void 0:arguments[0])||1<(arguments.length<=0?void 0:arguments[0])%100&&(arguments.length<=0?void 0:arguments[0])%100<11?arguments.length<=2?void 0:arguments[2]:10<(arguments.length<=0?void 0:arguments[0])%100&&(arguments.length<=0?void 0:arguments[0])%100<20?arguments.length<=3?void 0:arguments[3]:arguments.length<=4?void 0:arguments[4]},function(){return(arguments.length<=0?void 0:arguments[0])%10==1?arguments.length<=1?void 0:arguments[1]:(arguments.length<=0?void 0:arguments[0])%10==2?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]},function(){return 11!==(arguments.length<=0?void 0:arguments[0])&&(arguments.length<=0?void 0:arguments[0])%10==1?arguments.length<=1?void 0:arguments[1]:arguments.length<=2?void 0:arguments[2]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:2<=(arguments.length<=0?void 0:arguments[0])%10&&(arguments.length<=0?void 0:arguments[0])%10<=4&&((arguments.length<=0?void 0:arguments[0])%100<10||20<=(arguments.length<=0?void 0:arguments[0])%100)?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:2===(arguments.length<=0?void 0:arguments[0])?arguments.length<=2?void 0:arguments[2]:8!==(arguments.length<=0?void 0:arguments[0])&&11!==(arguments.length<=0?void 0:arguments[0])?arguments.length<=3?void 0:arguments[3]:arguments.length<=4?void 0:arguments[4]},function(){return 0===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:arguments.length<=2?void 0:arguments[2]},function(){return 1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:2===(arguments.length<=0?void 0:arguments[0])?arguments.length<=2?void 0:arguments[2]:3===(arguments.length<=0?void 0:arguments[0])?arguments.length<=3?void 0:arguments[3]:arguments.length<=4?void 0:arguments[4]},function(){return 0===(arguments.length<=0?void 0:arguments[0])?arguments.length<=1?void 0:arguments[1]:1===(arguments.length<=0?void 0:arguments[0])?arguments.length<=2?void 0:arguments[2]:arguments.length<=3?void 0:arguments[3]}][n].apply(null,[t].concat(e))};return void 0!==d[i]&&(n=d[i][e],null!==t&&"number"==typeof t&&(o=d[i]["mejs.plural-form"],n=r.apply(null,[n,t,o]))),!n&&d.en&&(n=d.en[e],null!==t&&"number"==typeof t&&(o=d.en["mejs.plural-form"],n=r.apply(null,[n,t,o]))),n=n||e,null!==t&&"number"==typeof t&&(n=n.replace("%1",t)),(0,l.escapeHTML)(n)}return e}};r.default.i18n=d,"undefined"!=typeof mejsL10n&&r.default.i18n.language(mejsL10n.language,mejsL10n.strings),n.default=d},{15:15,27:27,7:7}],6:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0});var _="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},N=o(e(3)),A=o(e(2)),L=o(e(7)),F=e(27),j=e(28),I=e(8),M=e(25);function o(e){return e&&e.__esModule?e:{default:e}}function O(e,t,n){var c=this;!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,O);var f=this;n=Array.isArray(n)?n:null,f.defaults={renderers:[],fakeNodeName:"mediaelementwrapper",pluginPath:"build/",shimScriptAccess:"sameDomain"},t=Object.assign(f.defaults,t),f.mediaElement=A.default.createElement(t.fakeNodeName);var o=e,i=!1;if("string"==typeof e?f.mediaElement.originalNode=A.default.getElementById(e):o=(f.mediaElement.originalNode=e).id,void 0===f.mediaElement.originalNode||null===f.mediaElement.originalNode)return null;f.mediaElement.options=t,o=o||"mejs_"+Math.random().toString().slice(2),f.mediaElement.originalNode.setAttribute("id",o+"_from_mejs");var r=f.mediaElement.originalNode.tagName.toLowerCase();function a(t,e){var n;return"https:"===N.default.location.protocol&&0===t.indexOf("http:")&&M.IS_IOS&&-1<L.default.html5media.mediaTypes.indexOf(e)&&((n=new XMLHttpRequest).onreadystatechange=function(){if(4!==this.readyState||200!==this.status)return t;var e=(N.default.URL||N.default.webkitURL).createObjectURL(this.response);return f.mediaElement.originalNode.setAttribute("src",e),e},n.open("GET",t),n.responseType="blob",n.send()),t}-1<["video","audio"].indexOf(r)&&!f.mediaElement.originalNode.getAttribute("preload")&&f.mediaElement.originalNode.setAttribute("preload","none"),f.mediaElement.originalNode.parentNode.insertBefore(f.mediaElement,f.mediaElement.originalNode),f.mediaElement.appendChild(f.mediaElement.originalNode);var s=void 0;if(null!==n)s=n;else if(null!==f.mediaElement.originalNode)switch(s=[],f.mediaElement.originalNode.nodeName.toLowerCase()){case"iframe":s.push({type:"",src:f.mediaElement.originalNode.getAttribute("src")});break;case"audio":case"video":var l,d,u=f.mediaElement.originalNode.children.length,p=f.mediaElement.originalNode.getAttribute("src");p&&(l=f.mediaElement.originalNode,d=(0,j.formatType)(p,l.getAttribute("type")),s.push({type:d,src:a(p,d)}));for(var m=0;m<u;m++){var h,v,y=f.mediaElement.originalNode.children[m];"source"===y.tagName.toLowerCase()&&(h=y.getAttribute("src"),v=(0,j.formatType)(h,y.getAttribute("type")),s.push({type:v,src:a(h,v)}))}}function g(t,e,n,o){var i=t[e];Object.defineProperty(t,e,{get:function(){return n.apply(t,[i])},set:function(e){return i=o.apply(t,[e])}})}function E(){return void 0!==f.mediaElement.renderer&&null!==f.mediaElement.renderer?f.mediaElement.renderer.getSrc():null}function b(e){var t=[];if("string"==typeof e)t.push({src:e,type:e?(0,j.getTypeFromFile)(e):""});else if("object"===(void 0===e?"undefined":_(e))&&void 0!==e.src){var n=(0,j.absolutizeUrl)(e.src),o=e.type,i=Object.assign(e,{src:n,type:""!==o&&null!=o||!n?o:(0,j.getTypeFromFile)(n)});t.push(i)}else if(Array.isArray(e))for(var r=0,a=e.length;r<a;r++){var s=(0,j.absolutizeUrl)(e[r].src),l=e[r].type,d=Object.assign(e[r],{src:s,type:""!==l&&null!=l||!s?l:(0,j.getTypeFromFile)(s)});t.push(d)}var u=I.renderer.select(t,f.mediaElement.options.renderers.length?f.mediaElement.options.renderers:[]),c=void 0;if(f.mediaElement.paused||null==f.mediaElement.src||""===f.mediaElement.src||(f.mediaElement.pause(),c=(0,F.createEvent)("pause",f.mediaElement),f.mediaElement.dispatchEvent(c)),f.mediaElement.originalNode.src=t[0].src||"",null!==u||!t[0].src)return!(null==t[0].src||""===t[0].src)?f.mediaElement.changeRenderer(u.rendererName,t):null;f.mediaElement.generateError("No renderer found",t)}function S(e,t){try{var n;"play"!==e||"native_dash"!==f.mediaElement.rendererName&&"native_hls"!==f.mediaElement.rendererName&&"vimeo_iframe"!==f.mediaElement.rendererName?f.mediaElement.renderer[e](t):(n=f.mediaElement.renderer[e](t))&&"function"==typeof n.then&&n.catch(function(){f.mediaElement.paused&&setTimeout(function(){var e=f.mediaElement.renderer.play();void 0!==e&&e.catch(function(){f.mediaElement.renderer.paused||f.mediaElement.renderer.pause()})},150)})}catch(e){f.mediaElement.generateError(e,s)}}f.mediaElement.id=o,f.mediaElement.renderers={},f.mediaElement.events={},f.mediaElement.promises=[],f.mediaElement.renderer=null,f.mediaElement.rendererName=null,f.mediaElement.changeRenderer=function(e,t){var n=c,o=2<Object.keys(t[0]).length?t[0]:t[0].src;if(void 0!==n.mediaElement.renderer&&null!==n.mediaElement.renderer&&n.mediaElement.renderer.name===e)return n.mediaElement.renderer.pause(),n.mediaElement.renderer.stop&&n.mediaElement.renderer.stop(),n.mediaElement.renderer.show(),n.mediaElement.renderer.setSrc(o),!0;void 0!==n.mediaElement.renderer&&null!==n.mediaElement.renderer&&(n.mediaElement.renderer.pause(),n.mediaElement.renderer.stop&&n.mediaElement.renderer.stop(),n.mediaElement.renderer.hide());var i=null;if(null!=(d=n.mediaElement.renderers[e]))return d.show(),d.setSrc(o),n.mediaElement.renderer=d,n.mediaElement.rendererName=e,!0;for(var r=n.mediaElement.options.renderers.length?n.mediaElement.options.renderers:I.renderer.order,a=0,s=r.length;a<s;a++){var l=r[a];if(l===e){var d,i=I.renderer.renderers[l],u=Object.assign(i.options,n.mediaElement.options);return(d=i.create(n.mediaElement,u,t)).name=e,n.mediaElement.renderers[i.name]=d,n.mediaElement.renderer=d,n.mediaElement.rendererName=e,d.show(),!0}}return!1},f.mediaElement.setSize=function(e,t){void 0!==f.mediaElement.renderer&&null!==f.mediaElement.renderer&&f.mediaElement.renderer.setSize(e,t)},f.mediaElement.generateError=function(e,t){e=e||"",t=Array.isArray(t)?t:[];var n=(0,F.createEvent)("error",f.mediaElement);n.message=e,n.urls=t,f.mediaElement.dispatchEvent(n),i=!0};var x=L.default.html5media.properties,w=L.default.html5media.methods;g(f.mediaElement,"src",E,b),f.mediaElement.getSrc=E,f.mediaElement.setSrc=b;for(var P=0,T=x.length;P<T;P++)!function(e){var t,n,o;"src"!==e&&(t=""+e.substring(0,1).toUpperCase()+e.substring(1),n=function(){return void 0!==f.mediaElement.renderer&&null!==f.mediaElement.renderer&&"function"==typeof f.mediaElement.renderer["get"+t]?f.mediaElement.renderer["get"+t]():null},o=function(e){void 0!==f.mediaElement.renderer&&null!==f.mediaElement.renderer&&"function"==typeof f.mediaElement.renderer["set"+t]&&f.mediaElement.renderer["set"+t](e)},g(f.mediaElement,e,n,o),f.mediaElement["get"+t]=n,f.mediaElement["set"+t]=o)}(x[P]);for(var C=0,k=w.length;C<k;C++)!function(o){f.mediaElement[o]=function(){for(var e=arguments.length,t=Array(e),n=0;n<e;n++)t[n]=arguments[n];return void 0!==f.mediaElement.renderer&&null!==f.mediaElement.renderer&&"function"==typeof f.mediaElement.renderer[o]&&(f.mediaElement.promises.length?Promise.all(f.mediaElement.promises).then(function(){S(o,t)}).catch(function(e){f.mediaElement.generateError(e,s)}):S(o,t)),null}}(w[C]);return f.mediaElement.addEventListener=function(e,t){f.mediaElement.events[e]=f.mediaElement.events[e]||[],f.mediaElement.events[e].push(t)},f.mediaElement.removeEventListener=function(e,t){if(!e)return f.mediaElement.events={},!0;var n=f.mediaElement.events[e];if(!n)return!0;if(!t)return f.mediaElement.events[e]=[],!0;for(var o=0;o<n.length;o++)if(n[o]===t)return f.mediaElement.events[e].splice(o,1),!0;return!1},f.mediaElement.dispatchEvent=function(e){var t=f.mediaElement.events[e.type];if(t)for(var n=0;n<t.length;n++)t[n].apply(null,[e])},f.mediaElement.destroy=function(){var e=f.mediaElement.originalNode.cloneNode(!0),t=f.mediaElement.parentElement;e.removeAttribute("id"),e.remove(),f.mediaElement.remove(),t.appendChild(e)},s.length&&(f.mediaElement.src=s),f.mediaElement.promises.length?Promise.all(f.mediaElement.promises).then(function(){f.mediaElement.options.success&&f.mediaElement.options.success(f.mediaElement,f.mediaElement.originalNode)}).catch(function(){i&&f.mediaElement.options.error&&f.mediaElement.options.error(f.mediaElement,f.mediaElement.originalNode)}):(f.mediaElement.options.success&&f.mediaElement.options.success(f.mediaElement,f.mediaElement.originalNode),i&&f.mediaElement.options.error&&f.mediaElement.options.error(f.mediaElement,f.mediaElement.originalNode)),f.mediaElement}N.default.MediaElement=O,L.default.MediaElement=O,n.default=O},{2:2,25:25,27:27,28:28,3:3,7:7,8:8}],7:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0});var o,i=e(3);var r={version:"4.2.16",html5media:{properties:["volume","src","currentTime","muted","duration","paused","ended","buffered","error","networkState","readyState","seeking","seekable","currentSrc","preload","bufferedBytes","bufferedTime","initialTime","startOffsetTime","defaultPlaybackRate","playbackRate","played","autoplay","loop","controls"],readOnlyProperties:["duration","paused","ended","buffered","error","networkState","readyState","seeking","seekable"],methods:["load","play","pause","canPlayType"],events:["loadstart","durationchange","loadedmetadata","loadeddata","progress","canplay","canplaythrough","suspend","abort","error","emptied","stalled","play","playing","pause","waiting","seeking","seeked","timeupdate","ended","ratechange","volumechange"],mediaTypes:["audio/mp3","audio/ogg","audio/oga","audio/wav","audio/x-wav","audio/wave","audio/x-pn-wav","audio/mpeg","audio/mp4","video/mp4","video/webm","video/ogg","video/ogv"]}};((o=i)&&o.__esModule?o:{default:o}).default.mejs=r,n.default=r},{3:3}],8:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.renderer=void 0;var o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},i=function(e,t,n){return t&&r(e.prototype,t),n&&r(e,n),e};function r(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}var a,s=e(7),l=(a=s)&&a.__esModule?a:{default:a};var d=(i(u,[{key:"add",value:function(e){if(void 0===e.name)throw new TypeError("renderer must contain at least `name` property");this.renderers[e.name]=e,this.order.push(e.name)}},{key:"select",value:function(e,t){var o,n,i=(r=1<arguments.length&&void 0!==t?t:[]).length,r=r.length?r:this.order;i||(o=[/^(html5|native)/i,/^flash/i,/iframe$/i],n=function(e){for(var t=0,n=o.length;t<n;t++)if(o[t].test(e))return t;return o.length},r.sort(function(e,t){return n(e)-n(t)}));for(var a=0,s=r.length;a<s;a++){var l=r[a],d=this.renderers[l];if(null!=d)for(var u=0,c=e.length;u<c;u++)if("function"==typeof d.canPlayType&&"string"==typeof e[u].type&&d.canPlayType(e[u].type))return{rendererName:d.name,src:e[u].src}}return null}},{key:"order",set:function(e){if(!Array.isArray(e))throw new TypeError("order must be an array of strings.");this._order=e},get:function(){return this._order}},{key:"renderers",set:function(e){if(null!==e&&"object"!==(void 0===e?"undefined":o(e)))throw new TypeError("renderers must be an array of objects.");this._renderers=e},get:function(){return this._renderers}}]),u);function u(){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,u),this.renderers={},this.order=[]}var c=n.renderer=new d;l.default.Renderers=c},{7:7}],9:[function(e,t,n){"use strict";var f=a(e(3)),p=a(e(2)),i=a(e(5)),o=e(16),r=a(o),m=function(e){{if(e&&e.__esModule)return e;var t={};if(null!=e)for(var n in e)Object.prototype.hasOwnProperty.call(e,n)&&(t[n]=e[n]);return t.default=e,t}}(e(25)),h=e(27),v=e(26),y=e(28);function a(e){return e&&e.__esModule?e:{default:e}}Object.assign(o.config,{usePluginFullScreen:!0,fullscreenText:null,useFakeFullscreen:!1}),Object.assign(r.default.prototype,{isFullScreen:!1,isNativeFullScreen:!1,isInIframe:!1,isPluginClickThroughCreated:!1,fullscreenMode:"",containerSizeTimeout:null,buildfullscreen:function(n){var o,e,t;n.isVideo&&(n.isInIframe=f.default.location!==f.default.parent.location,n.detectFullscreenMode(),o=this,e=(0,h.isString)(o.options.fullscreenText)?o.options.fullscreenText:i.default.t("mejs.fullscreen"),(t=p.default.createElement("div")).className=o.options.classPrefix+"button "+o.options.classPrefix+"fullscreen-button",t.innerHTML='<button type="button" aria-controls="'+o.id+'" title="'+e+'" aria-label="'+e+'" tabindex="0"></button>',o.addControlElement(t,"fullscreen"),t.addEventListener("click",function(){m.HAS_TRUE_NATIVE_FULLSCREEN&&m.IS_FULLSCREEN||n.isFullScreen?n.exitFullScreen():n.enterFullScreen()}),n.fullscreenBtn=t,o.options.keyActions.push({keys:[70],action:function(e,t,n,o){o.ctrlKey||void 0!==e.enterFullScreen&&(e.isFullScreen?e.exitFullScreen():e.enterFullScreen())}}),o.exitFullscreenCallback=function(e){var t=e.which||e.keyCode||0;o.options.enableKeyboard&&27===t&&(m.HAS_TRUE_NATIVE_FULLSCREEN&&m.IS_FULLSCREEN||o.isFullScreen)&&n.exitFullScreen()},o.globalBind("keydown",o.exitFullscreenCallback),o.normalHeight=0,o.normalWidth=0,m.HAS_TRUE_NATIVE_FULLSCREEN&&n.globalBind(m.FULLSCREEN_EVENT_NAME,function(){n.isFullScreen&&(m.isFullScreen()?(n.isNativeFullScreen=!0,n.setControlsSize()):(n.isNativeFullScreen=!1,n.exitFullScreen()))}))},cleanfullscreen:function(e){e.exitFullScreen(),e.globalUnbind("keydown",e.exitFullscreenCallback)},detectFullscreenMode:function(){var e=null!==this.media.rendererName&&/(native|html5)/i.test(this.media.rendererName),t="";return m.HAS_TRUE_NATIVE_FULLSCREEN&&e?t="native-native":m.HAS_TRUE_NATIVE_FULLSCREEN&&!e?t="plugin-native":this.usePluginFullScreen&&m.SUPPORT_POINTER_EVENTS&&(t="plugin-click"),this.fullscreenMode=t},enterFullScreen:function(){var o=this,e=null!==o.media.rendererName&&/(html5|native)/i.test(o.media.rendererName),t=getComputedStyle(o.getElement(o.container));if(o.isVideo)if(!1===o.options.useFakeFullscreen&&m.IS_IOS&&m.HAS_IOS_FULLSCREEN&&"function"==typeof o.media.originalNode.webkitEnterFullscreen&&o.media.originalNode.canPlayType((0,y.getTypeFromFile)(o.media.getSrc())))o.media.originalNode.webkitEnterFullscreen();else{if((0,v.addClass)(p.default.documentElement,o.options.classPrefix+"fullscreen"),(0,v.addClass)(o.getElement(o.container),o.options.classPrefix+"container-fullscreen"),o.normalHeight=parseFloat(t.height),o.normalWidth=parseFloat(t.width),"native-native"!==o.fullscreenMode&&"plugin-native"!==o.fullscreenMode||(m.requestFullScreen(o.getElement(o.container)),o.isInIframe&&setTimeout(function e(){var t,n;o.isNativeFullScreen&&(t=f.default.innerWidth||p.default.documentElement.clientWidth||p.default.body.clientWidth,.002*(n=screen.width)<Math.abs(n-t)?o.exitFullScreen():setTimeout(e,500))},1e3)),o.getElement(o.container).style.width="100%",o.getElement(o.container).style.height="100%",o.containerSizeTimeout=setTimeout(function(){o.getElement(o.container).style.width="100%",o.getElement(o.container).style.height="100%",o.setControlsSize()},500),e)o.node.style.width="100%",o.node.style.height="100%";else for(var n=o.getElement(o.container).querySelectorAll("embed, object, video"),i=n.length,r=0;r<i;r++)n[r].style.width="100%",n[r].style.height="100%";o.options.setDimensions&&"function"==typeof o.media.setSize&&o.media.setSize(screen.width,screen.height);for(var a=o.getElement(o.layers).children,s=a.length,l=0;l<s;l++)a[l].style.width="100%",a[l].style.height="100%";o.fullscreenBtn&&((0,v.removeClass)(o.fullscreenBtn,o.options.classPrefix+"fullscreen"),(0,v.addClass)(o.fullscreenBtn,o.options.classPrefix+"unfullscreen")),o.setControlsSize(),o.isFullScreen=!0;var d=Math.min(screen.width/o.width,screen.height/o.height),u=o.getElement(o.container).querySelector("."+o.options.classPrefix+"captions-text");u&&(u.style.fontSize=100*d+"%",u.style.lineHeight="normal",o.getElement(o.container).querySelector("."+o.options.classPrefix+"captions-position").style.bottom=(screen.height-o.normalHeight)/2-o.getElement(o.controls).offsetHeight/2+d+15+"px");var c=(0,h.createEvent)("enteredfullscreen",o.getElement(o.container));o.getElement(o.container).dispatchEvent(c)}},exitFullScreen:function(){var e=this,t=null!==e.media.rendererName&&/(native|html5)/i.test(e.media.rendererName);if(e.isVideo){if(clearTimeout(e.containerSizeTimeout),m.HAS_TRUE_NATIVE_FULLSCREEN&&(m.IS_FULLSCREEN||e.isFullScreen)&&m.cancelFullScreen(),(0,v.removeClass)(p.default.documentElement,e.options.classPrefix+"fullscreen"),(0,v.removeClass)(e.getElement(e.container),e.options.classPrefix+"container-fullscreen"),e.options.setDimensions){if(e.getElement(e.container).style.width=e.normalWidth+"px",e.getElement(e.container).style.height=e.normalHeight+"px",t)e.node.style.width=e.normalWidth+"px",e.node.style.height=e.normalHeight+"px";else for(var n=e.getElement(e.container).querySelectorAll("embed, object, video"),o=n.length,i=0;i<o;i++)n[i].style.width=e.normalWidth+"px",n[i].style.height=e.normalHeight+"px";"function"==typeof e.media.setSize&&e.media.setSize(e.normalWidth,e.normalHeight);for(var r=e.getElement(e.layers).children,a=r.length,s=0;s<a;s++)r[s].style.width=e.normalWidth+"px",r[s].style.height=e.normalHeight+"px"}e.fullscreenBtn&&((0,v.removeClass)(e.fullscreenBtn,e.options.classPrefix+"unfullscreen"),(0,v.addClass)(e.fullscreenBtn,e.options.classPrefix+"fullscreen")),e.setControlsSize(),e.isFullScreen=!1;var l=e.getElement(e.container).querySelector("."+e.options.classPrefix+"captions-text");l&&(l.style.fontSize="",l.style.lineHeight="",e.getElement(e.container).querySelector("."+e.options.classPrefix+"captions-position").style.bottom="");var d=(0,h.createEvent)("exitedfullscreen",e.getElement(e.container));e.getElement(e.container).dispatchEvent(d)}}})},{16:16,2:2,25:25,26:26,27:27,28:28,3:3,5:5}],10:[function(e,t,n){"use strict";var c=r(e(2)),o=e(16),i=r(o),f=r(e(5)),p=e(27),m=e(26);function r(e){return e&&e.__esModule?e:{default:e}}Object.assign(o.config,{playText:null,pauseText:null}),Object.assign(i.default.prototype,{buildplaypause:function(e,t,n,o){var i=this,r=i.options,a=(0,p.isString)(r.playText)?r.playText:f.default.t("mejs.play"),s=(0,p.isString)(r.pauseText)?r.pauseText:f.default.t("mejs.pause"),l=c.default.createElement("div");l.className=i.options.classPrefix+"button "+i.options.classPrefix+"playpause-button "+i.options.classPrefix+"play",l.innerHTML='<button type="button" aria-controls="'+i.id+'" title="'+a+'" aria-label="'+s+'" tabindex="0"></button>',l.addEventListener("click",function(){i.paused?i.play():i.pause()});var d=l.querySelector("button");function u(e){"play"===e?((0,m.removeClass)(l,i.options.classPrefix+"play"),(0,m.removeClass)(l,i.options.classPrefix+"replay"),(0,m.addClass)(l,i.options.classPrefix+"pause"),d.setAttribute("title",s),d.setAttribute("aria-label",s)):((0,m.removeClass)(l,i.options.classPrefix+"pause"),(0,m.removeClass)(l,i.options.classPrefix+"replay"),(0,m.addClass)(l,i.options.classPrefix+"play"),d.setAttribute("title",a),d.setAttribute("aria-label",a))}i.addControlElement(l,"playpause"),u("pse"),o.addEventListener("loadedmetadata",function(){-1===o.rendererName.indexOf("flash")&&u("pse")}),o.addEventListener("play",function(){u("play")}),o.addEventListener("playing",function(){u("play")}),o.addEventListener("pause",function(){u("pse")}),o.addEventListener("ended",function(){e.options.loop||((0,m.removeClass)(l,i.options.classPrefix+"pause"),(0,m.removeClass)(l,i.options.classPrefix+"play"),(0,m.addClass)(l,i.options.classPrefix+"replay"),d.setAttribute("title",a),d.setAttribute("aria-label",a))})}})},{16:16,2:2,26:26,27:27,5:5}],11:[function(e,t,n){"use strict";var p=r(e(2)),o=e(16),i=r(o),m=r(e(5)),g=e(25),E=e(30),b=e(26);function r(e){return e&&e.__esModule?e:{default:e}}Object.assign(o.config,{enableProgressTooltip:!0,useSmoothHover:!0,forceLive:!1}),Object.assign(i.default.prototype,{buildprogress:function(h,s,e,d){var u=0,v=!1,c=!1,y=this,t=h.options.autoRewind,n=h.options.enableProgressTooltip?'<span class="'+y.options.classPrefix+'time-float"><span class="'+y.options.classPrefix+'time-float-current">00:00</span><span class="'+y.options.classPrefix+'time-float-corner"></span></span>':"",o=p.default.createElement("div");o.className=y.options.classPrefix+"time-rail",o.innerHTML='<span class="'+y.options.classPrefix+"time-total "+y.options.classPrefix+'time-slider"><span class="'+y.options.classPrefix+'time-buffering"></span><span class="'+y.options.classPrefix+'time-loaded"></span><span class="'+y.options.classPrefix+'time-current"></span><span class="'+y.options.classPrefix+'time-hovered no-hover"></span><span class="'+y.options.classPrefix+'time-handle"><span class="'+y.options.classPrefix+'time-handle-content"></span></span>'+n+"</span>",y.addControlElement(o,"progress"),y.options.keyActions.push({keys:[37,227],action:function(e){var t,n;!isNaN(e.duration)&&0<e.duration&&(e.isVideo&&(e.showControls(),e.startControlsTimer()),(t=e.getElement(e.container).querySelector("."+y.options.classPrefix+"time-total"))&&t.focus(),n=Math.max(e.currentTime-e.options.defaultSeekBackwardInterval(e),0),e.paused||e.pause(),setTimeout(function(){e.setCurrentTime(n)},0),setTimeout(function(){e.play()},0))}},{keys:[39,228],action:function(e){var t,n;!isNaN(e.duration)&&0<e.duration&&(e.isVideo&&(e.showControls(),e.startControlsTimer()),(t=e.getElement(e.container).querySelector("."+y.options.classPrefix+"time-total"))&&t.focus(),n=Math.min(e.currentTime+e.options.defaultSeekForwardInterval(e),e.duration),e.paused||e.pause(),setTimeout(function(){e.setCurrentTime(n)},0),setTimeout(function(){e.play()},0))}}),y.rail=s.querySelector("."+y.options.classPrefix+"time-rail"),y.total=s.querySelector("."+y.options.classPrefix+"time-total"),y.loaded=s.querySelector("."+y.options.classPrefix+"time-loaded"),y.current=s.querySelector("."+y.options.classPrefix+"time-current"),y.handle=s.querySelector("."+y.options.classPrefix+"time-handle"),y.timefloat=s.querySelector("."+y.options.classPrefix+"time-float"),y.timefloatcurrent=s.querySelector("."+y.options.classPrefix+"time-float-current"),y.slider=s.querySelector("."+y.options.classPrefix+"time-slider"),y.hovered=s.querySelector("."+y.options.classPrefix+"time-hovered"),y.buffer=s.querySelector("."+y.options.classPrefix+"time-buffering"),y.newTime=0,y.forcedHandlePause=!1,y.setTransformStyle=function(e,t){e.style.transform=t,e.style.webkitTransform=t,e.style.MozTransform=t,e.style.msTransform=t,e.style.OTransform=t},y.buffer.style.display="none";function i(e){var t,n,o,i,r,a=getComputedStyle(y.total),s=(0,b.offset)(y.total),l=y.total.offsetWidth,d=void 0!==a.webkitTransform?"webkitTransform":void 0!==a.mozTransform?"mozTransform ":void 0!==a.oTransform?"oTransform":void 0!==a.msTransform?"msTransform":"transform",u="WebKitCSSMatrix"in window?"WebKitCSSMatrix":"MSCSSMatrix"in window?"MSCSSMatrix":"CSSMatrix"in window?"CSSMatrix":void 0,c=0,f=0,p=0,m=void 0,m=e.originalEvent&&e.originalEvent.changedTouches?e.originalEvent.changedTouches[0].pageX:e.changedTouches?e.changedTouches[0].pageX:e.pageX;y.getDuration()?(m<s.left?m=s.left:m>l+s.left&&(m=l+s.left),c=(p=m-s.left)/l,y.newTime=c*y.getDuration(),v&&null!==y.getCurrentTime()&&y.newTime.toFixed(4)!==y.getCurrentTime().toFixed(4)&&(y.setCurrentRailHandle(y.newTime),y.updateCurrent(y.newTime)),g.IS_IOS||g.IS_ANDROID||(p<0&&(p=0),y.options.useSmoothHover&&null!==u&&void 0!==window[u]&&(t=new window[u](getComputedStyle(y.handle)[d]).m41,n=p/parseFloat(getComputedStyle(y.total).width)-t/parseFloat(getComputedStyle(y.total).width),y.hovered.style.left=t+"px",y.setTransformStyle(y.hovered,"scaleX("+n+")"),y.hovered.setAttribute("pos",p),(0<=n?(0,b.removeClass):(0,b.addClass))(y.hovered,"negative")),y.timefloat&&(o=y.timefloat.offsetWidth/2,i=mejs.Utils.offset(y.getElement(y.container)),r=getComputedStyle(y.timefloat),f=m-i.left<y.timefloat.offsetWidth?o:m-i.left>=y.getElement(y.container).offsetWidth-o?y.total.offsetWidth-o:p,(0,b.hasClass)(y.getElement(y.container),y.options.classPrefix+"long-video")&&(f+=parseFloat(r.marginLeft)/2+y.timefloat.offsetWidth/2),y.timefloat.style.left=f+"px",y.timefloatcurrent.innerHTML=(0,E.secondsToTimeCode)(y.newTime,h.options.alwaysShowHours,h.options.showTimecodeFrameCount,h.options.framesPerSecond,h.options.secondsDecimalLength,h.options.timeFormat),y.timefloat.style.display="block"))):g.IS_IOS||g.IS_ANDROID||!y.timefloat||(f=y.timefloat.offsetWidth+l>=y.getElement(y.container).offsetWidth?y.timefloat.offsetWidth/2:0,y.timefloat.style.left=f+"px",y.timefloat.style.left=f+"px",y.timefloat.style.display="block")}function f(){1e3<=new Date-u&&y.play()}y.slider.addEventListener("focus",function(){h.options.autoRewind=!1}),y.slider.addEventListener("blur",function(){h.options.autoRewind=t}),y.slider.addEventListener("keydown",function(e){if(1e3<=new Date-u&&(c=y.paused),y.options.enableKeyboard&&y.options.keyActions.length){var t=e.which||e.keyCode||0,n=y.getDuration(),o=h.options.defaultSeekForwardInterval(d),i=h.options.defaultSeekBackwardInterval(d),r=y.getCurrentTime(),a=y.getElement(y.container).querySelector("."+y.options.classPrefix+"volume-slider");if(38===t||40===t){a&&(a.style.display="block"),y.isVideo&&(y.showControls(),y.startControlsTimer());var s=38===t?Math.min(y.volume+.1,1):Math.max(y.volume-.1,0),l=s<=0;return y.setVolume(s),void y.setMuted(l)}switch(a&&(a.style.display="none"),t){case 37:y.getDuration()!==1/0&&(r-=i);break;case 39:y.getDuration()!==1/0&&(r+=o);break;case 36:r=0;break;case 35:r=n;break;case 13:case 32:return void(g.IS_FIREFOX&&(y.paused?y.play():y.pause()));default:return}r=r<0||isNaN(r)?0:n<=r?n:Math.floor(r),u=new Date,c||h.pause(),setTimeout(function(){y.setCurrentTime(r)},0),r<y.getDuration()&&!c&&setTimeout(f,1100),h.showControls(),e.preventDefault(),e.stopPropagation()}});var r=["mousedown","touchstart"];y.slider.addEventListener("dragstart",function(){return!1});for(var a=0,l=r.length;a<l;a++)y.slider.addEventListener(r[a],function(e){if(y.forcedHandlePause=!1,y.getDuration()!==1/0&&(1===e.which||0===e.which)){y.paused||(y.pause(),y.forcedHandlePause=!0),v=!0,i(e);for(var t=["mouseup","touchend"],n=0,o=t.length;n<o;n++)y.getElement(y.container).addEventListener(t[n],function(e){var t=e.target;t!==y.slider&&!t.closest("."+y.options.classPrefix+"time-slider")||i(e)});y.globalBind("mouseup.dur touchend.dur",function(){v&&null!==y.getCurrentTime()&&y.newTime.toFixed(4)!==y.getCurrentTime().toFixed(4)&&(y.setCurrentTime(y.newTime),y.setCurrentRailHandle(y.newTime),y.updateCurrent(y.newTime)),y.forcedHandlePause&&(y.slider.focus(),y.play()),y.forcedHandlePause=!1,v=!1,y.timefloat&&(y.timefloat.style.display="none")})}},!(!g.SUPPORT_PASSIVE_EVENT||"touchstart"!==r[a])&&{passive:!0});y.slider.addEventListener("mouseenter",function(e){e.target===y.slider&&y.getDuration()!==1/0&&(y.getElement(y.container).addEventListener("mousemove",function(e){var t=e.target;t!==y.slider&&!t.closest("."+y.options.classPrefix+"time-slider")||i(e)}),!y.timefloat||g.IS_IOS||g.IS_ANDROID||(y.timefloat.style.display="block"),y.hovered&&!g.IS_IOS&&!g.IS_ANDROID&&y.options.useSmoothHover&&(0,b.removeClass)(y.hovered,"no-hover"))}),y.slider.addEventListener("mouseleave",function(){y.getDuration()!==1/0&&(v||(y.timefloat&&(y.timefloat.style.display="none"),y.hovered&&y.options.useSmoothHover&&(0,b.addClass)(y.hovered,"no-hover")))}),y.broadcastCallback=function(e){var t,n,o,i,r,a=s.querySelector("."+y.options.classPrefix+"broadcast");y.options.forceLive||y.getDuration()===1/0?!a&&y.options.forceLive&&((t=p.default.createElement("span")).className=y.options.classPrefix+"broadcast",t.innerText=m.default.t("mejs.live-broadcast"),y.slider.style.display="none",y.rail.appendChild(t)):(a&&(y.slider.style.display="",a.remove()),h.setProgressRail(e),y.forcedHandlePause||h.setCurrentRail(e),n=y.getCurrentTime(),o=m.default.t("mejs.time-slider"),i=(0,E.secondsToTimeCode)(n,h.options.alwaysShowHours,h.options.showTimecodeFrameCount,h.options.framesPerSecond,h.options.secondsDecimalLength,h.options.timeFormat),r=y.getDuration(),y.slider.setAttribute("role","slider"),y.slider.tabIndex=0,d.paused?(y.slider.setAttribute("aria-label",o),y.slider.setAttribute("aria-valuemin",0),y.slider.setAttribute("aria-valuemax",isNaN(r)?0:r),y.slider.setAttribute("aria-valuenow",n),y.slider.setAttribute("aria-valuetext",i)):(y.slider.removeAttribute("aria-label"),y.slider.removeAttribute("aria-valuemin"),y.slider.removeAttribute("aria-valuemax"),y.slider.removeAttribute("aria-valuenow"),y.slider.removeAttribute("aria-valuetext")))},d.addEventListener("progress",y.broadcastCallback),d.addEventListener("timeupdate",y.broadcastCallback),d.addEventListener("play",function(){y.buffer.style.display="none"}),d.addEventListener("playing",function(){y.buffer.style.display="none"}),d.addEventListener("seeking",function(){y.buffer.style.display=""}),d.addEventListener("seeked",function(){y.buffer.style.display="none"}),d.addEventListener("pause",function(){y.buffer.style.display="none"}),d.addEventListener("waiting",function(){y.buffer.style.display=""}),d.addEventListener("loadeddata",function(){y.buffer.style.display=""}),d.addEventListener("canplay",function(){y.buffer.style.display="none"}),d.addEventListener("error",function(){y.buffer.style.display="none"}),y.getElement(y.container).addEventListener("controlsresize",function(e){y.getDuration()!==1/0&&(h.setProgressRail(e),y.forcedHandlePause||h.setCurrentRail(e))})},cleanprogress:function(e,t,n,o){o.removeEventListener("progress",e.broadcastCallback),o.removeEventListener("timeupdate",e.broadcastCallback),e.rail&&e.rail.remove()},setProgressRail:function(e){var t=this,n=void 0!==e?e.detail.target||e.target:t.media,o=null;n&&n.buffered&&0<n.buffered.length&&n.buffered.end&&t.getDuration()?o=n.buffered.end(n.buffered.length-1)/t.getDuration():n&&void 0!==n.bytesTotal&&0<n.bytesTotal&&void 0!==n.bufferedBytes?o=n.bufferedBytes/n.bytesTotal:e&&e.lengthComputable&&0!==e.total&&(o=e.loaded/e.total),null!==o&&(o=Math.min(1,Math.max(0,o)),t.loaded&&t.setTransformStyle(t.loaded,"scaleX("+o+")"))},setCurrentRailHandle:function(e){this.setCurrentRailMain(this,e)},setCurrentRail:function(){this.setCurrentRailMain(this)},setCurrentRailMain:function(e,t){var n,o,i,r,a,s;void 0!==e.getCurrentTime()&&e.getDuration()&&(n=void 0===t?e.getCurrentTime():t,e.total&&e.handle&&(o=parseFloat(getComputedStyle(e.total).width),s=(s=(i=Math.round(o*n/e.getDuration()))-Math.round(e.handle.offsetWidth/2))<0?0:s,e.setTransformStyle(e.current,"scaleX("+i/o+")"),e.setTransformStyle(e.handle,"translateX("+s+"px)"),e.options.useSmoothHover&&!(0,b.hasClass)(e.hovered,"no-hover")&&(r=parseInt(e.hovered.getAttribute("pos"),10),a=(r=isNaN(r)?0:r)/o-s/o,e.hovered.style.left=s+"px",e.setTransformStyle(e.hovered,"scaleX("+a+")"),(0<=a?(0,b.removeClass):(0,b.addClass))(e.hovered,"negative"))))}})},{16:16,2:2,25:25,26:26,30:30,5:5}],12:[function(e,t,n){"use strict";var a=r(e(2)),o=e(16),i=r(o),s=e(30),l=e(26);function r(e){return e&&e.__esModule?e:{default:e}}Object.assign(o.config,{duration:0,timeAndDurationSeparator:"<span> | </span>"}),Object.assign(i.default.prototype,{buildcurrent:function(e,t,n,o){var i=this,r=a.default.createElement("div");r.className=i.options.classPrefix+"time",r.setAttribute("role","timer"),r.setAttribute("aria-live","off"),r.innerHTML='<span class="'+i.options.classPrefix+'currenttime">'+(0,s.secondsToTimeCode)(0,e.options.alwaysShowHours,e.options.showTimecodeFrameCount,e.options.framesPerSecond,e.options.secondsDecimalLength,e.options.timeFormat)+"</span>",i.addControlElement(r,"current"),e.updateCurrent(),i.updateTimeCallback=function(){i.controlsAreVisible&&e.updateCurrent()},o.addEventListener("timeupdate",i.updateTimeCallback)},cleancurrent:function(e,t,n,o){o.removeEventListener("timeupdate",e.updateTimeCallback)},buildduration:function(e,t,n,o){var i,r=this;t.lastChild.querySelector("."+r.options.classPrefix+"currenttime")?t.querySelector("."+r.options.classPrefix+"time").innerHTML+=r.options.timeAndDurationSeparator+'<span class="'+r.options.classPrefix+'duration">'+(0,s.secondsToTimeCode)(r.options.duration,r.options.alwaysShowHours,r.options.showTimecodeFrameCount,r.options.framesPerSecond,r.options.secondsDecimalLength,r.options.timeFormat)+"</span>":(t.querySelector("."+r.options.classPrefix+"currenttime")&&(0,l.addClass)(t.querySelector("."+r.options.classPrefix+"currenttime").parentNode,r.options.classPrefix+"currenttime-container"),(i=a.default.createElement("div")).className=r.options.classPrefix+"time "+r.options.classPrefix+"duration-container",i.innerHTML='<span class="'+r.options.classPrefix+'duration">'+(0,s.secondsToTimeCode)(r.options.duration,r.options.alwaysShowHours,r.options.showTimecodeFrameCount,r.options.framesPerSecond,r.options.secondsDecimalLength,r.options.timeFormat)+"</span>",r.addControlElement(i,"duration")),r.updateDurationCallback=function(){r.controlsAreVisible&&e.updateDuration()},o.addEventListener("timeupdate",r.updateDurationCallback)},cleanduration:function(e,t,n,o){o.removeEventListener("timeupdate",e.updateDurationCallback)},updateCurrent:function(){var e=this,t=e.getCurrentTime();isNaN(t)&&(t=0);var n=(0,s.secondsToTimeCode)(t,e.options.alwaysShowHours,e.options.showTimecodeFrameCount,e.options.framesPerSecond,e.options.secondsDecimalLength,e.options.timeFormat);(5<n.length?(0,l.addClass):(0,l.removeClass))(e.getElement(e.container),e.options.classPrefix+"long-video"),e.getElement(e.controls).querySelector("."+e.options.classPrefix+"currenttime")&&(e.getElement(e.controls).querySelector("."+e.options.classPrefix+"currenttime").innerText=n)},updateDuration:function(){var e=this,t=e.getDuration();void 0!==e.media&&(isNaN(t)||t===1/0||t<0)&&(e.media.duration=e.options.duration=t=0),0<e.options.duration&&(t=e.options.duration);var n=(0,s.secondsToTimeCode)(t,e.options.alwaysShowHours,e.options.showTimecodeFrameCount,e.options.framesPerSecond,e.options.secondsDecimalLength,e.options.timeFormat);(5<n.length?(0,l.addClass):(0,l.removeClass))(e.getElement(e.container),e.options.classPrefix+"long-video"),e.getElement(e.controls).querySelector("."+e.options.classPrefix+"duration")&&0<t&&(e.getElement(e.controls).querySelector("."+e.options.classPrefix+"duration").innerHTML=n)}})},{16:16,2:2,26:26,30:30}],13:[function(e,t,n){"use strict";var L=r(e(2)),d=r(e(7)),F=r(e(5)),o=e(16),i=r(o),m=e(30),j=e(27),I=e(26);function r(e){return e&&e.__esModule?e:{default:e}}Object.assign(o.config,{startLanguage:"",tracksText:null,chaptersText:null,tracksAriaLive:!1,hideCaptionsButtonWhenEmpty:!0,toggleCaptionsButtonWhenOnlyOne:!1,slidesSelector:""}),Object.assign(i.default.prototype,{hasChapters:!1,buildtracks:function(o,e,t,n){if(this.findTracks(),o.tracks.length||o.trackFiles&&0!==!o.trackFiles.length){var i=this,r=i.options.tracksAriaLive?' role="log" aria-live="assertive" aria-atomic="false"':"",a=(0,j.isString)(i.options.tracksText)?i.options.tracksText:F.default.t("mejs.captions-subtitles"),s=(0,j.isString)(i.options.chaptersText)?i.options.chaptersText:F.default.t("mejs.captions-chapters"),l=null===o.trackFiles?o.tracks.length:o.trackFiles.length;if(i.domNode.textTracks)for(var d=i.domNode.textTracks.length-1;0<=d;d--)i.domNode.textTracks[d].mode="hidden";i.cleartracks(o),o.captions=L.default.createElement("div"),o.captions.className=i.options.classPrefix+"captions-layer "+i.options.classPrefix+"layer",o.captions.innerHTML='<div class="'+i.options.classPrefix+"captions-position "+i.options.classPrefix+'captions-position-hover"'+r+'><span class="'+i.options.classPrefix+'captions-text"></span></div>',o.captions.style.display="none",t.insertBefore(o.captions,t.firstChild),o.captionsText=o.captions.querySelector("."+i.options.classPrefix+"captions-text"),o.captionsButton=L.default.createElement("div"),o.captionsButton.className=i.options.classPrefix+"button "+i.options.classPrefix+"captions-button",o.captionsButton.innerHTML='<button type="button" aria-controls="'+i.id+'" title="'+a+'" aria-label="'+a+'" tabindex="0"></button><div class="'+i.options.classPrefix+"captions-selector "+i.options.classPrefix+'offscreen"><ul class="'+i.options.classPrefix+'captions-selector-list"><li class="'+i.options.classPrefix+'captions-selector-list-item"><input type="radio" class="'+i.options.classPrefix+'captions-selector-input" name="'+o.id+'_captions" id="'+o.id+'_captions_none" value="none" checked disabled><label class="'+i.options.classPrefix+"captions-selector-label "+i.options.classPrefix+'captions-selected" for="'+o.id+'_captions_none">'+F.default.t("mejs.none")+"</label></li></ul></div>",i.addControlElement(o.captionsButton,"tracks"),o.captionsButton.querySelector("."+i.options.classPrefix+"captions-selector-input").disabled=!1,o.chaptersButton=L.default.createElement("div"),o.chaptersButton.className=i.options.classPrefix+"button "+i.options.classPrefix+"chapters-button",o.chaptersButton.innerHTML='<button type="button" aria-controls="'+i.id+'" title="'+s+'" aria-label="'+s+'" tabindex="0"></button><div class="'+i.options.classPrefix+"chapters-selector "+i.options.classPrefix+'offscreen"><ul class="'+i.options.classPrefix+'chapters-selector-list"></ul></div>';for(var u=0,c=0;c<l;c++){var f=o.tracks[c].kind;o.tracks[c].src.trim()&&("subtitles"===f||"captions"===f?u++:"chapters"!==f||e.querySelector("."+i.options.classPrefix+"chapter-selector")||o.captionsButton.parentNode.insertBefore(o.chaptersButton,o.captionsButton))}o.trackToLoad=-1,o.selectedTrack=null,o.isLoadingTrack=!1;for(var p=0;p<l;p++){var m=o.tracks[p].kind;!o.tracks[p].src.trim()||"subtitles"!==m&&"captions"!==m||o.addTrackButton(o.tracks[p].trackId,o.tracks[p].srclang,o.tracks[p].label)}o.loadNextTrack();var h=["mouseenter","focusin"],v=["mouseleave","focusout"];if(i.options.toggleCaptionsButtonWhenOnlyOne&&1===u)o.captionsButton.addEventListener("click",function(e){var t="none";null===o.selectedTrack&&(t=o.tracks[0].trackId);var n=e.keyCode||e.which;o.setTrack(t,void 0!==n)});else{for(var y=o.captionsButton.querySelectorAll("."+i.options.classPrefix+"captions-selector-label"),g=o.captionsButton.querySelectorAll("input[type=radio]"),E=0,b=h.length;E<b;E++)o.captionsButton.addEventListener(h[E],function(){(0,I.removeClass)(this.querySelector("."+i.options.classPrefix+"captions-selector"),i.options.classPrefix+"offscreen")});for(var S=0,x=v.length;S<x;S++)o.captionsButton.addEventListener(v[S],function(){(0,I.addClass)(this.querySelector("."+i.options.classPrefix+"captions-selector"),i.options.classPrefix+"offscreen")});for(var w=0,P=g.length;w<P;w++)g[w].addEventListener("click",function(e){var t=e.keyCode||e.which;o.setTrack(this.value,void 0!==t)});for(var T=0,C=y.length;T<C;T++)y[T].addEventListener("click",function(e){var t=(0,I.siblings)(this,function(e){return"INPUT"===e.tagName})[0],n=(0,j.createEvent)("click",t);t.dispatchEvent(n),e.preventDefault()});o.captionsButton.addEventListener("keydown",function(e){e.stopPropagation()})}for(var k=0,_=h.length;k<_;k++)o.chaptersButton.addEventListener(h[k],function(){this.querySelector("."+i.options.classPrefix+"chapters-selector-list").children.length&&(0,I.removeClass)(this.querySelector("."+i.options.classPrefix+"chapters-selector"),i.options.classPrefix+"offscreen")});for(var N=0,A=v.length;N<A;N++)o.chaptersButton.addEventListener(v[N],function(){(0,I.addClass)(this.querySelector("."+i.options.classPrefix+"chapters-selector"),i.options.classPrefix+"offscreen")});o.chaptersButton.addEventListener("keydown",function(e){e.stopPropagation()}),o.options.alwaysShowControls?(0,I.addClass)(o.getElement(o.container).querySelector("."+i.options.classPrefix+"captions-position"),i.options.classPrefix+"captions-position-hover"):(o.getElement(o.container).addEventListener("controlsshown",function(){(0,I.addClass)(o.getElement(o.container).querySelector("."+i.options.classPrefix+"captions-position"),i.options.classPrefix+"captions-position-hover")}),o.getElement(o.container).addEventListener("controlshidden",function(){n.paused||(0,I.removeClass)(o.getElement(o.container).querySelector("."+i.options.classPrefix+"captions-position"),i.options.classPrefix+"captions-position-hover")})),n.addEventListener("timeupdate",function(){o.displayCaptions()}),""!==o.options.slidesSelector&&(o.slidesContainer=L.default.querySelectorAll(o.options.slidesSelector),n.addEventListener("timeupdate",function(){o.displaySlides()}))}},cleartracks:function(e){e&&(e.captions&&e.captions.remove(),e.chapters&&e.chapters.remove(),e.captionsText&&e.captionsText.remove(),e.captionsButton&&e.captionsButton.remove(),e.chaptersButton&&e.chaptersButton.remove())},rebuildtracks:function(){var e=this;e.findTracks(),e.buildtracks(e,e.getElement(e.controls),e.getElement(e.layers),e.media)},findTracks:function(){var e=this,t=null===e.trackFiles?e.node.querySelectorAll("track"):e.trackFiles,n=t.length;e.tracks=[];for(var o=0;o<n;o++){var i=t[o],r=i.getAttribute("srclang").toLowerCase()||"",a=e.id+"_track_"+o+"_"+i.getAttribute("kind")+"_"+r;e.tracks.push({trackId:a,srclang:r,src:i.getAttribute("src"),kind:i.getAttribute("kind"),label:i.getAttribute("label")||"",entries:[],isLoaded:!1})}},setTrack:function(e,t){for(var n=this,o=n.captionsButton.querySelectorAll('input[type="radio"]'),i=n.captionsButton.querySelectorAll("."+n.options.classPrefix+"captions-selected"),r=n.captionsButton.querySelector('input[value="'+e+'"]'),a=0,s=o.length;a<s;a++)o[a].checked=!1;for(var l=0,d=i.length;l<d;l++)(0,I.removeClass)(i[l],n.options.classPrefix+"captions-selected");r.checked=!0;for(var u=(0,I.siblings)(r,function(e){return(0,I.hasClass)(e,n.options.classPrefix+"captions-selector-label")}),c=0,f=u.length;c<f;c++)(0,I.addClass)(u[c],n.options.classPrefix+"captions-selected");if("none"===e)(n.selectedTrack=null,I.removeClass)(n.captionsButton,n.options.classPrefix+"captions-enabled");else for(var p=0,m=n.tracks.length;p<m;p++){var h=n.tracks[p];if(h.trackId===e){null===n.selectedTrack&&(0,I.addClass)(n.captionsButton,n.options.classPrefix+"captions-enabled"),n.selectedTrack=h,n.captions.setAttribute("lang",n.selectedTrack.srclang),n.displayCaptions();break}}var v=(0,j.createEvent)("captionschange",n.media);v.detail.caption=n.selectedTrack,n.media.dispatchEvent(v),t||setTimeout(function(){n.getElement(n.container).focus()},500)},loadNextTrack:function(){var e=this;e.trackToLoad++,e.trackToLoad<e.tracks.length?(e.isLoadingTrack=!0,e.loadTrack(e.trackToLoad)):(e.isLoadingTrack=!1,e.checkForTracks())},loadTrack:function(e){var t=this,n=t.tracks[e];void 0===n||void 0===n.src&&""===n.src||(0,I.ajax)(n.src,"text",function(e){n.entries="string"==typeof e&&/<tt\s+xml/gi.exec(e)?d.default.TrackFormatParser.dfxp.parse(e):d.default.TrackFormatParser.webvtt.parse(e),n.isLoaded=!0,t.enableTrackButton(n),t.loadNextTrack(),"slides"===n.kind?t.setupSlides(n):"chapters"!==n.kind||t.hasChapters||(t.drawChapters(n),t.hasChapters=!0)},function(){t.removeTrackButton(n.trackId),t.loadNextTrack()})},enableTrackButton:function(e){var t=this,n=e.srclang,o=L.default.getElementById(""+e.trackId);if(o){var i=e.label;""===i&&(i=F.default.t(d.default.language.codes[n])||n);for(var r,a=(o.disabled=!1,I.siblings)(o,function(e){return(0,I.hasClass)(e,t.options.classPrefix+"captions-selector-label")}),s=0,l=a.length;s<l;s++)a[s].innerHTML=i;t.options.startLanguage===n&&(o.checked=!0,r=(0,j.createEvent)("click",o),o.dispatchEvent(r))}},removeTrackButton:function(e){var t,n=L.default.getElementById(""+e);!n||(t=n.closest("li"))&&t.remove()},addTrackButton:function(e,t,n){var o=this;""===n&&(n=F.default.t(d.default.language.codes[t])||t),o.captionsButton.querySelector("ul").innerHTML+='<li class="'+o.options.classPrefix+'captions-selector-list-item"><input type="radio" class="'+o.options.classPrefix+'captions-selector-input" name="'+o.id+'_captions" id="'+e+'" value="'+e+'" disabled><label class="'+o.options.classPrefix+'captions-selector-label"for="'+e+'">'+n+" (loading)</label></li>"},checkForTracks:function(){var e=this,t=!1;if(e.options.hideCaptionsButtonWhenEmpty){for(var n=0,o=e.tracks.length;n<o;n++){var i=e.tracks[n].kind;if(("subtitles"===i||"captions"===i)&&e.tracks[n].isLoaded){t=!0;break}}e.captionsButton.style.display=t?"":"none",e.setControlsSize()}},displayCaptions:function(){if(void 0!==this.tracks){var e=this,t=e.selectedTrack;if(null!==t&&t.isLoaded){var n=e.searchTrackPosition(t.entries,e.media.currentTime);if(-1<n){var o=t.entries[n].text;return"function"==typeof e.options.captionTextPreprocessor&&(o=e.options.captionTextPreprocessor(o)),e.captionsText.innerHTML=function(e){var t=L.default.createElement("div");t.innerHTML=e;for(var n=t.getElementsByTagName("script"),o=n.length;o--;)n[o].remove();for(var i=t.getElementsByTagName("*"),r=0,a=i.length;r<a;r++)for(var s=i[r].attributes,l=Array.prototype.slice.call(s),d=0,u=l.length;d<u;d++)l[d].name.startsWith("on")||l[d].value.startsWith("javascript")?i[r].remove():"style"===l[d].name&&i[r].removeAttribute(l[d].name);return t.innerHTML}(o),e.captionsText.className=e.options.classPrefix+"captions-text "+(t.entries[n].identifier||""),e.captions.style.display="",void(e.captions.style.height="0px")}e.captions.style.display="none"}else e.captions.style.display="none"}},setupSlides:function(e){this.slides=e,this.slides.entries.imgs=[this.slides.entries.length],this.showSlide(0)},showSlide:function(e){var i=this,r=this;if(void 0!==r.tracks&&void 0!==r.slidesContainer){var t=r.slides.entries[e].text,n=r.slides.entries[e].imgs;if(void 0===n||void 0===n.fadeIn){var a=L.default.createElement("img");a.src=t,a.addEventListener("load",function(){var e=i,t=(0,I.siblings)(e,function(e){return t(e)});e.style.display="none",r.slidesContainer.innerHTML+=e.innerHTML,(0,I.fadeIn)(r.slidesContainer.querySelector(a));for(var n=0,o=t.length;n<o;n++)(0,I.fadeOut)(t[n],400)}),r.slides.entries[e].imgs=n=a}else if(!(0,I.visible)(n)){var o=(0,I.siblings)(self,function(e){return o(e)});(0,I.fadeIn)(r.slidesContainer.querySelector(n));for(var s=0,l=o.length;s<l;s++)(0,I.fadeOut)(o[s])}}},displaySlides:function(){var e,t;void 0!==this.slides&&(e=this.slides,-1<(t=this.searchTrackPosition(e.entries,this.media.currentTime))&&this.showSlide(t))},drawChapters:function(e){var r=this,t=e.entries.length;if(t){r.chaptersButton.querySelector("ul").innerHTML="";for(var n=0;n<t;n++)r.chaptersButton.querySelector("ul").innerHTML+='<li class="'+r.options.classPrefix+'chapters-selector-list-item" role="menuitemcheckbox" aria-live="polite" aria-disabled="false" aria-checked="false"><input type="radio" class="'+r.options.classPrefix+'captions-selector-input" name="'+r.id+'_chapters" id="'+r.id+"_chapters_"+n+'" value="'+e.entries[n].start+'" disabled><label class="'+r.options.classPrefix+'chapters-selector-label"for="'+r.id+"_chapters_"+n+'">'+e.entries[n].text+"</label></li>";for(var o=r.chaptersButton.querySelectorAll('input[type="radio"]'),i=r.chaptersButton.querySelectorAll("."+r.options.classPrefix+"chapters-selector-label"),a=0,s=o.length;a<s;a++)o[a].disabled=!1,o[a].checked=!1,o[a].addEventListener("click",function(e){var t=r.chaptersButton.querySelectorAll("li"),n=(0,I.siblings)(this,function(e){return(0,I.hasClass)(e,r.options.classPrefix+"chapters-selector-label")})[0];this.checked=!0,this.parentNode.setAttribute("aria-checked",!0),(0,I.addClass)(n,r.options.classPrefix+"chapters-selected"),(0,I.removeClass)(r.chaptersButton.querySelector("."+r.options.classPrefix+"chapters-selected"),r.options.classPrefix+"chapters-selected");for(var o=0,i=t.length;o<i;o++)t[o].setAttribute("aria-checked",!1);void 0===(e.keyCode||e.which)&&setTimeout(function(){r.getElement(r.container).focus()},500),r.media.setCurrentTime(parseFloat(this.value)),r.media.paused&&r.media.play()});for(var l=0,d=i.length;l<d;l++)i[l].addEventListener("click",function(e){var t=(0,I.siblings)(this,function(e){return"INPUT"===e.tagName})[0],n=(0,j.createEvent)("click",t);t.dispatchEvent(n),e.preventDefault()})}},searchTrackPosition:function(e,t){for(var n=0,o=e.length-1,i=void 0,r=void 0,a=void 0;n<=o;){if(r=e[i=n+o>>1].start,a=e[i].stop,r<=t&&t<a)return i;r<t?n=i+1:t<r&&(o=i-1)}return-1}}),d.default.language={codes:{af:"mejs.afrikaans",sq:"mejs.albanian",ar:"mejs.arabic",be:"mejs.belarusian",bg:"mejs.bulgarian",ca:"mejs.catalan",zh:"mejs.chinese","zh-cn":"mejs.chinese-simplified","zh-tw":"mejs.chines-traditional",hr:"mejs.croatian",cs:"mejs.czech",da:"mejs.danish",nl:"mejs.dutch",en:"mejs.english",et:"mejs.estonian",fl:"mejs.filipino",fi:"mejs.finnish",fr:"mejs.french",gl:"mejs.galician",de:"mejs.german",el:"mejs.greek",ht:"mejs.haitian-creole",iw:"mejs.hebrew",hi:"mejs.hindi",hu:"mejs.hungarian",is:"mejs.icelandic",id:"mejs.indonesian",ga:"mejs.irish",it:"mejs.italian",ja:"mejs.japanese",ko:"mejs.korean",lv:"mejs.latvian",lt:"mejs.lithuanian",mk:"mejs.macedonian",ms:"mejs.malay",mt:"mejs.maltese",no:"mejs.norwegian",fa:"mejs.persian",pl:"mejs.polish",pt:"mejs.portuguese",ro:"mejs.romanian",ru:"mejs.russian",sr:"mejs.serbian",sk:"mejs.slovak",sl:"mejs.slovenian",es:"mejs.spanish",sw:"mejs.swahili",sv:"mejs.swedish",tl:"mejs.tagalog",th:"mejs.thai",tr:"mejs.turkish",uk:"mejs.ukrainian",vi:"mejs.vietnamese",cy:"mejs.welsh",yi:"mejs.yiddish"}},d.default.TrackFormatParser={webvtt:{pattern:/^((?:[0-9]{1,2}:)?[0-9]{2}:[0-9]{2}([,.][0-9]{1,3})?) --\> ((?:[0-9]{1,2}:)?[0-9]{2}:[0-9]{2}([,.][0-9]{3})?)(.*)$/,parse:function(e){for(var t=e.split(/\r?\n/),n=[],o=void 0,i=void 0,r=void 0,a=0,s=t.length;a<s;a++){if((o=this.pattern.exec(t[a]))&&a<t.length){for(0<=a-1&&""!==t[a-1]&&(r=t[a-1]),i=t[++a],a++;""!==t[a]&&a<t.length;)i=i+"\n"+t[a],a++;i=null===i?"":i.trim().replace(/(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/gi,"<a href='$1' target='_blank'>$1</a>"),n.push({identifier:r,start:0===(0,m.convertSMPTEtoSeconds)(o[1])?.2:(0,m.convertSMPTEtoSeconds)(o[1]),stop:(0,m.convertSMPTEtoSeconds)(o[3]),text:i,settings:o[5]})}r=""}return n}},dfxp:{parse:function(e){var t=(e=$(e).filter("tt")).firstChild,n=t.querySelectorAll("p"),o=e.getElementById(""+t.attr("style")),i=[],r=void 0;if(o.length){o.removeAttribute("id");var a=o.attributes;if(a.length){r={};for(var s=0,l=a.length;s<l;s++)r[a[s].name.split(":")[1]]=a[s].value}}for(var d=0,u=n.length;d<u;d++){var c=void 0,f={start:null,stop:null,style:null,text:null};if(n.eq(d).attr("begin")&&(f.start=(0,m.convertSMPTEtoSeconds)(n.eq(d).attr("begin"))),!f.start&&n.eq(d-1).attr("end")&&(f.start=(0,m.convertSMPTEtoSeconds)(n.eq(d-1).attr("end"))),n.eq(d).attr("end")&&(f.stop=(0,m.convertSMPTEtoSeconds)(n.eq(d).attr("end"))),!f.stop&&n.eq(d+1).attr("begin")&&(f.stop=(0,m.convertSMPTEtoSeconds)(n.eq(d+1).attr("begin"))),r)for(var p in c="",r)c+=p+":"+r[p]+";";c&&(f.style=c),0===f.start&&(f.start=.2),f.text=n.eq(d).innerHTML.trim().replace(/(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/gi,"<a href='$1' target='_blank'>$1</a>"),i.push(f)}return i}}}},{16:16,2:2,26:26,27:27,30:30,5:5,7:7}],14:[function(e,t,n){"use strict";var x=r(e(2)),o=e(16),i=r(o),w=r(e(5)),P=e(25),T=e(27),C=e(26);function r(e){return e&&e.__esModule?e:{default:e}}Object.assign(o.config,{muteText:null,unmuteText:null,allyVolumeControlText:null,hideVolumeOnTouchDevices:!0,audioVolume:"horizontal",videoVolume:"vertical",startVolume:.8}),Object.assign(i.default.prototype,{buildvolume:function(e,t,n,o){var a,s,r,l,i,d,u,c,f,p,m,h,v,y,g,E,b,S;(P.IS_ANDROID||P.IS_IOS)&&this.options.hideVolumeOnTouchDevices||(s=(a=this).isVideo?a.options.videoVolume:a.options.audioVolume,r=(0,T.isString)(a.options.muteText)?a.options.muteText:w.default.t("mejs.mute"),l=(0,T.isString)(a.options.unmuteText)?a.options.unmuteText:w.default.t("mejs.unmute"),i=(0,T.isString)(a.options.allyVolumeControlText)?a.options.allyVolumeControlText:w.default.t("mejs.volume-help-text"),(d=x.default.createElement("div")).className=a.options.classPrefix+"button "+a.options.classPrefix+"volume-button "+a.options.classPrefix+"mute",d.innerHTML="horizontal"===s?'<button type="button" aria-controls="'+a.id+'" title="'+r+'" aria-label="'+r+'" tabindex="0"></button>':'<button type="button" aria-controls="'+a.id+'" title="'+r+'" aria-label="'+r+'" tabindex="0"></button><a href="javascript:void(0);" class="'+a.options.classPrefix+'volume-slider" aria-label="'+w.default.t("mejs.volume-slider")+'" aria-valuemin="0" aria-valuemax="100" role="slider" aria-orientation="vertical"><span class="'+a.options.classPrefix+'offscreen">'+i+'</span><div class="'+a.options.classPrefix+'volume-total"><div class="'+a.options.classPrefix+'volume-current"></div><div class="'+a.options.classPrefix+'volume-handle"></div></div></a>',a.addControlElement(d,"volume"),a.options.keyActions.push({keys:[38],action:function(e){var t=e.getElement(e.container).querySelector("."+a.options.classPrefix+"volume-slider");t&&t.matches(":focus")&&(t.style.display="block"),e.isVideo&&(e.showControls(),e.startControlsTimer());var n=Math.min(e.volume+.1,1);e.setVolume(n),0<n&&e.setMuted(!1)}},{keys:[40],action:function(e){var t=e.getElement(e.container).querySelector("."+a.options.classPrefix+"volume-slider");t&&(t.style.display="block"),e.isVideo&&(e.showControls(),e.startControlsTimer());var n=Math.max(e.volume-.1,0);e.setVolume(n),n<=.1&&e.setMuted(!0)}},{keys:[77],action:function(e){var t=e.getElement(e.container).querySelector("."+a.options.classPrefix+"volume-slider");t&&(t.style.display="block"),e.isVideo&&(e.showControls(),e.startControlsTimer()),e.media.muted?e.setMuted(!1):e.setMuted(!0)}}),"horizontal"===s&&((u=x.default.createElement("a")).className=a.options.classPrefix+"horizontal-volume-slider",u.href="javascript:void(0);",u.setAttribute("aria-label",w.default.t("mejs.volume-slider")),u.setAttribute("aria-valuemin",0),u.setAttribute("aria-valuemax",100),u.setAttribute("aria-valuenow",100),u.setAttribute("role","slider"),u.innerHTML+='<span class="'+a.options.classPrefix+'offscreen">'+i+'</span><div class="'+a.options.classPrefix+'horizontal-volume-total"><div class="'+a.options.classPrefix+'horizontal-volume-current"></div><div class="'+a.options.classPrefix+'horizontal-volume-handle"></div></div>',d.parentNode.insertBefore(u,d.nextSibling)),p=f=c=!1,m="vertical"===s?a.getElement(a.container).querySelector("."+a.options.classPrefix+"volume-slider"):a.getElement(a.container).querySelector("."+a.options.classPrefix+"horizontal-volume-slider"),h="vertical"===s?a.getElement(a.container).querySelector("."+a.options.classPrefix+"volume-total"):a.getElement(a.container).querySelector("."+a.options.classPrefix+"horizontal-volume-total"),v="vertical"===s?a.getElement(a.container).querySelector("."+a.options.classPrefix+"volume-current"):a.getElement(a.container).querySelector("."+a.options.classPrefix+"horizontal-volume-current"),y="vertical"===s?a.getElement(a.container).querySelector("."+a.options.classPrefix+"volume-handle"):a.getElement(a.container).querySelector("."+a.options.classPrefix+"horizontal-volume-handle"),g=function(e){var t,n,o,i;null===e||isNaN(e)||void 0===e||(e=Math.max(0,e),0===(e=Math.min(e,1))?((0,C.removeClass)(d,a.options.classPrefix+"mute"),(0,C.addClass)(d,a.options.classPrefix+"unmute"),(t=d.firstElementChild).setAttribute("title",l),t.setAttribute("aria-label",l)):((0,C.removeClass)(d,a.options.classPrefix+"unmute"),(0,C.addClass)(d,a.options.classPrefix+"mute"),(n=d.firstElementChild).setAttribute("title",r),n.setAttribute("aria-label",r)),o=100*e+"%",i=getComputedStyle(y),"vertical"===s?(v.style.bottom=0,v.style.height=o,y.style.bottom=o,y.style.marginBottom=-parseFloat(i.height)/2+"px"):(v.style.left=0,v.style.width=o,y.style.left=o,y.style.marginLeft=-parseFloat(i.width)/2+"px"))},E=function(e){var t=(0,C.offset)(h),n=getComputedStyle(h);p=!0;var o=null;if("vertical"===s){var i=parseFloat(n.height),o=(i-(e.pageY-t.top))/i;if(0===t.top||0===t.left)return}else{var r=parseFloat(n.width);o=(e.pageX-t.left)/r}o=Math.max(0,o),o=Math.min(o,1),g(o),a.setMuted(0===o),a.setVolume(o),e.preventDefault(),e.stopPropagation()},b=function(){a.muted?(g(0),(0,C.removeClass)(d,a.options.classPrefix+"mute"),(0,C.addClass)(d,a.options.classPrefix+"unmute")):(g(o.volume),(0,C.removeClass)(d,a.options.classPrefix+"unmute"),(0,C.addClass)(d,a.options.classPrefix+"mute"))},e.getElement(e.container).addEventListener("keydown",function(e){!e.target.closest("."+a.options.classPrefix+"container")&&"vertical"===s&&(m.style.display="none")}),d.addEventListener("mouseenter",function(e){e.target===d&&(m.style.display="block",f=!0,e.preventDefault(),e.stopPropagation())}),d.addEventListener("focusin",function(){m.style.display="block",f=!0}),d.addEventListener("focusout",function(e){e.relatedTarget&&(!e.relatedTarget||e.relatedTarget.matches("."+a.options.classPrefix+"volume-slider"))||"vertical"!==s||(m.style.display="none")}),d.addEventListener("mouseleave",function(){f=!1,c||"vertical"!==s||(m.style.display="none")}),d.addEventListener("focusout",function(){f=!1}),d.addEventListener("keydown",function(e){if(a.options.enableKeyboard&&a.options.keyActions.length){var t=e.which||e.keyCode||0,n=o.volume;switch(t){case 38:n=Math.min(n+.1,1);break;case 40:n=Math.max(0,n-.1);break;default:return!0}c=!1,g(n),o.setVolume(n),e.preventDefault(),e.stopPropagation()}}),d.querySelector("button").addEventListener("click",function(){o.setMuted(!o.muted);var e=(0,T.createEvent)("volumechange",o);o.dispatchEvent(e)}),m.addEventListener("dragstart",function(){return!1}),m.addEventListener("mouseover",function(){f=!0}),m.addEventListener("focusin",function(){m.style.display="block",f=!0}),m.addEventListener("focusout",function(){f=!1,c||"vertical"!==s||(m.style.display="none")}),m.addEventListener("mousedown",function(e){E(e),a.globalBind("mousemove.vol",function(e){var t=e.target;c&&(t===m||t.closest("vertical"===s?"."+a.options.classPrefix+"volume-slider":"."+a.options.classPrefix+"horizontal-volume-slider"))&&E(e)}),a.globalBind("mouseup.vol",function(){c=!1,f||"vertical"!==s||(m.style.display="none")}),c=!0,e.preventDefault(),e.stopPropagation()}),o.addEventListener("volumechange",function(e){var t;c||b(),t=Math.floor(100*o.volume),m.setAttribute("aria-valuenow",t),m.setAttribute("aria-valuetext",t+"%")}),S=!1,o.addEventListener("rendererready",function(){p||setTimeout(function(){S=!0,0!==e.options.startVolume&&!o.originalNode.muted||(o.setMuted(!0),e.options.startVolume=0),o.setVolume(e.options.startVolume),a.setControlsSize()},250)}),o.addEventListener("loadedmetadata",function(){setTimeout(function(){p||S||(0!==e.options.startVolume&&!o.originalNode.muted||o.setMuted(!0),o.setVolume(e.options.startVolume),a.setControlsSize()),S=!1},250)}),0!==e.options.startVolume&&!o.originalNode.muted||(o.setMuted(!0),e.options.startVolume=0,b()),a.getElement(a.container).addEventListener("controlsresize",function(){b()}))}})},{16:16,2:2,25:25,26:26,27:27,5:5}],15:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0});n.EN={"mejs.plural-form":1,"mejs.download-file":"Download File","mejs.install-flash":"You are using a browser that does not have Flash player enabled or installed. Please turn on your Flash player plugin or download the latest version from https://get.adobe.com/flashplayer/","mejs.fullscreen":"Fullscreen","mejs.play":"Play","mejs.pause":"Pause","mejs.time-slider":"Time Slider","mejs.time-help-text":"Use Left/Right Arrow keys to advance one second, Up/Down arrows to advance ten seconds.","mejs.live-broadcast":"Live Broadcast","mejs.volume-help-text":"Use Up/Down Arrow keys to increase or decrease volume.","mejs.unmute":"Unmute","mejs.mute":"Mute","mejs.volume-slider":"Volume Slider","mejs.video-player":"Video Player","mejs.audio-player":"Audio Player","mejs.captions-subtitles":"Captions/Subtitles","mejs.captions-chapters":"Chapters","mejs.none":"None","mejs.afrikaans":"Afrikaans","mejs.albanian":"Albanian","mejs.arabic":"Arabic","mejs.belarusian":"Belarusian","mejs.bulgarian":"Bulgarian","mejs.catalan":"Catalan","mejs.chinese":"Chinese","mejs.chinese-simplified":"Chinese (Simplified)","mejs.chinese-traditional":"Chinese (Traditional)","mejs.croatian":"Croatian","mejs.czech":"Czech","mejs.danish":"Danish","mejs.dutch":"Dutch","mejs.english":"English","mejs.estonian":"Estonian","mejs.filipino":"Filipino","mejs.finnish":"Finnish","mejs.french":"French","mejs.galician":"Galician","mejs.german":"German","mejs.greek":"Greek","mejs.haitian-creole":"Haitian Creole","mejs.hebrew":"Hebrew","mejs.hindi":"Hindi","mejs.hungarian":"Hungarian","mejs.icelandic":"Icelandic","mejs.indonesian":"Indonesian","mejs.irish":"Irish","mejs.italian":"Italian","mejs.japanese":"Japanese","mejs.korean":"Korean","mejs.latvian":"Latvian","mejs.lithuanian":"Lithuanian","mejs.macedonian":"Macedonian","mejs.malay":"Malay","mejs.maltese":"Maltese","mejs.norwegian":"Norwegian","mejs.persian":"Persian","mejs.polish":"Polish","mejs.portuguese":"Portuguese","mejs.romanian":"Romanian","mejs.russian":"Russian","mejs.serbian":"Serbian","mejs.slovak":"Slovak","mejs.slovenian":"Slovenian","mejs.spanish":"Spanish","mejs.swahili":"Swahili","mejs.swedish":"Swedish","mejs.tagalog":"Tagalog","mejs.thai":"Thai","mejs.turkish":"Turkish","mejs.ukrainian":"Ukrainian","mejs.vietnamese":"Vietnamese","mejs.welsh":"Welsh","mejs.yiddish":"Yiddish"}},{}],16:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.config=void 0;var i="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},o=function(e,t,n){return t&&r(e.prototype,t),n&&r(e,n),e};function r(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}var b=s(e(3)),S=s(e(2)),f=s(e(7)),d=s(e(6)),a=s(e(17)),u=s(e(5)),x=e(25),m=e(27),c=e(30),p=e(28),w=function(e){{if(e&&e.__esModule)return e;var t={};if(null!=e)for(var n in e)Object.prototype.hasOwnProperty.call(e,n)&&(t[n]=e[n]);return t.default=e,t}}(e(26));function s(e){return e&&e.__esModule?e:{default:e}}f.default.mepIndex=0,f.default.players={};var l=n.config={poster:"",showPosterWhenEnded:!1,showPosterWhenPaused:!1,defaultVideoWidth:480,defaultVideoHeight:270,videoWidth:-1,videoHeight:-1,defaultAudioWidth:400,defaultAudioHeight:40,defaultSeekBackwardInterval:function(e){return.05*e.getDuration()},defaultSeekForwardInterval:function(e){return.05*e.getDuration()},setDimensions:!0,audioWidth:-1,audioHeight:-1,loop:!1,autoRewind:!0,enableAutosize:!0,timeFormat:"",alwaysShowHours:!1,showTimecodeFrameCount:!1,framesPerSecond:25,alwaysShowControls:!1,hideVideoControlsOnLoad:!1,hideVideoControlsOnPause:!1,clickToPlayPause:!0,controlsTimeoutDefault:1500,controlsTimeoutMouseEnter:2500,controlsTimeoutMouseLeave:1e3,iPadUseNativeControls:!1,iPhoneUseNativeControls:!1,AndroidUseNativeControls:!1,features:["playpause","current","progress","duration","tracks","volume","fullscreen"],useDefaultControls:!1,isVideo:!0,stretching:"auto",classPrefix:"mejs__",enableKeyboard:!0,pauseOtherPlayers:!0,secondsDecimalLength:0,customError:null,keyActions:[{keys:[32,179],action:function(e){x.IS_FIREFOX||(e.paused||e.ended?e.play():e.pause())}}]};f.default.MepDefaults=l;var h=(o(v,[{key:"getElement",value:function(e){return e}},{key:"init",value:function(){var e,t,n,o,i,r,a=this,s=Object.assign({},a.options,{success:function(e,t){a._meReady(e,t)},error:function(e){a._handleError(e)}}),l=a.node.tagName.toLowerCase();a.isDynamic="audio"!==l&&"video"!==l&&"iframe"!==l,a.isVideo=(a.isDynamic||"audio"!==l)&&a.options.isVideo,a.mediaFiles=null,a.trackFiles=null,x.IS_IPAD&&a.options.iPadUseNativeControls||x.IS_IPHONE&&a.options.iPhoneUseNativeControls?(a.node.setAttribute("controls",!0),x.IS_IPAD&&a.node.getAttribute("autoplay")&&a.play()):!a.isVideo&&(a.isVideo||!a.options.features.length&&!a.options.useDefaultControls)||x.IS_ANDROID&&a.options.AndroidUseNativeControls?a.isVideo||a.options.features.length||a.options.useDefaultControls||(a.node.style.display="none"):(a.node.removeAttribute("controls"),e=a.isVideo?u.default.t("mejs.video-player"):u.default.t("mejs.audio-player"),(t=S.default.createElement("span")).className=a.options.classPrefix+"offscreen",t.innerText=e,a.media.parentNode.insertBefore(t,a.media),a.container=S.default.createElement("div"),a.getElement(a.container).id=a.id,a.getElement(a.container).className=a.options.classPrefix+"container "+a.options.classPrefix+"container-keyboard-inactive "+a.media.className,a.getElement(a.container).tabIndex=0,a.getElement(a.container).setAttribute("role","application"),a.getElement(a.container).setAttribute("aria-label",e),a.getElement(a.container).innerHTML='<div class="'+a.options.classPrefix+'inner"><div class="'+a.options.classPrefix+'mediaelement"></div><div class="'+a.options.classPrefix+'layers"></div><div class="'+a.options.classPrefix+'controls"></div></div>',a.getElement(a.container).addEventListener("focus",function(e){var t;a.controlsAreVisible||a.hasFocus||!a.controlsEnabled||(a.showControls(!0),t=(0,m.isNodeAfter)(e.relatedTarget,a.getElement(a.container))?"."+a.options.classPrefix+"controls ."+a.options.classPrefix+"button:last-child > button":"."+a.options.classPrefix+"playpause-button > button",a.getElement(a.container).querySelector(t).focus())}),a.node.parentNode.insertBefore(a.getElement(a.container),a.node),a.options.features.length||a.options.useDefaultControls||(a.getElement(a.container).style.background="transparent",a.getElement(a.container).querySelector("."+a.options.classPrefix+"controls").style.display="none"),a.isVideo&&"fill"===a.options.stretching&&!w.hasClass(a.getElement(a.container).parentNode,a.options.classPrefix+"fill-container")&&(a.outerContainer=a.media.parentNode,(n=S.default.createElement("div")).className=a.options.classPrefix+"fill-container",a.getElement(a.container).parentNode.insertBefore(n,a.getElement(a.container)),n.appendChild(a.getElement(a.container))),x.IS_ANDROID&&w.addClass(a.getElement(a.container),a.options.classPrefix+"android"),x.IS_IOS&&w.addClass(a.getElement(a.container),a.options.classPrefix+"ios"),x.IS_IPAD&&w.addClass(a.getElement(a.container),a.options.classPrefix+"ipad"),x.IS_IPHONE&&w.addClass(a.getElement(a.container),a.options.classPrefix+"iphone"),w.addClass(a.getElement(a.container),a.isVideo?a.options.classPrefix+"video":a.options.classPrefix+"audio"),a.getElement(a.container).querySelector("."+a.options.classPrefix+"mediaelement").appendChild(a.node),(a.media.player=a).controls=a.getElement(a.container).querySelector("."+a.options.classPrefix+"controls"),a.layers=a.getElement(a.container).querySelector("."+a.options.classPrefix+"layers"),i=(o=a.isVideo?"video":"audio").substring(0,1).toUpperCase()+o.substring(1),0<a.options[o+"Width"]||-1<a.options[o+"Width"].toString().indexOf("%")?a.width=a.options[o+"Width"]:""!==a.node.style.width&&null!==a.node.style.width?a.width=a.node.style.width:a.node.getAttribute("width")?a.width=a.node.getAttribute("width"):a.width=a.options["default"+i+"Width"],0<a.options[o+"Height"]||-1<a.options[o+"Height"].toString().indexOf("%")?a.height=a.options[o+"Height"]:""!==a.node.style.height&&null!==a.node.style.height?a.height=a.node.style.height:a.node.getAttribute("height")?a.height=a.node.getAttribute("height"):a.height=a.options["default"+i+"Height"],a.initialAspectRatio=a.height>=a.width?a.width/a.height:a.height/a.width,a.setPlayerSize(a.width,a.height),s.pluginWidth=a.width,s.pluginHeight=a.height),f.default.MepDefaults=s,new d.default(a.media,s,a.mediaFiles),void 0!==a.getElement(a.container)&&a.options.features.length&&a.controlsAreVisible&&!a.options.hideVideoControlsOnLoad&&(r=(0,m.createEvent)("controlsshown",a.getElement(a.container)),a.getElement(a.container).dispatchEvent(r))}},{key:"showControls",value:function(e){var o=this;if(e=void 0===e||e,!o.controlsAreVisible&&o.isVideo){if(e)!function(){w.fadeIn(o.getElement(o.controls),200,function(){w.removeClass(o.getElement(o.controls),o.options.classPrefix+"offscreen");var e=(0,m.createEvent)("controlsshown",o.getElement(o.container));o.getElement(o.container).dispatchEvent(e)});for(var t=o.getElement(o.container).querySelectorAll("."+o.options.classPrefix+"control"),e=0,n=t.length;e<n;e++)!function(e){w.fadeIn(t[e],200,function(){w.removeClass(t[e],o.options.classPrefix+"offscreen")})}(e)}();else{w.removeClass(o.getElement(o.controls),o.options.classPrefix+"offscreen"),o.getElement(o.controls).style.display="",o.getElement(o.controls).style.opacity=1;for(var t=o.getElement(o.container).querySelectorAll("."+o.options.classPrefix+"control"),n=0,i=t.length;n<i;n++)w.removeClass(t[n],o.options.classPrefix+"offscreen"),t[n].style.display="";var r=(0,m.createEvent)("controlsshown",o.getElement(o.container));o.getElement(o.container).dispatchEvent(r)}o.controlsAreVisible=!0,o.setControlsSize()}}},{key:"hideControls",value:function(e,t){var o=this;if(e=void 0===e||e,!0===t||!(!o.controlsAreVisible||o.options.alwaysShowControls||o.paused&&4===o.readyState&&(!o.options.hideVideoControlsOnLoad&&o.currentTime<=0||!o.options.hideVideoControlsOnPause&&0<o.currentTime)||o.isVideo&&!o.options.hideVideoControlsOnLoad&&!o.readyState||o.ended)){if(e)!function(){w.fadeOut(o.getElement(o.controls),200,function(){w.addClass(o.getElement(o.controls),o.options.classPrefix+"offscreen");var e=(o.getElement(o.controls).style.display="",m.createEvent)("controlshidden",o.getElement(o.container));o.getElement(o.container).dispatchEvent(e)});for(var t=o.getElement(o.container).querySelectorAll("."+o.options.classPrefix+"control"),e=0,n=t.length;e<n;e++)!function(e){w.fadeOut(t[e],200,function(){w.addClass(t[e],o.options.classPrefix+"offscreen"),t[e].style.display=""})}(e)}();else{w.addClass(o.getElement(o.controls),o.options.classPrefix+"offscreen"),o.getElement(o.controls).style.display="",o.getElement(o.controls).style.opacity=0;for(var n=o.getElement(o.container).querySelectorAll("."+o.options.classPrefix+"control"),i=0,r=n.length;i<r;i++)w.addClass(n[i],o.options.classPrefix+"offscreen"),n[i].style.display="";var a=(0,m.createEvent)("controlshidden",o.getElement(o.container));o.getElement(o.container).dispatchEvent(a)}o.controlsAreVisible=!1}}},{key:"startControlsTimer",value:function(e){var t=this;e=void 0!==e?e:t.options.controlsTimeoutDefault,t.killControlsTimer("start"),t.controlsTimer=setTimeout(function(){t.hideControls(),t.killControlsTimer("hide")},e)}},{key:"killControlsTimer",value:function(){null!==this.controlsTimer&&(clearTimeout(this.controlsTimer),delete this.controlsTimer,this.controlsTimer=null)}},{key:"disableControls",value:function(){this.killControlsTimer(),this.controlsEnabled=!1,this.hideControls(!1,!0)}},{key:"enableControls",value:function(){this.controlsEnabled=!0,this.showControls(!1)}},{key:"_setDefaultPlayer",value:function(){var e=this;e.proxy&&e.proxy.pause(),e.proxy=new a.default(e),e.media.addEventListener("loadedmetadata",function(){0<e.getCurrentTime()&&0<e.currentMediaTime&&(e.setCurrentTime(e.currentMediaTime),x.IS_IOS||x.IS_ANDROID||e.play())})}},{key:"_meReady",value:function(e,t){var n,o=this,i=t.getAttribute("autoplay"),r=!(null==i||"false"===i),a=null!==e.rendererName&&/(native|html5)/i.test(o.media.rendererName);if(o.getElement(o.controls)&&o.enableControls(),o.getElement(o.container)&&o.getElement(o.container).querySelector("."+o.options.classPrefix+"overlay-play")&&(o.getElement(o.container).querySelector("."+o.options.classPrefix+"overlay-play").style.display=""),!o.created){if(o.created=!0,o.media=e,o.domNode=t,!(x.IS_ANDROID&&o.options.AndroidUseNativeControls||x.IS_IPAD&&o.options.iPadUseNativeControls||x.IS_IPHONE&&o.options.iPhoneUseNativeControls)){if(!o.isVideo&&!o.options.features.length&&!o.options.useDefaultControls)return r&&a&&o.play(),void(o.options.success&&("string"==typeof o.options.success?b.default[o.options.success](o.media,o.domNode,o):o.options.success(o.media,o.domNode,o)));o.featurePosition={},o._setDefaultPlayer(),o.buildposter(o,o.getElement(o.controls),o.getElement(o.layers),o.media),o.buildkeyboard(o,o.getElement(o.controls),o.getElement(o.layers),o.media),o.buildoverlays(o,o.getElement(o.controls),o.getElement(o.layers),o.media),o.options.useDefaultControls&&(n=["playpause","current","progress","duration","tracks","volume","fullscreen"],o.options.features=n.concat(o.options.features.filter(function(e){return-1===n.indexOf(e)}))),o.buildfeatures(o,o.getElement(o.controls),o.getElement(o.layers),o.media);var s=(0,m.createEvent)("controlsready",o.getElement(o.container));o.getElement(o.container).dispatchEvent(s),o.setPlayerSize(o.width,o.height),o.setControlsSize(),o.isVideo&&(o.clickToPlayPauseCallback=function(){var e,t;o.options.clickToPlayPause&&(t=(e=o.getElement(o.container).querySelector("."+o.options.classPrefix+"overlay-button")).getAttribute("aria-pressed"),o.paused&&t||!o.paused?o.pause():o.play(),e.setAttribute("aria-pressed",!t),o.getElement(o.container).focus())},o.createIframeLayer(),o.media.addEventListener("click",o.clickToPlayPauseCallback),!x.IS_ANDROID&&!x.IS_IOS||o.options.alwaysShowControls?(o.getElement(o.container).addEventListener("mouseenter",function(){o.controlsEnabled&&(o.options.alwaysShowControls||(o.killControlsTimer("enter"),o.showControls(),o.startControlsTimer(o.options.controlsTimeoutMouseEnter)))}),o.getElement(o.container).addEventListener("mousemove",function(){o.controlsEnabled&&(o.controlsAreVisible||o.showControls(),o.options.alwaysShowControls||o.startControlsTimer(o.options.controlsTimeoutMouseEnter))}),o.getElement(o.container).addEventListener("mouseleave",function(){o.controlsEnabled&&(o.paused||o.options.alwaysShowControls||o.startControlsTimer(o.options.controlsTimeoutMouseLeave))})):o.node.addEventListener("touchstart",function(){o.controlsAreVisible?o.hideControls(!1):o.controlsEnabled&&o.showControls(!1)},!!x.SUPPORT_PASSIVE_EVENT&&{passive:!0}),o.options.hideVideoControlsOnLoad&&o.hideControls(!1),o.options.enableAutosize&&o.media.addEventListener("loadedmetadata",function(e){var t=void 0!==e?e.detail.target||e.target:o.media;o.options.videoHeight<=0&&!o.domNode.getAttribute("height")&&!o.domNode.style.height&&null!==t&&!isNaN(t.videoHeight)&&(o.setPlayerSize(t.videoWidth,t.videoHeight),o.setControlsSize(),o.media.setSize(t.videoWidth,t.videoHeight))})),o.media.addEventListener("play",function(){for(var e in o.hasFocus=!0,f.default.players){var t;f.default.players.hasOwnProperty(e)&&((t=f.default.players[e]).id===o.id||!o.options.pauseOtherPlayers||t.paused||t.ended||!0===t.options.ignorePauseOtherPlayersOption||(t.pause(),t.hasFocus=!1))}x.IS_ANDROID||x.IS_IOS||o.options.alwaysShowControls||!o.isVideo||o.hideControls()}),o.media.addEventListener("ended",function(){if(o.options.autoRewind)try{o.setCurrentTime(0),setTimeout(function(){var e=o.getElement(o.container).querySelector("."+o.options.classPrefix+"overlay-loading");e&&e.parentNode&&(e.parentNode.style.display="none")},20)}catch(e){}"function"==typeof o.media.renderer.stop?o.media.renderer.stop():o.pause(),o.setProgressRail&&o.setProgressRail(),o.setCurrentRail&&o.setCurrentRail(),o.options.loop?o.play():!o.options.alwaysShowControls&&o.controlsEnabled&&o.showControls()}),o.media.addEventListener("loadedmetadata",function(){(0,c.calculateTimeFormat)(o.getDuration(),o.options,o.options.framesPerSecond||25),o.updateDuration&&o.updateDuration(),o.updateCurrent&&o.updateCurrent(),o.isFullScreen||(o.setPlayerSize(o.width,o.height),o.setControlsSize())});var l=null;o.media.addEventListener("timeupdate",function(){isNaN(o.getDuration())||l===o.getDuration()||(l=o.getDuration(),(0,c.calculateTimeFormat)(l,o.options,o.options.framesPerSecond||25),o.updateDuration&&o.updateDuration(),o.updateCurrent&&o.updateCurrent(),o.setControlsSize())}),o.getElement(o.container).addEventListener("click",function(e){w.addClass(e.currentTarget,o.options.classPrefix+"container-keyboard-inactive")}),o.getElement(o.container).addEventListener("focusin",function(e){w.removeClass(e.currentTarget,o.options.classPrefix+"container-keyboard-inactive"),!o.isVideo||x.IS_ANDROID||x.IS_IOS||!o.controlsEnabled||o.options.alwaysShowControls||(o.killControlsTimer("enter"),o.showControls(),o.startControlsTimer(o.options.controlsTimeoutMouseEnter))}),o.getElement(o.container).addEventListener("focusout",function(e){setTimeout(function(){e.relatedTarget&&o.keyboardAction&&!e.relatedTarget.closest("."+o.options.classPrefix+"container")&&(o.keyboardAction=!1,!o.isVideo||o.options.alwaysShowControls||o.paused||o.startControlsTimer(o.options.controlsTimeoutMouseLeave))},0)}),setTimeout(function(){o.setPlayerSize(o.width,o.height),o.setControlsSize()},0),o.globalResizeCallback=function(){o.isFullScreen||x.HAS_TRUE_NATIVE_FULLSCREEN&&S.default.webkitIsFullScreen||o.setPlayerSize(o.width,o.height),o.setControlsSize()},o.globalBind("resize",o.globalResizeCallback)}r&&a&&o.play(),o.options.success&&("string"==typeof o.options.success?b.default[o.options.success](o.media,o.domNode,o):o.options.success(o.media,o.domNode,o))}}},{key:"_handleError",value:function(e,t,n){var o=this,i=o.getElement(o.layers).querySelector("."+o.options.classPrefix+"overlay-play");i&&(i.style.display="none"),o.options.error&&o.options.error(e,t,n),o.getElement(o.container).querySelector("."+o.options.classPrefix+"cannotplay")&&o.getElement(o.container).querySelector("."+o.options.classPrefix+"cannotplay").remove();var r=S.default.createElement("div");r.className=o.options.classPrefix+"cannotplay",r.style.width="100%",r.style.height="100%";var a="function"==typeof o.options.customError?o.options.customError(o.media,o.media.originalNode):o.options.customError,s="";if(!a){var l=o.media.originalNode.getAttribute("poster");if(l&&(s='<img src="'+l+'" alt="'+f.default.i18n.t("mejs.download-file")+'">'),e.message&&(a="<p>"+e.message+"</p>"),e.urls)for(var d=0,u=e.urls.length;d<u;d++){var c=e.urls[d];a+='<a href="'+c.src+'" data-type="'+c.type+'"><span>'+f.default.i18n.t("mejs.download-file")+": "+c.src+"</span></a>"}}a&&o.getElement(o.layers).querySelector("."+o.options.classPrefix+"overlay-error")&&(r.innerHTML=a,o.getElement(o.layers).querySelector("."+o.options.classPrefix+"overlay-error").innerHTML=""+s+r.outerHTML,o.getElement(o.layers).querySelector("."+o.options.classPrefix+"overlay-error").parentNode.style.display="block"),o.controlsEnabled&&o.disableControls()}},{key:"setPlayerSize",value:function(e,t){var n=this;if(!n.options.setDimensions)return!1;switch(void 0!==e&&(n.width=e),void 0!==t&&(n.height=t),n.options.stretching){case"fill":n.isVideo?n.setFillMode():n.setDimensions(n.width,n.height);break;case"responsive":n.setResponsiveMode();break;case"none":n.setDimensions(n.width,n.height);break;default:!0===n.hasFluidMode()?n.setResponsiveMode():n.setDimensions(n.width,n.height)}}},{key:"hasFluidMode",value:function(){var e=this;return-1!==e.height.toString().indexOf("%")||e.node&&e.node.style.maxWidth&&"none"!==e.node.style.maxWidth&&e.node.style.maxWidth!==e.width||e.node&&e.node.currentStyle&&"100%"===e.node.currentStyle.maxWidth}},{key:"setResponsiveMode",value:function(){var e,o=this,t=function(){for(var t=void 0,n=o.getElement(o.container);n;){try{if(x.IS_FIREFOX&&"html"===n.tagName.toLowerCase()&&b.default.self!==b.default.top&&null!==b.default.frameElement)return b.default.frameElement;t=n.parentElement}catch(e){t=n.parentElement}if(t&&w.visible(t))return t;n=t}return null}(),n=t?getComputedStyle(t,null):getComputedStyle(S.default.body,null),i=o.isVideo?o.node.videoWidth&&0<o.node.videoWidth?o.node.videoWidth:o.node.getAttribute("width")?o.node.getAttribute("width"):o.options.defaultVideoWidth:o.options.defaultAudioWidth,r=o.isVideo?o.node.videoHeight&&0<o.node.videoHeight?o.node.videoHeight:o.node.getAttribute("height")?o.node.getAttribute("height"):o.options.defaultVideoHeight:o.options.defaultAudioHeight,a=(e=1,o.isVideo&&(e=o.node.videoWidth&&0<o.node.videoWidth&&o.node.videoHeight&&0<o.node.videoHeight?o.height>=o.width?o.node.videoWidth/o.node.videoHeight:o.node.videoHeight/o.node.videoWidth:o.initialAspectRatio,(isNaN(e)||e<.01||100<e)&&(e=1)),e),s=parseFloat(n.height),l=void 0,d=parseFloat(n.width),l=o.isVideo?"100%"===o.height?parseFloat(d*r/i,10):o.height>=o.width?parseFloat(d/a,10):parseFloat(d*a,10):r;if(isNaN(l)&&(l=s),0<o.getElement(o.container).parentNode.length&&"body"===o.getElement(o.container).parentNode.tagName.toLowerCase()&&(d=b.default.innerWidth||S.default.documentElement.clientWidth||S.default.body.clientWidth,l=b.default.innerHeight||S.default.documentElement.clientHeight||S.default.body.clientHeight),l&&d){o.getElement(o.container).style.width=d+"px",o.getElement(o.container).style.height=l+"px",o.node.style.width="100%",o.node.style.height="100%",o.isVideo&&o.media.setSize&&o.media.setSize(d,l);for(var u=o.getElement(o.layers).children,c=0,f=u.length;c<f;c++)u[c].style.width="100%",u[c].style.height="100%"}}},{key:"setFillMode",value:function(){var e=this,t=b.default.self!==b.default.top&&null!==b.default.frameElement,n=function(){for(var t=void 0,n=e.getElement(e.container);n;){try{if(x.IS_FIREFOX&&"html"===n.tagName.toLowerCase()&&b.default.self!==b.default.top&&null!==b.default.frameElement)return b.default.frameElement;t=n.parentElement}catch(e){t=n.parentElement}if(t&&w.visible(t))return t;n=t}return null}(),o=n?getComputedStyle(n,null):getComputedStyle(S.default.body,null);"none"!==e.node.style.height&&e.node.style.height!==e.height&&(e.node.style.height="auto"),"none"!==e.node.style.maxWidth&&e.node.style.maxWidth!==e.width&&(e.node.style.maxWidth="none"),"none"!==e.node.style.maxHeight&&e.node.style.maxHeight!==e.height&&(e.node.style.maxHeight="none"),e.node.currentStyle&&("100%"===e.node.currentStyle.height&&(e.node.currentStyle.height="auto"),"100%"===e.node.currentStyle.maxWidth&&(e.node.currentStyle.maxWidth="none"),"100%"===e.node.currentStyle.maxHeight&&(e.node.currentStyle.maxHeight="none")),t||parseFloat(o.width)||(n.style.width=e.media.offsetWidth+"px"),t||parseFloat(o.height)||(n.style.height=e.media.offsetHeight+"px"),o=getComputedStyle(n);var i=parseFloat(o.width),r=parseFloat(o.height);e.setDimensions("100%","100%");var a=e.getElement(e.container).querySelector("."+e.options.classPrefix+"poster>img");a&&(a.style.display="");for(var s=e.getElement(e.container).querySelectorAll("object, embed, iframe, video"),l=e.height,d=e.width,u=l*i/d,c=d*r/l,f=r,p=i<c==0,m=p?Math.floor(i):Math.floor(c),h=p?Math.floor(u):Math.floor(f),v=p?i+"px":m+"px",y=p?h+"px":r+"px",g=0,E=s.length;g<E;g++)s[g].style.height=y,s[g].style.width=v,e.media.setSize&&e.media.setSize(v,y),s[g].style.marginLeft=Math.floor((i-m)/2)+"px",s[g].style.marginTop=0}},{key:"setDimensions",value:function(e,t){var n=this;e=(0,m.isString)(e)&&-1<e.indexOf("%")?e:parseFloat(e)+"px",t=(0,m.isString)(t)&&-1<t.indexOf("%")?t:parseFloat(t)+"px",n.getElement(n.container).style.width=e,n.getElement(n.container).style.height=t;for(var o=n.getElement(n.layers).children,i=0,r=o.length;i<r;i++)o[i].style.width=e,o[i].style.height=t}},{key:"setControlsSize",value:function(){var t=this;if(w.visible(t.getElement(t.container)))if(t.rail&&w.visible(t.rail)){for(var e=t.total?getComputedStyle(t.total,null):null,n=e?parseFloat(e.marginLeft)+parseFloat(e.marginRight):0,o=getComputedStyle(t.rail),i=parseFloat(o.marginLeft)+parseFloat(o.marginRight),r=0,a=w.siblings(t.rail,function(e){return e!==t.rail}),s=a.length,l=0;l<s;l++)r+=a[l].offsetWidth;r+=n+(0===n?2*i:i)+1,t.getElement(t.container).style.minWidth=r+"px";var d=(0,m.createEvent)("controlsresize",t.getElement(t.container));t.getElement(t.container).dispatchEvent(d)}else{for(var u=t.getElement(t.controls).children,c=0,f=0,p=u.length;f<p;f++)c+=u[f].offsetWidth;t.getElement(t.container).style.minWidth=c+"px"}}},{key:"addControlElement",value:function(e,t){var n=this;if(void 0!==n.featurePosition[t]){var o=n.getElement(n.controls).children[n.featurePosition[t]-1];o.parentNode.insertBefore(e,o.nextSibling)}else{n.getElement(n.controls).appendChild(e);for(var i=n.getElement(n.controls).children,r=0,a=i.length;r<a;r++)if(e===i[r]){n.featurePosition[t]=r;break}}}},{key:"createIframeLayer",value:function(){var e,t,n=this;n.isVideo&&null!==n.media.rendererName&&-1<n.media.rendererName.indexOf("iframe")&&!S.default.getElementById(n.media.id+"-iframe-overlay")&&(e=S.default.createElement("div"),t=S.default.getElementById(n.media.id+"_"+n.media.rendererName),e.id=n.media.id+"-iframe-overlay",e.className=n.options.classPrefix+"iframe-overlay",e.addEventListener("click",function(e){n.options.clickToPlayPause&&(n.paused?n.play():n.pause(),e.preventDefault(),e.stopPropagation())}),t.parentNode.insertBefore(e,t))}},{key:"resetSize",value:function(){var e=this;setTimeout(function(){e.setPlayerSize(e.width,e.height),e.setControlsSize()},50)}},{key:"setPoster",value:function(e){var t,n,o=this;o.getElement(o.container)?((t=o.getElement(o.container).querySelector("."+o.options.classPrefix+"poster"))||((t=S.default.createElement("div")).className=o.options.classPrefix+"poster "+o.options.classPrefix+"layer",o.getElement(o.layers).appendChild(t)),!(n=t.querySelector("img"))&&e&&((n=S.default.createElement("img")).className=o.options.classPrefix+"poster-img",n.width="100%",n.height="100%",t.style.display="",t.appendChild(n)),e?(n.setAttribute("src",e),t.style.backgroundImage='url("'+e+'")',t.style.display=""):n?(t.style.backgroundImage="none",t.style.display="none",n.remove()):t.style.display="none"):(x.IS_IPAD&&o.options.iPadUseNativeControls||x.IS_IPHONE&&o.options.iPhoneUseNativeControls||x.IS_ANDROID&&o.options.AndroidUseNativeControls)&&(o.media.originalNode.poster=e)}},{key:"changeSkin",value:function(e){var t=this;t.getElement(t.container).className=t.options.classPrefix+"container "+e,t.setPlayerSize(t.width,t.height),t.setControlsSize()}},{key:"globalBind",value:function(e,n){var o=this.node?this.node.ownerDocument:S.default;if((e=(0,m.splitEvents)(e,this.id)).d)for(var t=e.d.split(" "),i=0,r=t.length;i<r;i++)t[i].split(".").reduce(function(e,t){return o.addEventListener(t,n,!1),t},"");if(e.w)for(var a=e.w.split(" "),s=0,l=a.length;s<l;s++)a[s].split(".").reduce(function(e,t){return b.default.addEventListener(t,n,!1),t},"")}},{key:"globalUnbind",value:function(e,n){var o=this.node?this.node.ownerDocument:S.default;if((e=(0,m.splitEvents)(e,this.id)).d)for(var t=e.d.split(" "),i=0,r=t.length;i<r;i++)t[i].split(".").reduce(function(e,t){return o.removeEventListener(t,n,!1),t},"");if(e.w)for(var a=e.w.split(" "),s=0,l=a.length;s<l;s++)a[s].split(".").reduce(function(e,t){return b.default.removeEventListener(t,n,!1),t},"")}},{key:"buildfeatures",value:function(e,t,n,o){for(var i=0,r=this.options.features.length;i<r;i++){var a=this.options.features[i];if(this["build"+a])try{this["build"+a](e,t,n,o)}catch(e){console.error("error building "+a,e)}}}},{key:"buildposter",value:function(e,t,n,o){var i=this,r=S.default.createElement("div");r.className=i.options.classPrefix+"poster "+i.options.classPrefix+"layer",n.appendChild(r);var a=o.originalNode.getAttribute("poster");""!==e.options.poster&&(a&&x.IS_IOS&&o.originalNode.removeAttribute("poster"),a=e.options.poster),a?i.setPoster(a):null!==i.media.renderer&&"function"==typeof i.media.renderer.getPosterUrl?i.setPoster(i.media.renderer.getPosterUrl()):r.style.display="none",o.addEventListener("play",function(){r.style.display="none"}),o.addEventListener("playing",function(){r.style.display="none"}),e.options.showPosterWhenEnded&&e.options.autoRewind&&o.addEventListener("ended",function(){r.style.display=""}),o.addEventListener("error",function(){r.style.display="none"}),e.options.showPosterWhenPaused&&o.addEventListener("pause",function(){e.ended||(r.style.display="")})}},{key:"buildoverlays",value:function(t,e,n,o){var i,r,a,s,l;t.isVideo&&(i=this,r=S.default.createElement("div"),a=S.default.createElement("div"),s=S.default.createElement("div"),r.style.display="none",r.className=i.options.classPrefix+"overlay "+i.options.classPrefix+"layer",r.innerHTML='<div class="'+i.options.classPrefix+'overlay-loading"><span class="'+i.options.classPrefix+'overlay-loading-bg-img"></span></div>',n.appendChild(r),a.style.display="none",a.className=i.options.classPrefix+"overlay "+i.options.classPrefix+"layer",a.innerHTML='<div class="'+i.options.classPrefix+'overlay-error"></div>',n.appendChild(a),s.className=i.options.classPrefix+"overlay "+i.options.classPrefix+"layer "+i.options.classPrefix+"overlay-play",s.innerHTML='<div class="'+i.options.classPrefix+'overlay-button" role="button" tabindex="0" aria-label="'+u.default.t("mejs.play")+'" aria-pressed="false"></div>',s.addEventListener("click",function(){var e,t;i.options.clickToPlayPause&&(t=(e=i.getElement(i.container).querySelector("."+i.options.classPrefix+"overlay-button")).getAttribute("aria-pressed"),i.paused?i.play():i.pause(),e.setAttribute("aria-pressed",!!t),i.getElement(i.container).focus())}),s.addEventListener("keydown",function(e){var t=e.keyCode||e.which||0;if(13===t||x.IS_FIREFOX&&32===t){var n=(0,m.createEvent)("click",s);return s.dispatchEvent(n),!1}}),n.appendChild(s),null!==i.media.rendererName&&(/(youtube|facebook)/i.test(i.media.rendererName)&&!(i.media.originalNode.getAttribute("poster")||t.options.poster||"function"==typeof i.media.renderer.getPosterUrl&&i.media.renderer.getPosterUrl())||x.IS_STOCK_ANDROID||i.media.originalNode.getAttribute("autoplay"))&&(s.style.display="none"),l=!1,o.addEventListener("play",function(){s.style.display="none",r.style.display="none",a.style.display="none",l=!1}),o.addEventListener("playing",function(){s.style.display="none",r.style.display="none",a.style.display="none",l=!1}),o.addEventListener("seeking",function(){s.style.display="none",r.style.display="",l=!1}),o.addEventListener("seeked",function(){s.style.display=i.paused&&!x.IS_STOCK_ANDROID?"":"none",r.style.display="none",l=!1}),o.addEventListener("pause",function(){r.style.display="none",x.IS_STOCK_ANDROID||l||(s.style.display=""),l=!1}),o.addEventListener("waiting",function(){r.style.display="",l=!1}),o.addEventListener("loadeddata",function(){r.style.display="",x.IS_ANDROID&&(o.canplayTimeout=setTimeout(function(){if(S.default.createEvent){var e=S.default.createEvent("HTMLEvents");return e.initEvent("canplay",!0,!0),o.dispatchEvent(e)}},300)),l=!1}),o.addEventListener("canplay",function(){r.style.display="none",clearTimeout(o.canplayTimeout),l=!1}),o.addEventListener("error",function(e){i._handleError(e,i.media,i.node),r.style.display="none",s.style.display="none",l=!0}),o.addEventListener("loadedmetadata",function(){i.controlsEnabled||i.enableControls()}),o.addEventListener("keydown",function(e){i.onkeydown(t,o,e),l=!1}))}},{key:"buildkeyboard",value:function(o,e,t,i){var r=this;r.getElement(r.container).addEventListener("keydown",function(){r.keyboardAction=!0}),r.globalKeydownCallback=function(e){var t=S.default.activeElement.closest("."+r.options.classPrefix+"container"),n=r.media.closest("."+r.options.classPrefix+"container");return r.hasFocus=!(!t||!n||t.id!==n.id),r.onkeydown(o,i,e)},r.globalClickCallback=function(e){r.hasFocus=!!e.target.closest("."+r.options.classPrefix+"container")},r.globalBind("keydown",r.globalKeydownCallback),r.globalBind("click",r.globalClickCallback)}},{key:"onkeydown",value:function(e,t,n){if(e.hasFocus&&e.options.enableKeyboard)for(var o=0,i=e.options.keyActions.length;o<i;o++)for(var r=e.options.keyActions[o],a=0,s=r.keys.length;a<s;a++)if(n.keyCode===r.keys[a])return r.action(e,t,n.keyCode,n),n.preventDefault(),void n.stopPropagation();return!0}},{key:"play",value:function(){this.proxy.play()}},{key:"pause",value:function(){this.proxy.pause()}},{key:"load",value:function(){this.proxy.load()}},{key:"setCurrentTime",value:function(e){this.proxy.setCurrentTime(e)}},{key:"getCurrentTime",value:function(){return this.proxy.currentTime}},{key:"getDuration",value:function(){return this.proxy.duration}},{key:"setVolume",value:function(e){this.proxy.volume=e}},{key:"getVolume",value:function(){return this.proxy.getVolume()}},{key:"setMuted",value:function(e){this.proxy.setMuted(e)}},{key:"setSrc",value:function(e){this.controlsEnabled||this.enableControls(),this.proxy.setSrc(e)}},{key:"getSrc",value:function(){return this.proxy.getSrc()}},{key:"canPlayType",value:function(e){return this.proxy.canPlayType(e)}},{key:"remove",value:function(){var s=this,l=s.media.rendererName,d=s.media.originalNode.src;for(var e in s.options.features){var t=s.options.features[e];if(s["clean"+t])try{s["clean"+t](s,s.getElement(s.layers),s.getElement(s.controls),s.media)}catch(e){console.error("error cleaning "+t,e)}}var n=s.node.getAttribute("width"),o=s.node.getAttribute("height");n?-1===n.indexOf("%")&&(n+="px"):n="auto",o?-1===o.indexOf("%")&&(o+="px"):o="auto",s.node.style.width=n,s.node.style.height=o,s.setPlayerSize(0,0),s.isDynamic?s.getElement(s.container).parentNode.insertBefore(s.node,s.getElement(s.container)):function(){s.node.setAttribute("controls",!0),s.node.setAttribute("id",s.node.getAttribute("id").replace("_"+l,"").replace("_from_mejs",""));var e=s.getElement(s.container).querySelector("."+s.options.classPrefix+"poster>img");e&&s.node.setAttribute("poster",e.src),delete s.node.autoplay,s.node.setAttribute("src",""),""!==s.media.canPlayType((0,p.getTypeFromFile)(d))&&s.node.setAttribute("src",d),l&&-1<l.indexOf("iframe")&&S.default.getElementById(s.media.id+"-iframe-overlay").remove();var o=s.node.cloneNode();if(o.style.display="",s.getElement(s.container).parentNode.insertBefore(o,s.getElement(s.container)),s.node.remove(),s.mediaFiles)for(var t=0,n=s.mediaFiles.length;t<n;t++){var i=S.default.createElement("source");i.setAttribute("src",s.mediaFiles[t].src),i.setAttribute("type",s.mediaFiles[t].type),o.appendChild(i)}if(s.trackFiles)for(var r=0,a=s.trackFiles.length;r<a;r++)!function(e){var t=s.trackFiles[e],n=S.default.createElement("track");n.kind=t.kind,n.label=t.label,n.srclang=t.srclang,n.src=t.src,o.appendChild(n),n.addEventListener("load",function(){this.mode="showing",o.textTracks[e].mode="showing"})}(r);delete s.node,delete s.mediaFiles,delete s.trackFiles}(),s.media.renderer&&"function"==typeof s.media.renderer.destroy&&s.media.renderer.destroy(),delete f.default.players[s.id],"object"===i(s.getElement(s.container))&&(s.getElement(s.container).parentNode.querySelector("."+s.options.classPrefix+"offscreen").remove(),s.getElement(s.container).remove()),s.globalUnbind("resize",s.globalResizeCallback),s.globalUnbind("keydown",s.globalKeydownCallback),s.globalUnbind("click",s.globalClickCallback),delete s.media.player}},{key:"paused",get:function(){return this.proxy.paused}},{key:"muted",get:function(){return this.proxy.muted},set:function(e){this.setMuted(e)}},{key:"ended",get:function(){return this.proxy.ended}},{key:"readyState",get:function(){return this.proxy.readyState}},{key:"currentTime",set:function(e){this.setCurrentTime(e)},get:function(){return this.getCurrentTime()}},{key:"duration",get:function(){return this.getDuration()}},{key:"volume",set:function(e){this.setVolume(e)},get:function(){return this.getVolume()}},{key:"src",set:function(e){this.setSrc(e)},get:function(){return this.getSrc()}}]),v);function v(e,t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,v);var n,o=this,i="string"==typeof e?S.default.getElementById(e):e;return o instanceof v?(o.node=o.media=i,o.node?o.media.player?o.media.player:(o.hasFocus=!1,o.controlsAreVisible=!0,o.controlsEnabled=!0,o.controlsTimer=null,o.currentMediaTime=0,o.proxy=null,void 0===t&&(t=(n=o.node.getAttribute("data-mejsoptions"))?JSON.parse(n):{}),o.options=Object.assign({},l,t),o.options.loop&&!o.media.getAttribute("loop")?(o.media.loop=!0,o.node.loop=!0):o.media.loop&&(o.options.loop=!0),o.options.timeFormat||(o.options.timeFormat="mm:ss",o.options.alwaysShowHours&&(o.options.timeFormat="hh:mm:ss"),o.options.showTimecodeFrameCount&&(o.options.timeFormat+=":ff")),(0,c.calculateTimeFormat)(0,o.options,o.options.framesPerSecond||25),o.id="mep_"+f.default.mepIndex++,(f.default.players[o.id]=o).init(),o):void 0):new v(i,t)}b.default.MediaElementPlayer=h,f.default.MediaElementPlayer=h,n.default=h},{17:17,2:2,25:25,26:26,27:27,28:28,3:3,30:30,5:5,6:6,7:7}],17:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0});var o=function(e,t,n){return t&&i(e.prototype,t),n&&i(e,n),e};function i(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}var r,a=e(3),s=(r=a)&&r.__esModule?r:{default:r};var l=(o(d,[{key:"play",value:function(){this.media.play()}},{key:"pause",value:function(){this.media.pause()}},{key:"load",value:function(){this.isLoaded||this.media.load(),this.isLoaded=!0}},{key:"setCurrentTime",value:function(e){this.media.setCurrentTime(e)}},{key:"getCurrentTime",value:function(){return this.media.currentTime}},{key:"getDuration",value:function(){var e=this.media.getDuration();return e===1/0&&this.media.seekable&&this.media.seekable.length&&(e=this.media.seekable.end(0)),e}},{key:"setVolume",value:function(e){this.media.setVolume(e)}},{key:"getVolume",value:function(){return this.media.getVolume()}},{key:"setMuted",value:function(e){this.media.setMuted(e)}},{key:"setSrc",value:function(e){var t=this,n=document.getElementById(t.media.id+"-iframe-overlay");n&&n.remove(),t.media.setSrc(e),t.createIframeLayer(),null!==t.media.renderer&&"function"==typeof t.media.renderer.getPosterUrl&&t.setPoster(t.media.renderer.getPosterUrl())}},{key:"getSrc",value:function(){return this.media.getSrc()}},{key:"canPlayType",value:function(e){return this.media.canPlayType(e)}},{key:"paused",get:function(){return this.media.paused}},{key:"muted",set:function(e){this.setMuted(e)},get:function(){return this.media.muted}},{key:"ended",get:function(){return this.media.ended}},{key:"readyState",get:function(){return this.media.readyState}},{key:"currentTime",set:function(e){this.setCurrentTime(e)},get:function(){return this.getCurrentTime()}},{key:"duration",get:function(){return this.getDuration()}},{key:"remainingTime",get:function(){return this.getDuration()-this.currentTime()}},{key:"volume",set:function(e){this.setVolume(e)},get:function(){return this.getVolume()}},{key:"src",set:function(e){this.setSrc(e)},get:function(){return this.getSrc()}}]),d);function d(t){return function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,d),this.media=t.media,this.isVideo=t.isVideo,this.classPrefix=t.options.classPrefix,this.createIframeLayer=function(){return t.createIframeLayer()},this.setPoster=function(e){return t.setPoster(e)},this}n.default=l,s.default.DefaultPlayer=l},{3:3}],18:[function(e,t,n){"use strict";a(e(3));var o,i=a(e(7)),r=a(e(16));function a(e){return e&&e.__esModule?e:{default:e}}"undefined"!=typeof jQuery?i.default.$=jQuery:"undefined"!=typeof Zepto?i.default.$=Zepto:"undefined"!=typeof ender&&(i.default.$=ender),void 0!==(o=i.default.$)&&(o.fn.mediaelementplayer=function(e){return!1===e?this.each(function(){var e=o(this).data("mediaelementplayer");e&&e.remove(),o(this).removeData("mediaelementplayer")}):this.each(function(){o(this).data("mediaelementplayer",new r.default(this,e))}),this},o(document).ready(function(){o("."+i.default.MepDefaults.classPrefix+"player").mediaelementplayer()}))},{16:16,3:3,7:7}],19:[function(e,t,n){"use strict";var E="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},b=a(e(3)),S=a(e(7)),x=e(8),w=e(27),o=e(28),i=e(25),r=e(26);function a(e){return e&&e.__esModule?e:{default:e}}var P={promise:null,load:function(e){return"undefined"!=typeof dashjs?P.promise=new Promise(function(e){e()}).then(function(){P._createPlayer(e)}):(e.options.path="string"==typeof e.options.path?e.options.path:"https://cdn.dashjs.org/latest/dash.all.min.js",P.promise=P.promise||(0,r.loadScript)(e.options.path),P.promise.then(function(){P._createPlayer(e)})),P.promise},_createPlayer:function(e){var t=dashjs.MediaPlayer().create();return b.default["__ready__"+e.id](t),t}},s={name:"native_dash",options:{prefix:"native_dash",dash:{path:"https://cdn.dashjs.org/latest/dash.all.min.js",debug:!1,drm:{},robustnessLevel:""}},canPlayType:function(e){return i.HAS_MSE&&-1<["application/dash+xml"].indexOf(e.toLowerCase())},create:function(a,s,e){var t=a.originalNode,r=a.id+"_"+s.prefix,l=t.autoplay,n=t.children,d=null,u=null;t.removeAttribute("type");for(var o=0,i=n.length;o<i;o++)n[o].removeAttribute("type");d=t.cloneNode(!0),s=Object.assign(s,a.options);for(var c=S.default.html5media.properties,f=S.default.html5media.events.concat(["click","mouseover","mouseout"]).filter(function(e){return"error"!==e}),p=function(e){var t=(0,w.createEvent)(e.type,a);a.dispatchEvent(t)},m=0,h=c.length;m<h;m++)!function(i){var e=""+i.substring(0,1).toUpperCase()+i.substring(1);d["get"+e]=function(){return null!==u?d[i]:null},d["set"+e]=function(e){if(-1===S.default.html5media.readOnlyProperties.indexOf(i))if("src"===i){var t="object"===(void 0===e?"undefined":E(e))&&e.src?e.src:e;if(d[i]=t,null!==u){u.reset();for(var n=0,o=f.length;n<o;n++)d.removeEventListener(f[n],p);u=P._createPlayer({options:s.dash,id:r}),e&&"object"===(void 0===e?"undefined":E(e))&&"object"===E(e.drm)&&(u.setProtectionData(e.drm),(0,w.isString)(s.dash.robustnessLevel)&&s.dash.robustnessLevel&&u.getProtectionController().setRobustnessLevel(s.dash.robustnessLevel)),u.attachSource(t),l&&u.play()}}else d[i]=e}}(c[m]);if(b.default["__ready__"+r]=function(e){a.dashPlayer=u=e;for(var t,n=dashjs.MediaPlayer.events,o=0,i=f.length;o<i;o++)"loadedmetadata"===(t=f[o])&&(u.initialize(),u.attachView(d),u.setAutoPlay(!1),"object"!==E(s.dash.drm)||S.default.Utils.isObjectEmpty(s.dash.drm)||(u.setProtectionData(s.dash.drm),(0,w.isString)(s.dash.robustnessLevel)&&s.dash.robustnessLevel&&u.getProtectionController().setRobustnessLevel(s.dash.robustnessLevel)),u.attachSource(d.getSrc())),d.addEventListener(t,p);for(var r in n)n.hasOwnProperty(r)&&u.on(n[r],function(e){var t,n;"error"===(t=e).type.toLowerCase()?(a.generateError(t.message,d.src),console.error(t)):((n=(0,w.createEvent)(t.type,a)).data=t,a.dispatchEvent(n))})},e&&0<e.length)for(var v=0,y=e.length;v<y;v++)if(x.renderer.renderers[s.prefix].canPlayType(e[v].type)){d.setAttribute("src",e[v].src),void 0!==e[v].drm&&(s.dash.drm=e[v].drm);break}d.setAttribute("id",r),t.parentNode.insertBefore(d,t),t.autoplay=!1,t.style.display="none",d.setSize=function(e,t){return d.style.width=e+"px",d.style.height=t+"px",d},d.hide=function(){return d.pause(),d.style.display="none",d},d.show=function(){return d.style.display="",d},d.destroy=function(){null!==u&&u.reset()};var g=(0,w.createEvent)("rendererready",d);return a.dispatchEvent(g),a.promises.push(P.load({options:s.dash,id:r})),d}};o.typeChecks.push(function(e){return~e.toLowerCase().indexOf(".mpd")?"application/dash+xml":null}),x.renderer.add(s)},{25:25,26:26,27:27,28:28,3:3,7:7,8:8}],20:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.PluginDetector=void 0;var d="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},P=o(e(3)),T=o(e(2)),C=o(e(7)),k=o(e(5)),_=e(8),N=e(27),A=e(25),L=e(28);function o(e){return e&&e.__esModule?e:{default:e}}var r=n.PluginDetector={plugins:[],hasPluginVersion:function(e,t){var n=r.plugins[e];return t[1]=t[1]||0,t[2]=t[2]||0,n[0]>t[0]||n[0]===t[0]&&n[1]>t[1]||n[0]===t[0]&&n[1]===t[1]&&n[2]>=t[2]},addPlugin:function(e,t,n,o,i){r.plugins[e]=r.detectPlugin(t,n,o,i)},detectPlugin:function(e,t,n,o){var i=[0,0,0],r=void 0,a=void 0;if(null!==A.NAV.plugins&&void 0!==A.NAV.plugins&&"object"===d(A.NAV.plugins[e])){if((r=A.NAV.plugins[e].description)&&(void 0===A.NAV.mimeTypes||!A.NAV.mimeTypes[t]||A.NAV.mimeTypes[t].enabledPlugin))for(var s=0,l=(i=r.replace(e,"").replace(/^\s+/,"").replace(/\sr/gi,".").split(".")).length;s<l;s++)i[s]=parseInt(i[s].match(/\d+/),10)}else if(void 0!==P.default.ActiveXObject)try{(a=new ActiveXObject(n))&&(i=o(a))}catch(e){}return i}};r.addPlugin("flash","Shockwave Flash","application/x-shockwave-flash","ShockwaveFlash.ShockwaveFlash",function(e){var t=[],n=e.GetVariable("$version");return n&&(n=n.split(" ")[1].split(","),t=[parseInt(n[0],10),parseInt(n[1],10),parseInt(n[2],10)]),t});var i,a,s,l,u,c={create:function(e,t,n){var r={},o=!1;r.options=t,r.id=e.id+"_"+r.options.prefix,r.mediaElement=e,r.flashState={},r.flashApi=null,r.flashApiStack=[];for(var i=C.default.html5media.properties,a=0,s=i.length;a<s;a++)!function(t){r.flashState[t]=null;var e=""+t.substring(0,1).toUpperCase()+t.substring(1);r["get"+e]=function(){if(null===r.flashApi)return null;if("function"!=typeof r.flashApi["get_"+t])return null;var e=r.flashApi["get_"+t]();return"buffered"===t?{start:function(){return 0},end:function(){return e},length:1}:e},r["set"+e]=function(e){if("src"===t&&(e=(0,L.absolutizeUrl)(e)),null!==r.flashApi&&void 0!==r.flashApi["set_"+t])try{r.flashApi["set_"+t](e)}catch(e){}else r.flashApiStack.push({type:"set",propName:t,value:e})}}(i[a]);var l=C.default.html5media.methods;l.push("stop");for(var d=0,u=l.length;d<u;d++)!function(e){r[e]=function(){if(o)if(null!==r.flashApi){if(r.flashApi["fire_"+e])try{r.flashApi["fire_"+e]()}catch(e){}}else r.flashApiStack.push({type:"call",methodName:e})}}(l[d]);for(var c=["rendererready"],f=0,p=c.length;f<p;f++){var m=(0,N.createEvent)(c[f],r);e.dispatchEvent(m)}P.default["__ready__"+r.id]=function(){if(r.flashReady=!0,r.flashApi=T.default.getElementById("__"+r.id),r.flashApiStack.length)for(var e=0,t=r.flashApiStack.length;e<t;e++){var n,o,i=r.flashApiStack[e];"set"===i.type?(o=""+(n=i.propName).substring(0,1).toUpperCase()+n.substring(1),r["set"+o](i.value)):"call"===i.type&&r[i.methodName]()}},P.default["__event__"+r.id]=function(e,t){var n=(0,N.createEvent)(e,r);if(t)try{n.data=JSON.parse(t),n.details.data=JSON.parse(t)}catch(e){n.message=t}r.mediaElement.dispatchEvent(n)},r.flashWrapper=T.default.createElement("div"),-1===["always","sameDomain"].indexOf(r.options.shimScriptAccess)&&(r.options.shimScriptAccess="sameDomain");var h=e.originalNode.autoplay,v=["uid="+r.id,"autoplay="+h,"allowScriptAccess="+r.options.shimScriptAccess,"preload="+(e.originalNode.getAttribute("preload")||"")],y=null!==e.originalNode&&"video"===e.originalNode.tagName.toLowerCase(),g=y?e.originalNode.height:1,E=y?e.originalNode.width:1;e.originalNode.getAttribute("src")&&v.push("src="+e.originalNode.getAttribute("src")),!0===r.options.enablePseudoStreaming&&(v.push("pseudostreamstart="+r.options.pseudoStreamingStartQueryParam),v.push("pseudostreamtype="+r.options.pseudoStreamingType)),r.options.streamDelimiter&&v.push("streamdelimiter="+encodeURIComponent(r.options.streamDelimiter)),r.options.proxyType&&v.push("proxytype="+r.options.proxyType),e.appendChild(r.flashWrapper),e.originalNode.style.display="none";var b,S=[];if(A.IS_IE||A.IS_EDGE?(b=T.default.createElement("div"),r.flashWrapper.appendChild(b),S=A.IS_EDGE?['type="application/x-shockwave-flash"','data="'+r.options.pluginPath+r.options.filename+'"','id="__'+r.id+'"','width="'+E+'"','height="'+g+"'\""]:['classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"','codebase="//download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab"','id="__'+r.id+'"','width="'+E+'"','height="'+g+'"'],y||S.push('style="clip: rect(0 0 0 0); position: absolute;"'),b.outerHTML="<object "+S.join(" ")+'><param name="movie" value="'+r.options.pluginPath+r.options.filename+"?x="+new Date+'" /><param name="flashvars" value="'+v.join("&amp;")+'" /><param name="quality" value="high" /><param name="bgcolor" value="#000000" /><param name="wmode" value="transparent" /><param name="allowScriptAccess" value="'+r.options.shimScriptAccess+'" /><param name="allowFullScreen" value="true" /><div>'+k.default.t("mejs.install-flash")+"</div></object>"):(S=['id="__'+r.id+'"','name="__'+r.id+'"','play="true"','loop="false"','quality="high"','bgcolor="#000000"','wmode="transparent"','allowScriptAccess="'+r.options.shimScriptAccess+'"','allowFullScreen="true"','type="application/x-shockwave-flash"','pluginspage="//www.macromedia.com/go/getflashplayer"','src="'+r.options.pluginPath+r.options.filename+'"','flashvars="'+v.join("&")+'"'],y?(S.push('width="'+E+'"'),S.push('height="'+g+'"')):S.push('style="position: fixed; left: -9999em; top: -9999em;"'),r.flashWrapper.innerHTML="<embed "+S.join(" ")+">"),r.flashNode=r.flashWrapper.lastChild,r.hide=function(){o=!1,y&&(r.flashNode.style.display="none")},r.show=function(){o=!0,y&&(r.flashNode.style.display="")},r.setSize=function(e,t){r.flashNode.style.width=e+"px",r.flashNode.style.height=t+"px",null!==r.flashApi&&"function"==typeof r.flashApi.fire_setSize&&r.flashApi.fire_setSize(e,t)},r.destroy=function(){r.flashNode.remove()},n&&0<n.length)for(var x=0,w=n.length;x<w;x++)if(_.renderer.renderers[t.prefix].canPlayType(n[x].type)){r.setSrc(n[x].src);break}return r}};r.hasPluginVersion("flash",[10,0,0])&&(L.typeChecks.push(function(e){return(e=e.toLowerCase()).startsWith("rtmp")?~e.indexOf(".mp3")?"audio/rtmp":"video/rtmp":/\.og(a|g)/i.test(e)?"audio/ogg":~e.indexOf(".m3u8")?"application/x-mpegURL":~e.indexOf(".mpd")?"application/dash+xml":~e.indexOf(".flv")?"video/flv":null}),i={name:"flash_video",options:{prefix:"flash_video",filename:"mediaelement-flash-video.swf",enablePseudoStreaming:!1,pseudoStreamingStartQueryParam:"start",pseudoStreamingType:"byte",proxyType:"",streamDelimiter:""},canPlayType:function(e){return~["video/mp4","video/rtmp","audio/rtmp","rtmp/mp4","audio/mp4","video/flv","video/x-flv"].indexOf(e.toLowerCase())},create:c.create},_.renderer.add(i),a={name:"flash_hls",options:{prefix:"flash_hls",filename:"mediaelement-flash-video-hls.swf"},canPlayType:function(e){return~["application/x-mpegurl","application/vnd.apple.mpegurl","audio/mpegurl","audio/hls","video/hls"].indexOf(e.toLowerCase())},create:c.create},_.renderer.add(a),s={name:"flash_dash",options:{prefix:"flash_dash",filename:"mediaelement-flash-video-mdash.swf"},canPlayType:function(e){return~["application/dash+xml"].indexOf(e.toLowerCase())},create:c.create},_.renderer.add(s),l={name:"flash_audio",options:{prefix:"flash_audio",filename:"mediaelement-flash-audio.swf"},canPlayType:function(e){return~["audio/mp3"].indexOf(e.toLowerCase())},create:c.create},_.renderer.add(l),u={name:"flash_audio_ogg",options:{prefix:"flash_audio_ogg",filename:"mediaelement-flash-audio-ogg.swf"},canPlayType:function(e){return~["audio/ogg","audio/oga","audio/ogv"].indexOf(e.toLowerCase())},create:c.create},_.renderer.add(u))},{2:2,25:25,27:27,28:28,3:3,5:5,7:7,8:8}],21:[function(e,t,n){"use strict";var y="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},g=a(e(3)),E=a(e(7)),b=e(8),S=e(27),o=e(25),i=e(28),r=e(26);function a(e){return e&&e.__esModule?e:{default:e}}var x={promise:null,load:function(e){return"undefined"!=typeof flvjs?x.promise=new Promise(function(e){e()}).then(function(){x._createPlayer(e)}):(e.options.path="string"==typeof e.options.path?e.options.path:"https://cdn.jsdelivr.net/npm/flv.js@latest",x.promise=x.promise||(0,r.loadScript)(e.options.path),x.promise.then(function(){x._createPlayer(e)})),x.promise},_createPlayer:function(e){flvjs.LoggingControl.enableDebug=e.options.debug,flvjs.LoggingControl.enableVerbose=e.options.debug;var t=flvjs.createPlayer(e.options,e.configs);return g.default["__ready__"+e.id](t),t}},s={name:"native_flv",options:{prefix:"native_flv",flv:{path:"https://cdn.jsdelivr.net/npm/flv.js@latest",cors:!0,debug:!1}},canPlayType:function(e){return o.HAS_MSE&&-1<["video/x-flv","video/flv"].indexOf(e.toLowerCase())},create:function(d,a,e){var t=d.originalNode,s=d.id+"_"+a.prefix,u=null,c=null,u=t.cloneNode(!0);a=Object.assign(a,d.options);for(var n=E.default.html5media.properties,f=E.default.html5media.events.concat(["click","mouseover","mouseout"]).filter(function(e){return"error"!==e}),p=function(e){var t=(0,S.createEvent)(e.type,d);d.dispatchEvent(t)},o=0,i=n.length;o<i;o++)!function(r){var e=""+r.substring(0,1).toUpperCase()+r.substring(1);u["get"+e]=function(){return null!==c?u[r]:null},u["set"+e]=function(e){if(-1===E.default.html5media.readOnlyProperties.indexOf(r))if("src"===r){if(u[r]="object"===(void 0===e?"undefined":y(e))&&e.src?e.src:e,null!==c){var t={type:"flv"};t.url=e,t.cors=a.flv.cors,t.debug=a.flv.debug,t.path=a.flv.path;var n=a.flv.configs;c.destroy();for(var o=0,i=f.length;o<i;o++)u.removeEventListener(f[o],p);(c=x._createPlayer({options:t,configs:n,id:s})).attachMediaElement(u),c.load()}}else u[r]=e}}(n[o]);if(g.default["__ready__"+s]=function(e){d.flvPlayer=c=e;for(var t,l=flvjs.Events,n=0,o=f.length;n<o;n++)"loadedmetadata"===(t=f[n])&&(c.unload(),c.detachMediaElement(),c.attachMediaElement(u),c.load()),u.addEventListener(t,p);function i(s){l.hasOwnProperty(s)&&c.on(l[s],function(){for(var e,t,n,o,i=arguments.length,r=Array(i),a=0;a<i;a++)r[a]=arguments[a];return e=l[s],t=r,void("error"===e?(n=t[0]+": "+t[1]+" "+t[2].msg,d.generateError(n,u.src)):((o=(0,S.createEvent)(e,d)).data=t,d.dispatchEvent(o)))})}for(var r in l)i(r)},e&&0<e.length)for(var r=0,l=e.length;r<l;r++)if(b.renderer.renderers[a.prefix].canPlayType(e[r].type)){u.setAttribute("src",e[r].src);break}u.setAttribute("id",s),t.parentNode.insertBefore(u,t),t.autoplay=!1,t.style.display="none";var m={type:"flv"};m.url=u.src,m.cors=a.flv.cors,m.debug=a.flv.debug,m.path=a.flv.path;var h=a.flv.configs;u.setSize=function(e,t){return u.style.width=e+"px",u.style.height=t+"px",u},u.hide=function(){return null!==c&&c.pause(),u.style.display="none",u},u.show=function(){return u.style.display="",u},u.destroy=function(){null!==c&&c.destroy()};var v=(0,S.createEvent)("rendererready",u);return d.dispatchEvent(v),d.promises.push(x.load({options:m,configs:h,id:s})),u}};i.typeChecks.push(function(e){return~e.toLowerCase().indexOf(".flv")?"video/flv":null}),b.renderer.add(s)},{25:25,26:26,27:27,28:28,3:3,7:7,8:8}],22:[function(e,t,n){"use strict";var d="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},g=a(e(3)),E=a(e(7)),b=e(8),S=e(27),o=e(25),i=e(28),r=e(26);function a(e){return e&&e.__esModule?e:{default:e}}var x={promise:null,load:function(e){return"undefined"!=typeof Hls?x.promise=new Promise(function(e){e()}).then(function(){x._createPlayer(e)}):(e.options.path="string"==typeof e.options.path?e.options.path:"https://cdn.jsdelivr.net/npm/hls.js@latest",x.promise=x.promise||(0,r.loadScript)(e.options.path),x.promise.then(function(){x._createPlayer(e)})),x.promise},_createPlayer:function(e){var t=new Hls(e.options);return g.default["__ready__"+e.id](t),t}},s={name:"native_hls",options:{prefix:"native_hls",hls:{path:"https://cdn.jsdelivr.net/npm/hls.js@latest",autoStartLoad:!1,debug:!1}},canPlayType:function(e){return o.HAS_MSE&&-1<["application/x-mpegurl","application/vnd.apple.mpegurl","audio/mpegurl","audio/hls","video/hls"].indexOf(e.toLowerCase())},create:function(u,i,c){var e=u.originalNode,r=u.id+"_"+i.prefix,t=e.getAttribute("preload"),n=e.autoplay,f=null,p=null,m=0,h=c.length,p=e.cloneNode(!0);(i=Object.assign(i,u.options)).hls.autoStartLoad=t&&"none"!==t||n;for(var o=E.default.html5media.properties,v=E.default.html5media.events.concat(["click","mouseover","mouseout"]).filter(function(e){return"error"!==e}),y=function(e){var t=(0,S.createEvent)(e.type,u);u.dispatchEvent(t)},a=0,s=o.length;a<s;a++)!function(o){var e=""+o.substring(0,1).toUpperCase()+o.substring(1);p["get"+e]=function(){return null!==f?p[o]:null},p["set"+e]=function(e){if(-1===E.default.html5media.readOnlyProperties.indexOf(o))if("src"===o){if(p[o]="object"===(void 0===e?"undefined":d(e))&&e.src?e.src:e,null!==f){f.destroy();for(var t=0,n=v.length;t<n;t++)p.removeEventListener(v[t],y);(f=x._createPlayer({options:i.hls,id:r})).loadSource(e),f.attachMedia(p)}}else p[o]=e}}(o[a]);if(g.default["__ready__"+r]=function(e){u.hlsPlayer=f=e;for(var t,n,i=Hls.Events,o=0,r=v.length;o<r;o++)t=v[o],"loadedmetadata"===t&&(n=u.originalNode.src,f.detachMedia(),f.loadSource(n),f.attachMedia(p)),p.addEventListener(t,y);function a(o){i.hasOwnProperty(o)&&f.on(i[o],function(){for(var e=arguments.length,t=Array(e),n=0;n<e;n++)t[n]=arguments[n];return function(e,t){if("hlsError"===e&&(console.warn(t),(t=t[1]).fatal))switch(t.type){case"mediaError":var n,o=(new Date).getTime();!s||3e3<o-s?(s=(new Date).getTime(),f.recoverMediaError()):!l||3e3<o-l?(l=(new Date).getTime(),console.warn("Attempting to swap Audio Codec and recover from media error"),f.swapAudioCodec(),f.recoverMediaError()):(n="Cannot recover, last media error recovery failed",u.generateError(n,p.src),console.error(n));break;case"networkError":var i,r;"manifestLoadError"===t.details?m<h&&void 0!==c[m+1]?(p.setSrc(c[m++].src),p.load(),p.play()):(i="Network error",u.generateError(i,c),console.error(i)):(r="Network error",u.generateError(r,c),console.error(r));break;default:f.destroy()}else{var a=(0,S.createEvent)(e,u);a.data=t,u.dispatchEvent(a)}}(i[o],t)})}var s=void 0,l=void 0;for(var d in i)a(d)},0<h)for(;m<h;m++)if(b.renderer.renderers[i.prefix].canPlayType(c[m].type)){p.setAttribute("src",c[m].src);break}"auto"===t||n||(p.addEventListener("play",function(){null!==f&&f.startLoad()}),p.addEventListener("pause",function(){null!==f&&f.stopLoad()})),p.setAttribute("id",r),e.parentNode.insertBefore(p,e),e.autoplay=!1,e.style.display="none",p.setSize=function(e,t){return p.style.width=e+"px",p.style.height=t+"px",p},p.hide=function(){return p.pause(),p.style.display="none",p},p.show=function(){return p.style.display="",p},p.destroy=function(){null!==f&&(f.stopLoad(),f.destroy())};var l=(0,S.createEvent)("rendererready",p);return u.dispatchEvent(l),u.promises.push(x.load({options:i.hls,id:r})),p}};i.typeChecks.push(function(e){return~e.toLowerCase().indexOf(".m3u8")?"application/x-mpegURL":null}),b.renderer.add(s)},{25:25,26:26,27:27,28:28,3:3,7:7,8:8}],23:[function(e,t,n){"use strict";var o=r(e(3)),v=r(e(2)),y=r(e(7)),g=e(8),E=e(27),i=e(25);function r(e){return e&&e.__esModule?e:{default:e}}var a={name:"html5",options:{prefix:"html5"},canPlayType:function(e){var t=v.default.createElement("video");return i.IS_ANDROID&&/\/mp(3|4)$/i.test(e)||~["application/x-mpegurl","vnd.apple.mpegurl","audio/mpegurl","audio/hls","video/hls"].indexOf(e.toLowerCase())&&i.SUPPORTS_NATIVE_HLS?"yes":t.canPlayType?t.canPlayType(e.toLowerCase()).replace(/no/,""):""},create:function(n,e,t){var o=n.id+"_"+e.prefix,i=!1,r=null;void 0===n.originalNode||null===n.originalNode?(r=v.default.createElement("audio"),n.appendChild(r)):r=n.originalNode,r.setAttribute("id",o);for(var a=y.default.html5media.properties,s=0,l=a.length;s<l;s++)!function(t){var e=""+t.substring(0,1).toUpperCase()+t.substring(1);r["get"+e]=function(){return r[t]},r["set"+e]=function(e){-1===y.default.html5media.readOnlyProperties.indexOf(t)&&(r[t]=e)}}(a[s]);for(var d,u=y.default.html5media.events.concat(["click","mouseover","mouseout"]).filter(function(e){return"error"!==e}),c=0,f=u.length;c<f;c++)d=u[c],r.addEventListener(d,function(e){var t;i&&(t=(0,E.createEvent)(e.type,e.target),n.dispatchEvent(t))});r.setSize=function(e,t){return r.style.width=e+"px",r.style.height=t+"px",r},r.hide=function(){return i=!1,r.style.display="none",r},r.show=function(){return i=!0,r.style.display="",r};var p=0,m=t.length;if(0<m)for(;p<m;p++)if(g.renderer.renderers[e.prefix].canPlayType(t[p].type)){r.setAttribute("src",t[p].src);break}r.addEventListener("error",function(e){e&&e.target&&e.target.error&&4===e.target.error.code&&i&&(p<m&&void 0!==t[p+1]?(r.src=t[p++].src,r.load(),r.play()):n.generateError("Media error: Format(s) not supported or source(s) not found",t))});var h=(0,E.createEvent)("rendererready",r);return n.dispatchEvent(h),r}};o.default.HtmlMediaElement=y.default.HtmlMediaElement=a,g.renderer.add(a)},{2:2,25:25,27:27,3:3,7:7,8:8}],24:[function(e,t,n){"use strict";var S=a(e(3)),x=a(e(2)),w=a(e(7)),o=e(8),P=e(27),i=e(28),r=e(26);function a(e){return e&&e.__esModule?e:{default:e}}var T={isIframeStarted:!1,isIframeLoaded:!1,iframeQueue:[],enqueueIframe:function(e){T.isLoaded="undefined"!=typeof YT&&YT.loaded,T.isLoaded?T.createIframe(e):(T.loadIframeApi(),T.iframeQueue.push(e))},loadIframeApi:function(){T.isIframeStarted||((0,r.loadScript)("https://www.youtube.com/player_api"),T.isIframeStarted=!0)},iFrameReady:function(){for(T.isLoaded=!0,T.isIframeLoaded=!0;0<T.iframeQueue.length;){var e=T.iframeQueue.pop();T.createIframe(e)}},createIframe:function(e){return new YT.Player(e.containerId,e)},getYouTubeId:function(e){var t="";return 0<e.indexOf("?")&&""!==(t=T.getYouTubeIdFromParam(e))||(t=T.getYouTubeIdFromUrl(e)),(t=t.substring(t.lastIndexOf("/")+1).split("?"))[0]},getYouTubeIdFromParam:function(e){if(null==e||!e.trim().length)return null;for(var t=e.split("?")[1].split("&"),n="",o=0,i=t.length;o<i;o++){var r=t[o].split("=");if("v"===r[0]){n=r[1];break}}return n},getYouTubeIdFromUrl:function(e){return null!=e&&e.trim().length?(e=e.split("?")[0]).substring(e.lastIndexOf("/")+1):null},getYouTubeNoCookieUrl:function(e){if(null==e||!e.trim().length||-1===e.indexOf("//www.youtube"))return e;var t=e.split("/");return t[2]=t[2].replace(".com","-nocookie.com"),t.join("/")}},s={name:"youtube_iframe",options:{prefix:"youtube_iframe",youtube:{autoplay:0,controls:0,disablekb:1,end:0,loop:0,modestbranding:0,playsinline:0,rel:0,showinfo:0,start:0,iv_load_policy:3,nocookie:!1,imageQuality:null}},canPlayType:function(e){return~["video/youtube","video/x-youtube"].indexOf(e.toLowerCase())},create:function(m,n,o){var h={},v=[],y=null,r=!0,a=!1,g=null;h.options=n,h.id=m.id+"_"+n.prefix,h.mediaElement=m;for(var e=w.default.html5media.properties,t=0,i=e.length;t<i;t++)!function(i){var e=""+i.substring(0,1).toUpperCase()+i.substring(1);h["get"+e]=function(){if(null===y)return null;switch(i){case"currentTime":return y.getCurrentTime();case"duration":return y.getDuration();case"volume":return y.getVolume()/100;case"playbackRate":return y.getPlaybackRate();case"paused":return r;case"ended":return a;case"muted":return y.isMuted();case"buffered":var e=y.getVideoLoadedFraction(),t=y.getDuration();return{start:function(){return 0},end:function(){return e*t},length:1};case"src":return y.getVideoUrl();case"readyState":return 4}return null},h["set"+e]=function(e){if(null!==y)switch(i){case"src":var t="string"==typeof e?e:e[0].src,n=T.getYouTubeId(t);m.originalNode.autoplay?y.loadVideoById(n):y.cueVideoById(n);break;case"currentTime":y.seekTo(e);break;case"muted":e?y.mute():y.unMute(),setTimeout(function(){var e=(0,P.createEvent)("volumechange",h);m.dispatchEvent(e)},50);break;case"volume":y.setVolume(100*e),setTimeout(function(){var e=(0,P.createEvent)("volumechange",h);m.dispatchEvent(e)},50);break;case"playbackRate":y.setPlaybackRate(e),setTimeout(function(){var e=(0,P.createEvent)("ratechange",h);m.dispatchEvent(e)},50);break;case"readyState":var o=(0,P.createEvent)("canplay",h);m.dispatchEvent(o)}else v.push({type:"set",propName:i,value:e})}}(e[t]);for(var s=w.default.html5media.methods,l=0,d=s.length;l<d;l++)!function(e){h[e]=function(){if(null!==y)switch(e){case"play":return r=!1,y.playVideo();case"pause":return r=!0,y.pauseVideo();case"load":return null}else v.push({type:"call",methodName:e})}}(s[l]);var u=x.default.createElement("div");u.id=h.id,h.options.youtube.nocookie&&(m.originalNode.src=T.getYouTubeNoCookieUrl(o[0].src)),m.originalNode.parentNode.insertBefore(u,m.originalNode),m.originalNode.style.display="none";var c="audio"===m.originalNode.tagName.toLowerCase(),f=c?"1":m.originalNode.height,p=c?"1":m.originalNode.width,E=T.getYouTubeId(o[0].src),b={id:h.id,containerId:u.id,videoId:E,height:f,width:p,playerVars:Object.assign({controls:0,rel:0,disablekb:1,showinfo:0,modestbranding:0,html5:1,iv_load_policy:3},h.options.youtube),origin:S.default.location.host,events:{onReady:function(e){if(m.youTubeApi=y=e.target,m.youTubeState={paused:!0,ended:!1},v.length)for(var t=0,n=v.length;t<n;t++){var o,i,r=v[t];"set"===r.type?(i=""+(o=r.propName).substring(0,1).toUpperCase()+o.substring(1),h["set"+i](r.value)):"call"===r.type&&h[r.methodName]()}g=y.getIframe(),m.originalNode.muted&&y.mute();for(var a=["mouseover","mouseout"],s=function(e){var t=(0,P.createEvent)(e.type,h);m.dispatchEvent(t)},l=0,d=a.length;l<d;l++)g.addEventListener(a[l],s,!1);for(var u=["rendererready","loadedmetadata","loadeddata","canplay"],c=0,f=u.length;c<f;c++){var p=(0,P.createEvent)(u[c],h);m.dispatchEvent(p)}},onStateChange:function(e){var t=[];switch(e.data){case-1:t=["loadedmetadata"],a=!(r=!0);break;case 0:r=!(t=["ended"]),a=!h.options.youtube.loop,h.options.youtube.loop||h.stopInterval();break;case 1:a=r=!(t=["play","playing"]),h.startInterval();break;case 2:t=["pause"],a=!(r=!0),h.stopInterval();break;case 3:a=!(t=["progress"]);break;case 5:t=["loadeddata","loadedmetadata","canplay"],a=!(r=!0)}for(var n=0,o=t.length;n<o;n++){var i=(0,P.createEvent)(t[n],h);m.dispatchEvent(i)}},onError:function(e){var t="";switch(e.data){case 2:t="The request contains an invalid parameter value. Verify that video ID has 11 characters and that contains no invalid characters, such as exclamation points or asterisks.";break;case 5:t="The requested content cannot be played in an HTML5 player or another error related to the HTML5 player has occurred.";break;case 100:t="The video requested was not found. Either video has been removed or has been marked as private.";break;case 101:case 105:t="The owner of the requested video does not allow it to be played in embedded players.";break;default:t="Unknown error."}m.generateError("Code "+e.data+": "+t,o)}}};return(c||m.originalNode.hasAttribute("playsinline"))&&(b.playerVars.playsinline=1),m.originalNode.controls&&(b.playerVars.controls=1),m.originalNode.autoplay&&(b.playerVars.autoplay=1),m.originalNode.loop&&(b.playerVars.loop=1),(b.playerVars.loop&&1===parseInt(b.playerVars.loop,10)||-1<m.originalNode.src.indexOf("loop="))&&!b.playerVars.playlist&&-1===m.originalNode.src.indexOf("playlist=")&&(b.playerVars.playlist=T.getYouTubeId(m.originalNode.src)),T.enqueueIframe(b),h.onEvent=function(e,t,n){null!=n&&(m.youTubeState=n)},h.setSize=function(e,t){null!==y&&y.setSize(e,t)},h.hide=function(){h.stopInterval(),h.pause(),g&&(g.style.display="none")},h.show=function(){g&&(g.style.display="")},h.destroy=function(){y.destroy()},h.interval=null,h.startInterval=function(){h.interval=setInterval(function(){var e=(0,P.createEvent)("timeupdate",h);m.dispatchEvent(e)},250)},h.stopInterval=function(){h.interval&&clearInterval(h.interval)},h.getPosterUrl=function(){var e=n.youtube.imageQuality,t=T.getYouTubeId(m.originalNode.src);return e&&-1<["default","hqdefault","mqdefault","sddefault","maxresdefault"].indexOf(e)&&t?"https://img.youtube.com/vi/"+t+"/"+e+".jpg":""},h}};S.default.onYouTubePlayerAPIReady=function(){T.iFrameReady()},i.typeChecks.push(function(e){return/\/\/(www\.youtube|youtu\.?be)/i.test(e)?"video/x-youtube":null}),o.renderer.add(s)},{2:2,26:26,27:27,28:28,3:3,7:7,8:8}],25:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.cancelFullScreen=n.requestFullScreen=n.isFullScreen=n.FULLSCREEN_EVENT_NAME=n.HAS_NATIVE_FULLSCREEN_ENABLED=n.HAS_TRUE_NATIVE_FULLSCREEN=n.HAS_IOS_FULLSCREEN=n.HAS_MS_NATIVE_FULLSCREEN=n.HAS_MOZ_NATIVE_FULLSCREEN=n.HAS_WEBKIT_NATIVE_FULLSCREEN=n.HAS_NATIVE_FULLSCREEN=n.SUPPORTS_NATIVE_HLS=n.SUPPORT_PASSIVE_EVENT=n.SUPPORT_POINTER_EVENTS=n.HAS_MSE=n.IS_STOCK_ANDROID=n.IS_SAFARI=n.IS_FIREFOX=n.IS_CHROME=n.IS_EDGE=n.IS_IE=n.IS_ANDROID=n.IS_IOS=n.IS_IPOD=n.IS_IPHONE=n.IS_IPAD=n.UA=n.NAV=void 0;var i=a(e(3)),r=a(e(2)),o=a(e(7));function a(e){return e&&e.__esModule?e:{default:e}}for(var s=n.NAV=i.default.navigator,l=n.UA=s.userAgent.toLowerCase(),d=n.IS_IPAD=/ipad/i.test(l)&&!i.default.MSStream,u=n.IS_IPHONE=/iphone/i.test(l)&&!i.default.MSStream,c=n.IS_IPOD=/ipod/i.test(l)&&!i.default.MSStream,f=(n.IS_IOS=/ipad|iphone|ipod/i.test(l)&&!i.default.MSStream,n.IS_ANDROID=/android/i.test(l)),p=n.IS_IE=/(trident|microsoft)/i.test(s.appName),m=(n.IS_EDGE="msLaunchUri"in s&&!("documentMode"in r.default)),h=n.IS_CHROME=/chrome/i.test(l),v=n.IS_FIREFOX=/firefox/i.test(l),y=n.IS_SAFARI=/safari/i.test(l)&&!h,g=n.IS_STOCK_ANDROID=/^mozilla\/\d+\.\d+\s\(linux;\su;/i.test(l),E=(n.HAS_MSE="MediaSource"in i.default),b=n.SUPPORT_POINTER_EVENTS=function(){var e=r.default.createElement("x"),t=r.default.documentElement,n=i.default.getComputedStyle;if(!("pointerEvents"in e.style))return!1;e.style.pointerEvents="auto",e.style.pointerEvents="x",t.appendChild(e);var o=n&&"auto"===(n(e,"")||{}).pointerEvents;return e.remove(),!!o}(),S=n.SUPPORT_PASSIVE_EVENT=function(){var e=!1;try{var t=Object.defineProperty({},"passive",{get:function(){e=!0}});i.default.addEventListener("test",null,t)}catch(e){}return e}(),x=["source","track","audio","video"],w=void 0,P=0,T=x.length;P<T;P++)w=r.default.createElement(x[P]);var C=n.SUPPORTS_NATIVE_HLS=y||p&&/edge/i.test(l),k=void 0!==w.webkitEnterFullscreen,_=void 0!==w.requestFullscreen;k&&/mac os x 10_5/i.test(l)&&(k=_=!1);var N=void 0!==w.webkitRequestFullScreen,A=void 0!==w.mozRequestFullScreen,L=void 0!==w.msRequestFullscreen,F=N||A||L,j=F,I="",M=void 0,O=void 0,D=void 0;A?j=r.default.mozFullScreenEnabled:L&&(j=r.default.msFullscreenEnabled),h&&(k=!1),F&&(N?I="webkitfullscreenchange":A?I="fullscreenchange":L&&(I="MSFullscreenChange"),n.isFullScreen=M=function(){return A?r.default.mozFullScreen:N?r.default.webkitIsFullScreen:L?null!==r.default.msFullscreenElement:void 0},n.requestFullScreen=O=function(e){N?e.webkitRequestFullScreen():A?e.mozRequestFullScreen():L&&e.msRequestFullscreen()},n.cancelFullScreen=D=function(){N?r.default.webkitCancelFullScreen():A?r.default.mozCancelFullScreen():L&&r.default.msExitFullscreen()});var R=n.HAS_NATIVE_FULLSCREEN=_,V=n.HAS_WEBKIT_NATIVE_FULLSCREEN=N,H=n.HAS_MOZ_NATIVE_FULLSCREEN=A,U=n.HAS_MS_NATIVE_FULLSCREEN=L,q=n.HAS_IOS_FULLSCREEN=k,B=n.HAS_TRUE_NATIVE_FULLSCREEN=F,z=n.HAS_NATIVE_FULLSCREEN_ENABLED=j,W=n.FULLSCREEN_EVENT_NAME=I;n.isFullScreen=M,n.requestFullScreen=O,n.cancelFullScreen=D,o.default.Features=o.default.Features||{},o.default.Features.isiPad=d,o.default.Features.isiPod=c,o.default.Features.isiPhone=u,o.default.Features.isiOS=o.default.Features.isiPhone||o.default.Features.isiPad,o.default.Features.isAndroid=f,o.default.Features.isIE=p,o.default.Features.isEdge=m,o.default.Features.isChrome=h,o.default.Features.isFirefox=v,o.default.Features.isSafari=y,o.default.Features.isStockAndroid=g,o.default.Features.hasMSE=E,o.default.Features.supportsNativeHLS=C,o.default.Features.supportsPointerEvents=b,o.default.Features.supportsPassiveEvent=S,o.default.Features.hasiOSFullScreen=q,o.default.Features.hasNativeFullscreen=R,o.default.Features.hasWebkitNativeFullScreen=V,o.default.Features.hasMozNativeFullScreen=H,o.default.Features.hasMsNativeFullScreen=U,o.default.Features.hasTrueNativeFullScreen=B,o.default.Features.nativeFullScreenEnabled=z,o.default.Features.fullScreenEventName=W,o.default.Features.isFullScreen=M,o.default.Features.requestFullScreen=O,o.default.Features.cancelFullScreen=D},{2:2,3:3,7:7}],26:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.removeClass=n.addClass=n.hasClass=void 0,n.loadScript=a,n.offset=s,n.toggleClass=h,n.fadeOut=v,n.fadeIn=y,n.siblings=g,n.visible=E,n.ajax=b;var l=r(e(3)),i=r(e(2)),o=r(e(7));function r(e){return e&&e.__esModule?e:{default:e}}function a(o){return new Promise(function(e,t){var n=i.default.createElement("script");n.src=o,n.async=!0,n.onload=function(){n.remove(),e()},n.onerror=function(){n.remove(),t()},i.default.head.appendChild(n)})}function s(e){var t=e.getBoundingClientRect(),n=l.default.pageXOffset||i.default.documentElement.scrollLeft,o=l.default.pageYOffset||i.default.documentElement.scrollTop;return{top:t.top+o,left:t.left+n}}var d=void 0,u=void 0,c=void 0,c="classList"in i.default.documentElement?(d=function(e,t){return void 0!==e.classList&&e.classList.contains(t)},u=function(e,t){return e.classList.add(t)},function(e,t){return e.classList.remove(t)}):(d=function(e,t){return new RegExp("\\b"+t+"\\b").test(e.className)},u=function(e,t){f(e,t)||(e.className+=" "+t)},function(e,t){e.className=e.className.replace(new RegExp("\\b"+t+"\\b","g"),"")}),f=n.hasClass=d,p=n.addClass=u,m=n.removeClass=c;function h(e,t){(f(e,t)?m:p)(e,t)}function v(i){var r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:400,a=arguments[2];i.style.opacity||(i.style.opacity=1);var s=null;l.default.requestAnimationFrame(function e(t){var n=t-(s=s||t),o=parseFloat(1-n/r,2);i.style.opacity=o<0?0:o,r<n?a&&"function"==typeof a&&a():l.default.requestAnimationFrame(e)})}function y(i){var r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:400,a=arguments[2];i.style.opacity||(i.style.opacity=0);var s=null;l.default.requestAnimationFrame(function e(t){var n=t-(s=s||t),o=parseFloat(n/r,2);i.style.opacity=1<o?1:o,r<n?a&&"function"==typeof a&&a():l.default.requestAnimationFrame(e)})}function g(e,t){var n=[];for(e=e.parentNode.firstChild;t&&!t(e)||n.push(e),e=e.nextSibling;);return n}function E(e){return void 0!==e.getClientRects&&"function"===e.getClientRects?!!(e.offsetWidth||e.offsetHeight||e.getClientRects().length):!(!e.offsetWidth&&!e.offsetHeight)}function b(e,t,n,o){var i=l.default.XMLHttpRequest?new XMLHttpRequest:new ActiveXObject("Microsoft.XMLHTTP"),r="application/x-www-form-urlencoded; charset=UTF-8",a=!1,s="*/".concat("*");switch(t){case"text":r="text/plain";break;case"json":r="application/json, text/javascript";break;case"html":r="text/html";break;case"xml":r="application/xml, text/xml"}"application/x-www-form-urlencoded"!==r&&(s=r+", */*; q=0.01"),i&&(i.open("GET",e,!0),i.setRequestHeader("Accept",s),i.onreadystatechange=function(){if(!a&&4===i.readyState)if(200===i.status){a=!0;var e=void 0;switch(t){case"json":e=JSON.parse(i.responseText);break;case"xml":e=i.responseXML;break;default:e=i.responseText}n(e)}else"function"==typeof o&&o(i.status)},i.send())}o.default.Utils=o.default.Utils||{},o.default.Utils.offset=s,o.default.Utils.hasClass=f,o.default.Utils.addClass=p,o.default.Utils.removeClass=m,o.default.Utils.toggleClass=h,o.default.Utils.fadeIn=y,o.default.Utils.fadeOut=v,o.default.Utils.siblings=g,o.default.Utils.visible=E,o.default.Utils.ajax=b,o.default.Utils.loadScript=a},{2:2,3:3,7:7}],27:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.escapeHTML=a,n.debounce=s,n.isObjectEmpty=l,n.splitEvents=d,n.createEvent=u,n.isNodeAfter=c,n.isString=f;var o,i=e(7),r=(o=i)&&o.__esModule?o:{default:o};function a(e){if("string"!=typeof e)throw new Error("Argument passed must be a string");var t={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;"};return e.replace(/[&<>"]/g,function(e){return t[e]})}function s(o,i){var r=this,a=arguments,s=2<arguments.length&&void 0!==arguments[2]&&arguments[2];if("function"!=typeof o)throw new Error("First argument must be a function");if("number"!=typeof i)throw new Error("Second argument must be a numeric value");var l=void 0;return function(){var e=r,t=a,n=s&&!l;clearTimeout(l),l=setTimeout(function(){l=null,s||o.apply(e,t)},i),n&&o.apply(e,t)}}function l(e){return Object.getOwnPropertyNames(e).length<=0}function d(e,n){var o=/^((after|before)print|(before)?unload|hashchange|message|o(ff|n)line|page(hide|show)|popstate|resize|storage)\b/,i={d:[],w:[]};return(e||"").split(" ").forEach(function(e){var t=e+(n?"."+n:"");t.startsWith(".")?(i.d.push(t),i.w.push(t)):i[o.test(e)?"w":"d"].push(t)}),i.d=i.d.join(" "),i.w=i.w.join(" "),i}function u(e,t){if("string"!=typeof e)throw new Error("Event name must be a string");var n=e.match(/([a-z]+\.([a-z]+))/i),o={target:t};return null!==n&&(e=n[1],o.namespace=n[2]),new window.CustomEvent(e,{detail:o})}function c(e,t){return!!(e&&t&&2&e.compareDocumentPosition(t))}function f(e){return"string"==typeof e}r.default.Utils=r.default.Utils||{},r.default.Utils.escapeHTML=a,r.default.Utils.debounce=s,r.default.Utils.isObjectEmpty=l,r.default.Utils.splitEvents=d,r.default.Utils.createEvent=u,r.default.Utils.isNodeAfter=c,r.default.Utils.isString=f},{7:7}],28:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.typeChecks=void 0,n.absolutizeUrl=l,n.formatType=d,n.getMimeFromType=u,n.getTypeFromFile=c,n.getExtension=f,n.normalizeExtension=p;var o,i=e(7),r=(o=i)&&o.__esModule?o:{default:o},a=e(27);var s=n.typeChecks=[];function l(e){if("string"!=typeof e)throw new Error("`url` argument must be a string");var t=document.createElement("div");return t.innerHTML='<a href="'+(0,a.escapeHTML)(e)+'">x</a>',t.firstChild.href}function d(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:"";return e&&!t?c(e):t}function u(e){if("string"!=typeof e)throw new Error("`type` argument must be a string");return e&&-1<e.indexOf(";")?e.substr(0,e.indexOf(";")):e}function c(e){if("string"!=typeof e)throw new Error("`url` argument must be a string");for(var t=0,n=s.length;t<n;t++){var o=s[t](e);if(o)return o}var i=p(f(e)),r="video/mp4";return i&&(~["mp4","m4v","ogg","ogv","webm","flv","mpeg","mov"].indexOf(i)?r="video/"+i:~["mp3","oga","wav","mid","midi"].indexOf(i)&&(r="audio/"+i)),r}function f(e){if("string"!=typeof e)throw new Error("`url` argument must be a string");var t=e.split("?")[0].split("\\").pop().split("/").pop();return~t.indexOf(".")?t.substring(t.lastIndexOf(".")+1):""}function p(e){if("string"!=typeof e)throw new Error("`extension` argument must be a string");switch(e){case"mp4":case"m4v":return"mp4";case"webm":case"webma":case"webmv":return"webm";case"ogg":case"oga":case"ogv":return"ogg";default:return e}}r.default.Utils=r.default.Utils||{},r.default.Utils.typeChecks=s,r.default.Utils.absolutizeUrl=l,r.default.Utils.formatType=d,r.default.Utils.getMimeFromType=u,r.default.Utils.getTypeFromFile=c,r.default.Utils.getExtension=f,r.default.Utils.normalizeExtension=p},{27:27,7:7}],29:[function(e,t,n){"use strict";var o,i,r=s(e(2)),a=s(e(4));function s(e){return e&&e.__esModule?e:{default:e}}function l(e,t){t=t||{bubbles:!1,cancelable:!1,detail:void 0};var n=r.default.createEvent("CustomEvent");return n.initCustomEvent(e,t.bubbles,t.cancelable,t.detail),n}[Element.prototype,CharacterData.prototype,DocumentType.prototype].forEach(function(e){e.hasOwnProperty("remove")||Object.defineProperty(e,"remove",{configurable:!0,enumerable:!0,writable:!0,value:function(){null!=this.parentNode&&this.parentNode.removeChild(this)}})}),"function"!=typeof window.CustomEvent&&(l.prototype=window.Event.prototype,window.CustomEvent=l),"function"!=typeof Object.assign&&(Object.assign=function(e){if(null==e)throw new TypeError("Cannot convert undefined or null to object");for(var t=Object(e),n=1,o=arguments.length;n<o;n++){var i=arguments[n];if(null!==i)for(var r in i)Object.prototype.hasOwnProperty.call(i,r)&&(t[r]=i[r])}return t}),String.prototype.startsWith||(String.prototype.startsWith=function(e,t){return t=t||0,this.substr(t,e.length)===e}),Element.prototype.matches||(Element.prototype.matches=Element.prototype.matchesSelector||Element.prototype.mozMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.oMatchesSelector||Element.prototype.webkitMatchesSelector||function(e){for(var t=(this.document||this.ownerDocument).querySelectorAll(e),n=t.length-1;0<=--n&&t.item(n)!==this;);return-1<n}),window.Element&&!Element.prototype.closest&&(Element.prototype.closest=function(e){var t=(this.document||this.ownerDocument).querySelectorAll(e),n=void 0,o=this;do{for(n=t.length;0<=--n&&t.item(n)!==o;);}while(n<0&&(o=o.parentElement));return o}),function(){for(var i=0,e=["ms","moz","webkit","o"],t=0;t<e.length&&!window.requestAnimationFrame;++t)window.requestAnimationFrame=window[e[t]+"RequestAnimationFrame"],window.cancelAnimationFrame=window[e[t]+"CancelAnimationFrame"]||window[e[t]+"CancelRequestAnimationFrame"];window.requestAnimationFrame||(window.requestAnimationFrame=function(e){var t=(new Date).getTime(),n=Math.max(0,16-(t-i)),o=window.setTimeout(function(){e(t+n)},n);return i=t+n,o}),window.cancelAnimationFrame||(window.cancelAnimationFrame=function(e){clearTimeout(e)})}(),/firefox/i.test(navigator.userAgent)&&(o=window.getComputedStyle,window.getComputedStyle=function(e,t){var n=o(e,t);return null===n?{getPropertyValue:function(){}}:n}),window.Promise||(window.Promise=a.default),(i=window.Node||window.Element)&&i.prototype&&null===i.prototype.children&&Object.defineProperty(i.prototype,"children",{get:function(){for(var e=0,t=void 0,n=this.childNodes,o=[];t=n[e++];)1===t.nodeType&&o.push(t);return o}})},{2:2,4:4}],30:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.isDropFrame=C,n.secondsToTimeCode=a,n.timeCodeToSeconds=s,n.calculateTimeFormat=l,n.convertSMPTEtoSeconds=d;var o,i=e(7),r=(o=i)&&o.__esModule?o:{default:o};function C(){return!((0<arguments.length&&void 0!==arguments[0]?arguments[0]:25)%1==0)}function a(e){var t=1<arguments.length&&void 0!==arguments[1]&&arguments[1],n=2<arguments.length&&void 0!==arguments[2]&&arguments[2],o=3<arguments.length&&void 0!==arguments[3]?arguments[3]:25,i=4<arguments.length&&void 0!==arguments[4]?arguments[4]:0,r=5<arguments.length&&void 0!==arguments[5]?arguments[5]:"hh:mm:ss";e=!e||"number"!=typeof e||e<0?0:e;var a,s,l=Math.round(.066666*o),d=Math.round(o),u=24*Math.round(3600*o),c=Math.round(600*o),f=C(o)?";":":",p=void 0,m=void 0,h=void 0,v=void 0,y=Math.round(e*o);h=C(o)?(y<0&&(y=u+y),a=(y%=u)%c,y+=9*l*Math.floor(y/c),l<a&&(y+=l*Math.floor((a-l)/Math.round(60*d-l))),s=Math.floor(y/d),p=Math.floor(Math.floor(s/60)/60),m=Math.floor(s/60)%60,n?s%60:Math.floor(y/d%60).toFixed(i)):(p=Math.floor(e/3600)%24,m=Math.floor(e/60)%60,n?Math.floor(e%60):Math.floor(e%60).toFixed(i)),p=p<=0?0:p,h=60===(h=h<=0?0:h)?0:h,m=60===(m=m<=0?0:m)?0:m;for(var g=r.split(":"),E={},b=0,S=g.length;b<S;++b){for(var x="",w=0,P=g[b].length;w<P;w++)x.indexOf(g[b][w])<0&&(x+=g[b][w]);~["f","s","m","h"].indexOf(x)&&(E[x]=g[b].length)}var T=t||0<p?(p<10&&1<E.h?"0"+p:p)+":":"";return T+=(m<10&&1<E.m?"0"+m:m)+":",T+=""+(h<10&&1<E.s?"0"+h:h),n&&(T+=(v=(v=(y%d).toFixed(0))<=0?0:v)<10&&E.f?f+"0"+v:f+v),T}function s(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:25;if("string"!=typeof e)throw new TypeError("Time must be a string");if(0<e.indexOf(";")&&(e=e.replace(";",":")),!/\d{2}(\:\d{2}){0,3}/i.test(e))throw new TypeError("Time code must have the format `00:00:00`");var n=e.split(":"),o=void 0,i=0,r=0,a=0,s=0,l=0,d=Math.round(.066666*t),u=Math.round(t),c=3600*u,f=60*u;switch(n.length){default:case 1:a=parseInt(n[0],10);break;case 2:r=parseInt(n[0],10),a=parseInt(n[1],10);break;case 3:i=parseInt(n[0],10),r=parseInt(n[1],10),a=parseInt(n[2],10);break;case 4:i=parseInt(n[0],10),r=parseInt(n[1],10),a=parseInt(n[2],10),s=parseInt(n[3],10)}return o=C(t)?c*i+f*r+u*a+s-d*((l=60*i+r)-Math.floor(l/10)):(c*i+f*r+t*a+s)/t,parseFloat(o.toFixed(3))}function l(e,t){var n=2<arguments.length&&void 0!==arguments[2]?arguments[2]:25;e=!e||"number"!=typeof e||e<0?0:e;for(var o=Math.floor(e/3600)%24,i=Math.floor(e/60)%60,r=Math.floor(e%60),a=[[Math.floor((e%1*n).toFixed(3)),"f"],[r,"s"],[i,"m"],[o,"h"]],s=t.timeFormat,l=s[1]===s[0],d=l?2:1,u=s.length<d?s[d]:":",c=s[0],f=!1,p=0,m=a.length;p<m;p++)if(~s.indexOf(a[p][1]))f=!0;else if(f){for(var h=!1,v=p;v<m;v++)if(0<a[v][0]){h=!0;break}if(!h)break;l||(s=c+s),s=a[p][1]+u+s,l&&(s=a[p][1]+s),c=a[p][1]}t.timeFormat=s}function d(e){if("string"!=typeof e)throw new TypeError("Argument must be a string value");for(var t=~(e=e.replace(",",".")).indexOf(".")?e.split(".")[1].length:0,n=0,o=1,i=0,r=(e=e.split(":").reverse()).length;i<r;i++)o=1,0<i&&(o=Math.pow(60,i)),n+=Number(e[i])*o;return Number(n.toFixed(t))}r.default.Utils=r.default.Utils||{},r.default.Utils.secondsToTimeCode=a,r.default.Utils.timeCodeToSeconds=s,r.default.Utils.calculateTimeFormat=l,r.default.Utils.convertSMPTEtoSeconds=d},{7:7}]},{},[29,6,5,15,23,20,19,21,22,24,16,18,17,9,10,11,12,13,14]);
                                                                                                                                                                                                    
/*!
 * MediaElement.js - Ads
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
!function i(o,n,d){function l(r,e){if(!n[r]){if(!o[r]){var a="function"==typeof require&&require;if(!e&&a)return a(r,!0);if(c)return c(r,!0);var s=new Error("Cannot find module '"+r+"'");throw s.code="MODULE_NOT_FOUND",s}var t=n[r]={exports:{}};o[r][0].call(t.exports,function(e){return l(o[r][1][e]||e)},t,t.exports,i,o,n,d)}return n[r].exports}for(var c="function"==typeof require&&require,e=0;e<d.length;e++)l(d[e]);return l}({1:[function(e,r,a){"use strict";mejs.i18n.en["mejs.ad-skip"]="Skip ad",mejs.i18n.en["mejs.ad-skip-info"]=["Skip in 1 second","Skip in %1 seconds"],Object.assign(mejs.MepDefaults,{adsPrerollMediaUrl:[],adsPrerollAdUrl:[],adsPrerollAdEnableSkip:!1,adsPrerollAdSkipSeconds:-1,indexPreroll:0}),Object.assign(MediaElementPlayer.prototype,{adsLoaded:!1,adsDataIsLoading:!1,adsCurrentMediaUrl:"",adsCurrentMediaDuration:0,adsPlayerHasStarted:!1,buildads:function(e,r,a){var s=this;s.adsLoaded||(s.adsLoaded=!0,e.adsLayer=document.createElement("div"),e.adsLayer.className=s.options.classPrefix+"layer "+s.options.classPrefix+"overlay "+s.options.classPrefix+"ads",e.adsLayer.innerHTML='<a href="#" target="_blank"></a><div class="'+s.options.classPrefix+'ads-skip-block"><span class="'+s.options.classPrefix+'ads-skip-message"></span><span class="'+s.options.classPrefix+'ads-skip-button">'+mejs.i18n.t("mejs.ad-skip")+"</span></div>",e.adsLayer.style.display="none",a.insertBefore(e.adsLayer,a.querySelector("."+s.options.classPrefix+"overlay-play")),e.adsLayer.querySelector("a").addEventListener("click",s.adsAdClick.bind(s)),e.adsSkipBlock=e.adsLayer.querySelector("."+s.options.classPrefix+"ads-skip-block"),e.adsSkipBlock.style.display="none",e.adsSkipMessage=e.adsLayer.querySelector("."+s.options.classPrefix+"ads-skip-message"),e.adsSkipMessage.style.display="none",e.adsSkipButton=e.adsLayer.querySelector("."+s.options.classPrefix+"ads-skip-button"),e.adsSkipButton.addEventListener("click",s.adsSkipClick.bind(s)),s.adsMediaTryingToStartProxy=s.adsMediaTryingToStart.bind(s),s.adsPrerollStartedProxy=s.adsPrerollStarted.bind(s),s.adsPrerollMetaProxy=s.adsPrerollMeta.bind(s),s.adsPrerollUpdateProxy=s.adsPrerollUpdate.bind(s),s.adsPrerollVolumeProxy=s.adsPrerollVolume.bind(s),s.adsPrerollEndedProxy=s.adsPrerollEnded.bind(s),s.media.addEventListener("rendererready",function(){var e=s.media.querySelector("iframe");e&&(e.style.display="none")}),s.media.addEventListener("play",s.adsMediaTryingToStartProxy),s.media.addEventListener("playing",s.adsMediaTryingToStartProxy),s.media.addEventListener("canplay",s.adsMediaTryingToStartProxy),s.media.addEventListener("loadedmetadata",s.adsMediaTryingToStartProxy),s.options.indexPreroll<s.options.adsPrerollMediaUrl.length&&s.adsStartPreroll())},adsMediaTryingToStart:function(){var e=this;e.adsDataIsLoading&&!e.paused&&e.options.indexPreroll<e.options.adsPrerollMediaUrl.length&&e.pause(),e.adsPlayerHasStarted=!0},adsStartPreroll:function(){var e=this;e.media.addEventListener("loadedmetadata",e.adsPrerollMetaProxy),e.media.addEventListener("playing",e.adsPrerollStartedProxy),e.media.addEventListener("ended",e.adsPrerollEndedProxy),e.media.addEventListener("timeupdate",e.adsPrerollUpdateProxy),e.media.addEventListener("volumechange",e.adsPrerollVolumeProxy),0===e.options.indexPreroll&&(e.adsCurrentMediaUrl=e.media.originalNode.src,e.adsCurrentMediaDuration=e.duration),e.setSrc(e.options.adsPrerollMediaUrl[e.options.indexPreroll]),e.load();for(var r=e.container.querySelector("."+e.options.classPrefix+"controls").children,a=0,s=r.length;a<s;a++){var t=r[a],i=t.querySelector("button");!i||mejs.Utils.hasClass(t,e.options.classPrefix+"playpause-button")||mejs.Utils.hasClass(t,e.options.classPrefix+"chromecast-button")?t.querySelector("."+e.options.classPrefix+"time-slider")&&(t.querySelector("."+e.options.classPrefix+"time-slider").style.pointerEvents="none"):(i.disabled=!0,t.style.pointerEvents="none")}e.adsPlayerHasStarted&&setTimeout(function(){e.play()},100)},adsPrerollMeta:function(){var e=this,r=0;0<e.options.duration?r=e.options.duration:isNaN(e.adsCurrentMediaDuration)||(r=e.adsCurrentMediaDuration),e.controls.querySelector("."+e.options.classPrefix+"duration")&&setTimeout(function(){e.controls.querySelector("."+e.options.classPrefix+"duration").innerHTML=mejs.Utils.secondsToTimeCode(r,e.options.alwaysShowHours,e.options.showTimecodeFrameCount,e.options.framesPerSecond,e.options.secondsDecimalLength)},250);var a=mejs.Utils.createEvent("mejsprerollinitialized",e.container);e.container.dispatchEvent(a)},adsPrerollStarted:function(){var e=this;e.media.removeEventListener("playing",e.adsPrerollStartedProxy),e.adsLayer.style.display="block",e.options.adsPrerollAdUrl[e.options.indexPreroll]?e.adsLayer.querySelector("a").href=e.options.adsPrerollAdUrl[e.options.indexPreroll]:(e.adsLayer.querySelector("a").href="#",e.adsLayer.querySelector("a").setAttribute("target","")),e.options.adsPrerollAdEnableSkip?(e.adsSkipBlock.style.display="block",0<e.options.adsPrerollAdSkipSeconds?(e.adsSkipMessage.innerHTML=mejs.i18n.t("mejs.ad-skip-info",e.options.adsPrerollAdSkipSeconds),e.adsSkipMessage.style.display="block",e.adsSkipButton.style.display="none"):(e.adsSkipMessage.style.display="none",e.adsSkipButton.style.display="block")):e.adsSkipBlock.style.display="none";var r=mejs.Utils.createEvent("mejsprerollstarted",e.container);e.container.dispatchEvent(r)},adsPrerollUpdate:function(){var e=this;e.options.adsPrerollAdEnableSkip&&0<e.options.adsPrerollAdSkipSeconds&&(e.currentTime>e.options.adsPrerollAdSkipSeconds?(e.adsSkipButton.style.display="block",e.adsSkipMessage.style.display="none"):e.adsSkipMessage.innerHTML=mejs.i18n.t("mejs.ad-skip-info",Math.round(e.options.adsPrerollAdSkipSeconds-e.currentTime)));var r=mejs.Utils.createEvent("mejsprerolltimeupdate",e.container);r.detail.duration=e.duration,r.detail.currentTime=e.currentTime,e.container.dispatchEvent(r)},adsPrerollVolume:function(){var e=mejs.Utils.createEvent("mejsprerollvolumechanged",this.container);this.container.dispatchEvent(e)},adsPrerollEnded:function(){var a=this;a.media.removeEventListener("ended",a.adsPrerollEndedProxy),setTimeout(function(){if(a.options.indexPreroll++,a.options.indexPreroll<a.options.adsPrerollMediaUrl.length)a.adsStartPreroll();else{var e=mejs.Utils.createEvent("mejsprerollfinished",a.container);a.container.dispatchEvent(e),a.adRestoreMainMedia()}var r=mejs.Utils.createEvent("mejsprerollended",a.container);a.container.dispatchEvent(r)},0)},adRestoreMainMedia:function(){var e=this,r=e.media.querySelector("iframe");r&&(r.style.display=""),e.setSrc(e.adsCurrentMediaUrl),setTimeout(function(){e.load(),e.play()},10);for(var a=e.container.querySelector("."+e.options.classPrefix+"controls").children,s=0,t=a.length;s<t;s++){var i=a[s],o=i.querySelector("button");o&&!mejs.Utils.hasClass(i,e.options.classPrefix+"playpause-button")?(i.style.pointerEvents="auto",o.disabled=!1):i.querySelector("."+e.options.classPrefix+"time-slider")&&(i.querySelector("."+e.options.classPrefix+"time-slider").style.pointerEvents="auto")}e.adsSkipBlock&&e.adsSkipBlock.remove(),e.adsLayer.style.display="none",e.media.removeEventListener("ended",e.adsPrerollEndedProxy),e.media.removeEventListener("loadedmetadata",e.adsPrerollMetaProxy),e.media.removeEventListener("timeupdate",e.adsPrerollUpdateProxy);var n=mejs.Utils.createEvent("mejsprerollmainstarted",e.container);e.container.dispatchEvent(n)},adsAdClick:function(){var e=this;e.paused?e.play():e.pause();var r=mejs.Utils.createEvent("mejsprerolladsclicked",e.container);e.container.dispatchEvent(r)},adsSkipClick:function(e){var r=this;r.media.removeEventListener("ended",r.adsPrerollEndedProxy);var a=mejs.Utils.createEvent("mejsprerollskipclicked",r.container);r.container.dispatchEvent(a),a=mejs.Utils.createEvent("mejsprerollended",r.container),r.container.dispatchEvent(a),r.options.indexPreroll++,r.options.indexPreroll<r.options.adsPrerollMediaUrl.length?r.adsStartPreroll():(a=mejs.Utils.createEvent("mejsprerollfinished",r.container),r.container.dispatchEvent(a),r.adRestoreMainMedia()),e.preventDefault(),e.stopPropagation()},prerollAdsFinished:function(){return this.options.indexPreroll===this.options.adsPrerollMediaUrl.length},adsLoadUrl:function(e){var r=new Image,a=Math.round(1e5*Math.random());r.src=e+(~e.indexOf("?")?"&":"?")+"random"+a+"="+a,r.loaded=function(){r=null}}})},{}]},{},[1]);

/*!
 * MediaElement.js - Ads-Vast-Vpaid
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
!function r(s,o,d){function l(e,t){if(!o[e]){if(!s[e]){var a="function"==typeof require&&require;if(!t&&a)return a(e,!0);if(g)return g(e,!0);var i=new Error("Cannot find module '"+e+"'");throw i.code="MODULE_NOT_FOUND",i}var n=o[e]={exports:{}};s[e][0].call(n.exports,function(t){return l(s[e][1][t]||t)},n,n.exports,r,s,o,d)}return o[e].exports}for(var g="function"==typeof require&&require,t=0;t<d.length;t++)l(d[t]);return l}({1:[function(t,e,a){"use strict";Object.assign(mejs.MepDefaults,{vastAdTagUrl:"",vastAdsType:"vast"}),Object.assign(MediaElementPlayer.prototype,{vastAdTagIsLoading:!1,vastAdTagIsLoaded:!1,vastStartedPlaying:!1,vastAdTags:[],buildvast:function(t,e,a,i){var n=this;n.isVideo&&(""!==n.options.vastAdTagUrl&&n.vastLoadAdTagInfo(),n.buildads(t,e,a,i),n.vastSetupEvents())},vastSetupEvents:function(){var p=this,h=!1,u=!1,f=!1;p.container.addEventListener("mejsprerollinitialized",function(){if(0<p.vastAdTags.length){var t=p.vastAdTags[0];if(t.trackingEvents.initialization)for(var e=0,a=t.trackingEvents.initialization.length;e<a;e++)p.adsLoadUrl(t.trackingEvents.initialization[e])}}),p.container.addEventListener("mejsprerollstarted",function(){if(0<p.vastAdTags.length){var t=p.vastAdTags[0];if(t.trackingEvents.start)for(var e=0,a=t.trackingEvents.start.length;e<a;e++)p.adsLoadUrl(t.trackingEvents.start[e]);if(!t.shown&&0<t.impressions.length)for(var i=0,n=t.impressions.length;i<n;i++)p.adsLoadUrl(t.impressions[i]);t.shown=!0}}),p.container.addEventListener("mejsprerollvolumechanged",function(){if(0<p.vastAdTags.length&&p.options.indexPreroll<p.vastAdTags.length){var t=p.vastAdTags[p.options.indexPreroll];if(t.trackingEvents.mute&&!p.media.volume)for(var e=0,a=t.trackingEvents.mute.length;e<a;e++)p.adsLoadUrl(t.trackingEvents.mute[e]);if(t.trackingEvents.unmute&&p.media.volume)for(var i=0,n=t.trackingEvents.unmute.length;i<n;i++)p.adsLoadUrl(t.trackingEvents.unmute[i])}}),p.container.addEventListener("mejsprerolltimeupdate",function(t){if(0<p.vastAdTags.length&&p.options.indexPreroll<p.vastAdTags.length){var e=t.detail.duration,a=t.detail.currentTime,i=100*Math.min(1,Math.max(0,a/e)),n=p.vastAdTags[p.options.indexPreroll],r=25<=i&&i<50,s=50<=i&&i<75,o=75<=i&&i<100;if(n.trackingEvents.firstQuartile&&!h&&r){for(var d=0,l=n.trackingEvents.firstQuartile.length;d<l;d++)p.adsLoadUrl(n.trackingEvents.firstQuartile[d]);h=!0}else if(n.trackingEvents.midpoint&&!u&&s){for(var g=0,v=n.trackingEvents.midpoint.length;g<v;g++)p.adsLoadUrl(n.trackingEvents.midpoint[g]);u=!0}else if(n.trackingEvents.thirdQuartile&&!f&&o){for(var c=0,m=n.trackingEvents.thirdQuartile.length;c<m;c++)p.adsLoadUrl(n.trackingEvents.thirdQuartile[c]);f=!0}}}),p.container.addEventListener("mejsprerollended",function(){var t=p.vastAdTags[p.options.indexPreroll];if(0<p.vastAdTags.length&&p.options.indexPreroll<p.vastAdTags.length&&t.trackingEvents.complete)for(var e=0,a=t.trackingEvents.complete.length;e<a;e++)p.adsLoadUrl(t.trackingEvents.complete[e]);f=u=h=!1}),p.container.addEventListener("mejsprerolladsclicked",function(){var t=p.vastAdTags[p.options.indexPreroll];0<p.vastAdTags.length&&p.options.indexPreroll<p.vastAdTags.length&&t.clickThrough&&t.clickTracking&&p.adsLoadUrl(t.clickTracking)}),p.container.addEventListener("mejsprerollskipclicked",function(){var t=p.vastAdTags[p.options.indexPreroll];if(0<p.vastAdTags.length&&p.options.indexPreroll<p.vastAdTags.length&&t.trackingEvents.skip)for(var e=0,a=t.trackingEvents.skip.length;e<a;e++)p.adsLoadUrl(t.trackingEvents.skip[e])})},vastSetAdTagUrl:function(t){this.options.vastAdTagUrl=t,this.options.indexPreroll=0,this.vastAdTagIsLoaded=!1,this.vastAdTags=[]},vastLoadAdTagInfo:function(){this.adsDataIsLoading=!0,this.vastAdTagIsLoading=!0,this.loadAdTagInfoDirect()},loadAdTagInfoDirect:function(){var e=this;mejs.Utils.ajax(e.options.vastAdTagUrl,"xml",function(t){"vpaid"===e.options.vastAdsType?e.vpaidParseVpaidData(t):e.vastParseVastData(t)},function(t){console.error("vast3:direct:error",t),e.loadAdTagInfoProxy()})},loadAdTagInfoProxy:function(){var e=this,t=location.protocol,a='select * from xml where url="'+encodeURI(e.options.vastAdTagUrl)+'"',i="http"+(/^https/.test(t)?"s":"")+"://query.yahooapis.com/v1/public/yql?format=xml&q="+a;mejs.Utils.ajax(i,"xml",function(t){"vpaid"===e.options.vastAdsType?e.vpaidParseVpaidData(t):e.vastParseVastData(t)},function(t){console.error("vast:proxy:yahoo:error",t)})},vastParseVastData:function(t){var e=this,a=t.getElementsByTagName("Ad");if(a.length){e.vastAdTags=[];for(var i=e.options.indexPreroll=0,n=a.length;i<n;i++){var r=a[i],s=r.getElementsByTagName("AdTitle").length?r.getElementsByTagName("AdTitle")[0].textContent.trim():"",o=r.getElementsByTagName("Description").length?r.getElementsByTagName("Description")[0].textContent.trim():"",d=r.getElementsByTagName("ClickThrough").length?r.getElementsByTagName("ClickThrough")[0].textContent.trim():"",l=r.getElementsByTagName("ClickTracking").length?r.getElementsByTagName("ClickTracking")[0].textContent.trim():"",g={id:r.getAttribute("id"),title:s,description:o,impressions:[],clickThrough:d,clickTracking:l,mediaFiles:[],trackingEvents:{},shown:!1},v=r.getElementsByTagName("Impression"),c=r.getElementsByTagName("MediaFile"),m=r.getElementsByTagName("Tracking");e.vastAdTags.push(g);for(var p=0,h=v.length;p<h;p++)g.impressions.push(v[p].textContent.trim());for(var u=0,f=m.length;u<f;u++){var T=m[u],A=T.getAttribute("event");void 0===g.trackingEvents[A]&&(g.trackingEvents[A]=[]),g.trackingEvents[A].push(T.textContent.trim())}for(var k=0,E=c.length;k<E;k++){var y=c[k],x=y.getAttribute("type");if(""!==e.media.canPlayType(x)||/(no|false)/i.test(e.media.canPlayType(x)))if("application/javascript"===x){var P=document.createElement("script"),L=document.getElementsByTagName("script")[0];P.src=y.textContent.trim(),L.parentNode.insertBefore(P,L)}else"application/x-shockwave-flash"!==x&&g.mediaFiles.push({id:y.getAttribute("id"),delivery:y.getAttribute("delivery"),type:x,bitrate:y.getAttribute("bitrate"),width:y.getAttribute("width"),height:y.getAttribute("height"),url:y.textContent.trim()})}}e.vastLoaded()}},vpaidParseVpaidData:function(t){var e=this,a=t.getElementsByTagName("AdParameters");if(e.vpaidAdTags=[],void(e.options.indexPreroll=0)!==a[0]){var i=JSON.parse(a[0].textContent.trim()),n=t.getElementsByTagName("Duration"),r={id:i.ad_id.trim(),title:i.title.trim(),clickThrough:i.page_url,impressions:[],mediaFiles:[],trackingEvents:{},shown:!1};if(void 0!==i.media.tracking.beacon)for(var s=["initialization","start","firstQuartile","midpoint","thirdQuartile","complete"],o=0,d=i.media.tracking.beacon.length;o<d;o++){var l=i.media.tracking.beacon[o];~s.indexOf(l.type)?(void 0===r.trackingEvents[l.type]&&(r.trackingEvents[l.type]=[]),r.trackingEvents[l.type].push(l.beacon_url.trim())):"impression"===l.type&&r.impressions.push(l.beacon_url.trim())}for(var g in i.media.video)if(i.media.video.hasOwnProperty(g)){var v=i.media.video[g],c=v.mime_type.trim();(""!==e.media.canPlayType(c)||/(no|false)/i.test(e.media.canPlayType(c)))&&r.mediaFiles.push({id:v.media_id,format:v.format,type:c,transcoding:v.transcoding,width:v.width,height:v.height,duration:n,url:v.media_url})}e.vastAdTags.push(r),e.vastLoaded()}},vastLoaded:function(){this.vastAdTagIsLoaded=!0,this.vastAdTagIsLoading=!1,this.adsDataIsLoading=!1,this.vastStartPreroll()},vastStartPreroll:function(){for(var t=this,e=0;e<t.vastAdTags.length;)void 0!==t.vastAdTags[e].mediaFiles&&t.vastAdTags[e].mediaFiles.length&&(t.options.adsPrerollMediaUrl[e]=t.vastAdTags[e].mediaFiles[0].url),void 0!==t.vastAdTags[e].clickThrough&&(t.options.adsPrerollAdUrl[e]=t.vastAdTags[e].clickThrough),e++;t.adsStartPreroll()}})},{}]},{},[1]);

/*!
 * MediaElement.js - ContextMenu
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
!function u(r,c,s){function l(t,e){if(!c[t]){if(!r[t]){var n="function"==typeof require&&require;if(!e&&n)return n(t,!0);if(a)return a(t,!0);var o=new Error("Cannot find module '"+t+"'");throw o.code="MODULE_NOT_FOUND",o}var i=c[t]={exports:{}};r[t][0].call(i.exports,function(e){var n=r[t][1][e];return l(n||e)},i,i.exports,u,r,c,s)}return c[t].exports}for(var a="function"==typeof require&&require,e=0;e<s.length;e++)l(s[e]);return l}({1:[function(e,n,t){"use strict";mejs.i18n.en["mejs.fullscreen-off"]="Turn off Fullscreen",mejs.i18n.en["mejs.fullscreen-on"]="Go Fullscreen",mejs.i18n.en["mejs.download-video"]="Download Video",Object.assign(mejs.MepDefaults,{contextMenuItems:[{render:function(e){return void 0===e.enterFullScreen?null:e.isFullScreen?mejs.i18n.t("mejs.fullscreen-off"):mejs.i18n.t("mejs.fullscreen-on")},click:function(e){e.isFullScreen?e.exitFullScreen():e.enterFullScreen()}},{render:function(e){return e.media.muted?mejs.i18n.t("mejs.unmute"):mejs.i18n.t("mejs.mute")},click:function(e){e.media.muted?e.setMuted(!1):e.setMuted(!0)}},{isSeparator:!0},{render:function(){return mejs.i18n.t("mejs.download-video")},click:function(e){window.location.href=e.media.currentSrc}}]}),Object.assign(MediaElementPlayer.prototype,{isContextMenuEnabled:!0,contextMenuTimeout:null,buildcontextmenu:function(n){n.isVideo&&(n.contextMenu=document.querySelector("."+n.options.classPrefix+"contextmenu"),null===n.contextMenu&&(n.contextMenu=document.createElement("div"),n.contextMenu.className=n.options.classPrefix+"contextmenu",n.contextMenu.style.display="none",document.body.appendChild(n.contextMenu)),n.container.addEventListener("contextmenu",function(e){!n.isContextMenuEnabled||3!==e.keyCode&&3!==e.which||(n.renderContextMenu(e),e.preventDefault(),e.stopPropagation())}),n.container.addEventListener("click",function(){n.contextMenu.style.display="none"}),n.contextMenu.addEventListener("mouseleave",function(){n.startContextMenuTimer()}))},cleancontextmenu:function(e){e.contextMenu.remove()},enableContextMenu:function(){this.isContextMenuEnabled=!0},disableContextMenu:function(){this.isContextMenuEnabled=!1},startContextMenuTimer:function(){var e=this;e.killContextMenuTimer(),e.contextMenuTimer=setTimeout(function(){e.hideContextMenu(),e.killContextMenuTimer()},750)},killContextMenuTimer:function(){var e=this.contextMenuTimer;null!=e&&(clearTimeout(e),e=null)},hideContextMenu:function(){this.contextMenu.style.display="none"},renderContextMenu:function(e){for(var u=this,n="",t=u.options.contextMenuItems,o=0,i=t.length;o<i;o++){var r=t[o];if(r.isSeparator)n+='<div class="'+u.options.classPrefix+'contextmenu-separator"></div>';else{var c=r.render(u);null!=c&&(n+='<div class="'+u.options.classPrefix+'contextmenu-item" data-itemindex="'+o+'" id="element-'+1e6*Math.random()+'">'+c+"</div>")}}u.contextMenu.innerHTML=n;var s=u.contextMenu.offsetWidth,l=u.contextMenu.offsetHeight,a=e.pageX,d=e.pageY,f=document.documentElement,m=(window.pageXOffset||f.scrollLeft)-(f.clientLeft||0),x=(window.pageYOffset||f.scrollTop)-(f.clientTop||0),M=a+s>window.innerWidth+m?a-s:a,p=d+l>window.innerHeight+x?d-l:d;u.contextMenu.style.display="",u.contextMenu.style.left=M+"px",u.contextMenu.style.top=p+"px";for(var v=u.contextMenu.querySelectorAll("."+u.options.classPrefix+"contextmenu-item"),h=function(e,n){var t=v[e],o=parseInt(t.getAttribute("data-itemindex"),10),i=u.options.contextMenuItems[o];void 0!==i.show&&i.show(t,u),t.addEventListener("click",function(){void 0!==i.click&&i.click(u),u.contextMenu.style.display="none"})},y=0,j=v.length;y<j;y++)h(y);setTimeout(function(){u.killControlsTimer()},100)}})},{}]},{},[1]);

/*!
 * MediaElement.js - Jump Forward
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
!function i(a,u,s){function p(t,r){if(!u[t]){if(!a[t]){var e="function"==typeof require&&require;if(!r&&e)return e(t,!0);if(m)return m(t,!0);var n=new Error("Cannot find module '"+t+"'");throw n.code="MODULE_NOT_FOUND",n}var o=u[t]={exports:{}};a[t][0].call(o.exports,function(r){return p(a[t][1][r]||r)},o,o.exports,i,a,u,s)}return u[t].exports}for(var m="function"==typeof require&&require,r=0;r<s.length;r++)p(s[r]);return p}({1:[function(r,t,e){"use strict";mejs.i18n.en["mejs.time-jump-forward"]=["Jump forward 1 second","Jump forward %1 seconds"],Object.assign(mejs.MepDefaults,{jumpForwardInterval:30,jumpForwardText:null}),Object.assign(MediaElementPlayer.prototype,{buildjumpforward:function(r,t,e,n){var o=this,i=mejs.i18n.t("mejs.time-jump-forward",o.options.jumpForwardInterval),a=mejs.Utils.isString(o.options.jumpForwardText)?o.options.jumpForwardText.replace("%1",o.options.jumpForwardInterval):i,u=document.createElement("div");u.className=o.options.classPrefix+"button "+o.options.classPrefix+"jump-forward-button",u.innerHTML='<button type="button" aria-controls="'+o.id+'" title="'+a+'" aria-label="'+a+'" tabindex="0">'+o.options.jumpForwardInterval+"</button>",o.addControlElement(u,"jumpforward"),u.addEventListener("click",function(){var r=isNaN(n.duration)?o.options.jumpForwardInterval:n.duration;if(r){var t=n.currentTime===1/0?0:n.currentTime;n.setCurrentTime(Math.min(t+o.options.jumpForwardInterval,r)),this.querySelector("button").blur()}})}})},{}]},{},[1]);

/*!
 * MediaElement.js - Skip Back
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
!function s(o,a,c){function p(e,t){if(!a[e]){if(!o[e]){var i="function"==typeof require&&require;if(!t&&i)return i(e,!0);if(u)return u(e,!0);var n=new Error("Cannot find module '"+e+"'");throw n.code="MODULE_NOT_FOUND",n}var r=a[e]={exports:{}};o[e][0].call(r.exports,function(t){return p(o[e][1][t]||t)},r,r.exports,s,o,a,c)}return a[e].exports}for(var u="function"==typeof require&&require,t=0;t<c.length;t++)p(c[t]);return p}({1:[function(t,e,i){"use strict";mejs.i18n.en["mejs.time-skip-back"]=["Skip back 1 second","Skip back %1 seconds"],Object.assign(mejs.MepDefaults,{skipBackInterval:30,skipBackText:null}),Object.assign(MediaElementPlayer.prototype,{buildskipback:function(t,e,i,n){var r=this,s=mejs.i18n.t("mejs.time-skip-back",r.options.skipBackInterval),o=mejs.Utils.isString(r.options.skipBackText)?r.options.skipBackText.replace("%1",r.options.skipBackInterval):s,a=document.createElement("div");a.className=r.options.classPrefix+"button "+r.options.classPrefix+"skip-back-button",a.innerHTML='<button type="button" aria-controls="'+r.id+'" title="'+o+'" aria-label="'+o+'" tabindex="0">'+r.options.skipBackInterval+"</button>",r.addControlElement(a,"skipback"),a.addEventListener("click",function(){if(isNaN(n.duration)?r.options.skipBackInterval:n.duration){var t=n.currentTime===1/0?0:n.currentTime;n.setCurrentTime(Math.max(t-r.options.skipBackInterval,0)),this.querySelector("button").blur()}})}})},{}]},{},[1]);

/*!
 * MediaElement.js - Speed button
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
!function r(i,l,a){function d(t,e){if(!l[t]){if(!i[t]){var s="function"==typeof require&&require;if(!e&&s)return s(t,!0);if(p)return p(t,!0);var o=new Error("Cannot find module '"+t+"'");throw o.code="MODULE_NOT_FOUND",o}var n=l[t]={exports:{}};i[t][0].call(n.exports,function(e){return d(i[t][1][e]||e)},n,n.exports,r,i,l,a)}return l[t].exports}for(var p="function"==typeof require&&require,e=0;e<a.length;e++)d(a[e]);return d}({1:[function(e,t,s){"use strict";mejs.i18n.en["mejs.speed-rate"]="Speed Rate",Object.assign(mejs.MepDefaults,{speeds:["2.00","1.50","1.25","1.00","0.75"],defaultSpeed:"1.00",speedChar:"x",speedText:null}),Object.assign(MediaElementPlayer.prototype,{buildspeed:function(l,e,t,a){var d=this;if(null!==d.media.rendererName&&/(native|html5)/i.test(d.media.rendererName)){for(var o=[],s=mejs.Utils.isString(d.options.speedText)?d.options.speedText:mejs.i18n.t("mejs.speed-rate"),p=function(e){for(var t=0,s=o.length;t<s;t++)if(o[t].value===e)return o[t].name},c=void 0,n=!1,r=0,i=d.options.speeds.length;r<i;r++){var u=d.options.speeds[r];"string"==typeof u?(o.push({name:""+u+d.options.speedChar,value:u}),u===d.options.defaultSpeed&&(n=!0)):(o.push(u),u.value===d.options.defaultSpeed&&(n=!0))}n||o.push({name:d.options.defaultSpeed+d.options.speedChar,value:d.options.defaultSpeed}),o.sort(function(e,t){return parseFloat(t.value)-parseFloat(e.value)}),d.cleanspeed(l),l.speedButton=document.createElement("div"),l.speedButton.className=d.options.classPrefix+"button "+d.options.classPrefix+"speed-button",l.speedButton.innerHTML='<button type="button" aria-controls="'+d.id+'" title="'+s+'" aria-label="'+s+'" tabindex="0">'+p(d.options.defaultSpeed)+'</button><div class="'+d.options.classPrefix+"speed-selector "+d.options.classPrefix+'offscreen"><ul class="'+d.options.classPrefix+'speed-selector-list"></ul></div>',d.addControlElement(l.speedButton,"speed");for(var f=0,v=o.length;f<v;f++){var h=d.id+"-speed-"+o[f].value;l.speedButton.querySelector("ul").innerHTML+='<li class="'+d.options.classPrefix+'speed-selector-list-item"><input class="'+d.options.classPrefix+'speed-selector-input" type="radio" name="'+d.id+'_speed"disabled="disabled" value="'+o[f].value+'" id="'+h+'"  '+(o[f].value===d.options.defaultSpeed?' checked="checked"':"")+'/><label for="'+h+'" class="'+d.options.classPrefix+"speed-selector-label"+(o[f].value===d.options.defaultSpeed?" "+d.options.classPrefix+"speed-selected":"")+'">'+o[f].name+"</label></li>"}c=d.options.defaultSpeed,l.speedSelector=l.speedButton.querySelector("."+d.options.classPrefix+"speed-selector");for(var m=["mouseenter","focusin"],S=["mouseleave","focusout"],x=l.speedButton.querySelectorAll('input[type="radio"]'),y=l.speedButton.querySelectorAll("."+d.options.classPrefix+"speed-selector-label"),b=0,g=m.length;b<g;b++)l.speedButton.addEventListener(m[b],function(){mejs.Utils.removeClass(l.speedSelector,d.options.classPrefix+"offscreen"),l.speedSelector.style.height=l.speedSelector.querySelector("ul").offsetHeight,l.speedSelector.style.top=-1*parseFloat(l.speedSelector.offsetHeight)+"px"});for(var P=0,j=S.length;P<j;P++)l.speedSelector.addEventListener(S[P],function(){mejs.Utils.addClass(this,d.options.classPrefix+"offscreen")});for(var k=0,E=x.length;k<E;k++){var B=x[k];B.disabled=!1,B.addEventListener("click",function(){var e=this.value;c=e,a.playbackRate=parseFloat(e),l.speedButton.querySelector("button").innerHTML=p(e);for(var t=l.speedButton.querySelectorAll("."+d.options.classPrefix+"speed-selected"),s=0,o=t.length;s<o;s++)mejs.Utils.removeClass(t[s],d.options.classPrefix+"speed-selected");this.checked=!0;for(var n=mejs.Utils.siblings(this,function(e){return mejs.Utils.hasClass(e,d.options.classPrefix+"speed-selector-label")}),r=0,i=n.length;r<i;r++)mejs.Utils.addClass(n[r],d.options.classPrefix+"speed-selected")})}for(var U=0,C=y.length;U<C;U++)y[U].addEventListener("click",function(){var e=mejs.Utils.siblings(this,function(e){return"INPUT"===e.tagName})[0],t=mejs.Utils.createEvent("click",e);e.dispatchEvent(t)});d.options.keyActions.push({keys:[60,188],action:function(e,t,s,o){if("<"==o.key)for(var n=0;n<x.length-1;n++)if(x[n].checked){var r=x[n+1];r.dispatchEvent(mejs.Utils.createEvent("click",r))}}},{keys:[62,190],action:function(e,t,s,o){if(">"==o.key)for(var n=1;n<x.length;n++)if(x[n].checked){var r=x[n-1];r.dispatchEvent(mejs.Utils.createEvent("click",r))}}}),l.speedSelector.addEventListener("keydown",function(e){e.stopPropagation()}),a.addEventListener("loadedmetadata",function(){c&&(a.playbackRate=parseFloat(c))})}},cleanspeed:function(e){e&&(e.speedButton&&e.speedButton.parentNode.removeChild(e.speedButton),e.speedSelector&&e.speedSelector.parentNode.removeChild(e.speedSelector))}})},{}]},{},[1]);

/*!
 * MediaElement.js - Google Analytics
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
!function l(a,s,g){function r(n,e){if(!s[n]){if(!a[n]){var t="function"==typeof require&&require;if(!e&&t)return t(n,!0);if(c)return c(n,!0);var o=new Error("Cannot find module '"+n+"'");throw o.code="MODULE_NOT_FOUND",o}var i=s[n]={exports:{}};a[n][0].call(i.exports,function(e){return r(a[n][1][e]||e)},i,i.exports,l,a,s,g)}return s[n].exports}for(var c="function"==typeof require&&require,e=0;e<g.length;e++)r(g[e]);return r}({1:[function(e,n,t){"use strict";Object.assign(mejs.MepDefaults,{googleAnalyticsTitle:"",googleAnalyticsCategory:"Videos",googleAnalyticsEventPlay:"Play",googleAnalyticsEventPause:"Pause",googleAnalyticsEventEnded:"Ended",googleAnalyticsEventTime:"Time"}),Object.assign(MediaElementPlayer.prototype,{buildgoogleanalytics:function(e,n,t,o){o.addEventListener("play",function(){"undefined"!=typeof ga&&ga("send","event",e.options.googleAnalyticsCategory,e.options.googleAnalyticsEventPlay,""===e.options.googleAnalyticsTitle?e.media.currentSrc:e.options.googleAnalyticsTitle)},!1),o.addEventListener("pause",function(){"undefined"!=typeof ga&&ga("send","event",e.options.googleAnalyticsCategory,e.options.googleAnalyticsEventPause,""===e.options.googleAnalyticsTitle?e.media.currentSrc:e.options.googleAnalyticsTitle)},!1),o.addEventListener("ended",function(){"undefined"!=typeof ga&&ga("send","event",e.options.googleAnalyticsCategory,e.options.googleAnalyticsEventEnded,""===e.options.googleAnalyticsTitle?e.media.currentSrc:e.options.googleAnalyticsTitle)},!1)}})},{}]},{},[1]);

/*!
 * MediaElement.js - AirPlay
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
!function n(l,o,s){function d(t,e){if(!o[t]){if(!l[t]){var i="function"==typeof require&&require;if(!e&&i)return i(t,!0);if(c)return c(t,!0);var a=new Error("Cannot find module '"+t+"'");throw a.code="MODULE_NOT_FOUND",a}var r=o[t]={exports:{}};l[t][0].call(r.exports,function(e){return d(l[t][1][e]||e)},r,r.exports,n,l,o,s)}return o[t].exports}for(var c="function"==typeof require&&require,e=0;e<s.length;e++)d(s[e]);return d}({1:[function(e,t,i){"use strict";Object.assign(mejs.MepDefaults,{airPlayText:null}),Object.assign(MediaElementPlayer.prototype,{buildairplay:function(){if(window.WebKitPlaybackTargetAvailabilityEvent){var r=this,e=mejs.Utils.isString(r.options.airPlayText)?r.options.airPlayText:"AirPlay",n=document.createElement("div");n.className=r.options.classPrefix+"button "+r.options.classPrefix+"airplay-button",n.innerHTML='<button type="button" aria-controls="'+r.id+'" title="'+e+'" aria-label="'+e+'" tabindex="0"></button>',n.addEventListener("click",function(){r.media.originalNode.webkitShowPlaybackTargetPicker()});var t=r.media.originalNode.getAttribute("x-webkit-airplay");t&&"allow"===t||r.media.originalNode.setAttribute("x-webkit-airplay","allow"),r.media.originalNode.addEventListener("webkitcurrentplaybacktargetiswirelesschanged",function(){var e=r.media.originalNode.webkitCurrentPlaybackTargetIsWireless?"Started":"Stopped",t=r.media.originalNode.webkitCurrentPlaybackTargetIsWireless?"active":"",i=n.querySelector("button"),a=mejs.Utils.createEvent("airplay"+e,r.media);r.media.dispatchEvent(a),"active"===t?mejs.Utils.addClass(i,"active"):mejs.Utils.removeClass(i,"active")}),r.media.originalNode.addEventListener("webkitplaybacktargetavailabilitychanged",function(e){"available"===e.availability&&r.addControlElement(n,"airplay")})}}})},{}]},{},[1]);

/*!
 * MediaElement.js - ChromeCast
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
!function s(o,n,c){function l(t,e){if(!n[t]){if(!o[t]){var a="function"==typeof require&&require;if(!e&&a)return a(t,!0);if(d)return d(t,!0);var r=new Error("Cannot find module '"+t+"'");throw r.code="MODULE_NOT_FOUND",r}var i=n[t]={exports:{}};o[t][0].call(i.exports,function(e){return l(o[t][1][e]||e)},i,i.exports,s,o,n,c)}return n[t].exports}for(var d="function"==typeof require&&require,e=0;e<c.length;e++)l(c[e]);return l}({1:[function(e,t,a){"use strict";var r,i=e(2),o=(r=i)&&r.__esModule?r:{default:r};mejs.i18n.en["mejs.chromecast-legend"]="Casting to:",Object.assign(mejs.MepDefaults,{castTitle:null,castAppID:null,castPolicy:"origin",castEnableTracks:!1,castIsLive:!1}),Object.assign(MediaElementPlayer.prototype,{buildchromecast:function(a,e,t,r){var i=this,s=document.createElement("div"),o=mejs.Utils.isString(i.options.castTitle)?i.options.castTitle:"Chromecast";if(a.chromecastLayer=document.createElement("div"),a.chromecastLayer.className=i.options.classPrefix+"chromecast-layer "+i.options.classPrefix+"layer",a.chromecastLayer.innerHTML='<div class="'+i.options.classPrefix+'chromecast-info"></div>',a.chromecastLayer.style.display="none",t.insertBefore(a.chromecastLayer,t.firstChild),s.className=i.options.classPrefix+"button "+i.options.classPrefix+"chromecast-button",s.innerHTML='<button type="button" is="google-cast-button" aria-controls="'+i.id+'" title="'+o+'" aria-label="'+o+'" tabindex="0"></button>',s.style.display="none",i.addControlElement(s,"chromecast"),i.castButton=s,a.chromecastLayer.innerHTML='<div class="'+i.options.classPrefix+'chromecast-container"><span class="'+i.options.classPrefix+'chromecast-icon"></span><span class="'+i.options.classPrefix+'chromecast-info">'+mejs.i18n.t("mejs.chromecast-legend")+' <span class="device"></span></span></div>',r.originalNode.getAttribute("poster")&&(a.chromecastLayer.innerHTML+='<img src="'+r.originalNode.getAttribute("poster")+'" width="100%" height="100%">',a.chromecastLayer.querySelector("img").addEventListener("click",function(){if(a.options.clickToPlayPause){var e=i.container.querySelector("."+i.options.classPrefix+"overlay-button"),t=e.getAttribute("aria-pressed");a.paused?a.play():a.pause(),e.setAttribute("aria-pressed",!!t),a.container.focus()}})),window.__onGCastApiAvailable=function(e){var t=mejs.Utils.getTypeFromFile(r.originalNode.src).toLowerCase(),a=t&&-1<["application/x-mpegurl","application/vnd.apple.mpegurl","application/dash+xml","video/mp4","audio/mp3","audio/mp4"].indexOf(t);e&&a&&i._initializeCastPlayer()},window.cast){var n=i.controls.querySelector("."+i.options.classPrefix+"chromecast-button>button");return n&&"none"!==n.style.display&&(i.controls.querySelector("."+i.options.classPrefix+"chromecast-button").style.display=""),void i._initializeCastPlayer()}mejs.Utils.loadScript("https://www.gstatic.com/cv/js/sender/v1/cast_sender.js?loadCastFramework=1")},cleanchromecast:function(e){if(window.cast){var t=cast.framework.CastContext.getInstance().getCurrentSession();t&&t.endSession(!0)}e.castButton&&e.castButton.remove(),e.chromecastLayer&&e.chromecastLayer.remove()},_initializeCastPlayer:function(){var e=this,t=void 0;switch(this.options.castPolicy){case"tab":t="TAB_AND_ORIGIN_SCOPED";break;case"page":t="PAGE_SCOPED";break;default:t="ORIGIN_SCOPED"}var a=cast.framework.CastContext.getInstance(),r=a.getCurrentSession();if(a.setOptions({receiverApplicationId:e.options.castAppID||chrome.cast.media.DEFAULT_MEDIA_RECEIVER_APP_ID,autoJoinPolicy:chrome.cast.AutoJoinPolicy[t]}),a.addEventListener(cast.framework.CastContextEventType.CAST_STATE_CHANGED,e._checkCastButtonStatus.bind(e)),e.remotePlayer=new cast.framework.RemotePlayer,e.remotePlayerController=new cast.framework.RemotePlayerController(e.remotePlayer),e.remotePlayerController.addEventListener(cast.framework.RemotePlayerEventType.IS_CONNECTED_CHANGED,e._switchToCastPlayer.bind(this)),r){var i=a.getCastState(),s=e.controls.querySelector("."+e.options.classPrefix+"chromecast-button");s&&i===cast.framework.CastState.NO_DEVICES_AVAILABLE?s.style.display="none":s&&(e.chromecastLayer&&(e.chromecastLayer.style.display=i===cast.framework.CastState.CONNECTED?"":"none"),s.style.display=""),e._switchToCastPlayer()}},_checkCastButtonStatus:function(e){var t=this,a=t.controls.querySelector("."+t.options.classPrefix+"chromecast-button");a&&e.castState===cast.framework.CastState.NO_DEVICES_AVAILABLE?a.style.display="none":a&&(t.chromecastLayer&&(t.chromecastLayer.style.display=e.castState===cast.framework.CastState.CONNECTED?"":"none"),a.style.display=""),setTimeout(function(){t.setPlayerSize(t.width,t.height),t.setControlsSize()},0)},_switchToCastPlayer:function(){var e=this;if((e.proxy&&e.proxy.pause(),cast&&cast.framework)&&(cast.framework.CastContext.getInstance().addEventListener(cast.framework.CastContextEventType.CAST_STATE_CHANGED,e._checkCastButtonStatus.bind(e)),e.remotePlayer.isConnected))return void e._setupCastPlayer();e._setDefaultPlayer()},_setupCastPlayer:function(){var r=this,s=cast.framework.CastContext.getInstance().getCurrentSession(),e=r.layers.querySelector("."+r.options.classPrefix+"chromecast-info");!0!==r.loadedChromecast&&(r.loadedChromecast=!0,r.proxy=new o.default(r.remotePlayer,r.remotePlayerController,r.media,r.options),e&&(e.querySelector(".device").innerText=s.getCastDevice().friendlyName),r.chromecastLayer&&(r.chromecastLayer.style.display=""),!0===r.options.castEnableTracks&&function(){var i=void 0!==r.captionsButton?r.captionsButton.querySelectorAll("input[type=radio]"):null;if(null!==i)for(var e=function(r,e){i[r].addEventListener("click",function(){var e=parseInt(i[r].id.replace(/^.*?track_(\d+)_.*$/,"$1")),t="none"===i[r].value?[]:[e],a=new chrome.cast.media.EditTracksInfoRequest(t);s.getMediaSession().editTracksInfo(a,function(){},function(e){console.error(e)})})},t=0,a=i.length;t<a;t++)e(t)}(),r.media.addEventListener("loadedmetadata",function(){-1===["SESSION_ENDING","SESSION_ENDED","NO_SESSION"].indexOf(s.getSessionState())&&r.proxy instanceof DefaultPlayer&&(r.proxy.pause(),r.proxy=new o.default(r.remotePlayer,r.remotePlayerController,r.media,r.options))}),r.media.addEventListener("timeupdate",function(){r.currentMediaTime=r.getCurrentTime()}))}})},{2:2}],2:[function(e,t,a){"use strict";Object.defineProperty(a,"__esModule",{value:!0});var r=function(){function r(e,t){for(var a=0;a<t.length;a++){var r=t[a];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(e,t,a){return t&&r(e.prototype,t),a&&r(e,a),e}}();var i=function(){function s(e,t,a,r){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,s);var i=this;return i.player=e,i.controller=t,i.media=a,i.endedMedia=!1,i.enableTracks=r.castEnableTracks,i.isLive=r.castIsLive,i.controller.addEventListener(cast.framework.RemotePlayerEventType.IS_PAUSED_CHANGED,function(){i.paused?i.pause():i.play(),i.endedMedia=!1}),i.controller.addEventListener(cast.framework.RemotePlayerEventType.IS_MUTED_CHANGED,function(){i.setMuted(i.player.isMuted),i.volume=0}),i.controller.addEventListener(cast.framework.RemotePlayerEventType.IS_MEDIA_LOADED_CHANGED,function(){var e=mejs.Utils.createEvent("loadedmetadata",i.media);i.media.dispatchEvent(e)}),i.controller.addEventListener(cast.framework.RemotePlayerEventType.VOLUME_LEVEL_CHANGED,function(){i.volume=i.player.volumeLevel;var e=mejs.Utils.createEvent("volumechange",i.media);i.media.dispatchEvent(e)}),i.controller.addEventListener(cast.framework.RemotePlayerEventType.DURATION_CHANGED,function(){var e=mejs.Utils.createEvent("timeupdate",i.media);i.media.dispatchEvent(e)}),i.controller.addEventListener(cast.framework.RemotePlayerEventType.CURRENT_TIME_CHANGED,function(){var e=mejs.Utils.createEvent("timeupdate",i.media);i.media.dispatchEvent(e),!i.isLive&&i.getCurrentTime()>=i.getDuration()&&(i.endedMedia=!0,setTimeout(function(){var e=mejs.Utils.createEvent("ended",i.media);i.media.dispatchEvent(e)},50))}),i.controller.addEventListener(cast.framework.RemotePlayerEventType.IS_MUTED_CHANGED,function(){i.setMuted(i.player.isMuted)}),i.load(),i}return r(s,[{key:"getSrc",value:function(){return this.media.originalNode.src}},{key:"setSrc",value:function(e){this.media.originalNode.src="string"==typeof e?e:e[0].src,this.load()}},{key:"setCurrentTime",value:function(e){this.player.currentTime=e,this.controller.seek();var t=mejs.Utils.createEvent("timeupdate",this.media);this.media.dispatchEvent(t)}},{key:"getCurrentTime",value:function(){return this.player.currentTime}},{key:"getDuration",value:function(){return this.player.duration}},{key:"setVolume",value:function(e){this.player.volumeLevel=e,this.controller.setVolumeLevel();var t=mejs.Utils.createEvent("volumechange",this.media);this.media.dispatchEvent(t)}},{key:"getVolume",value:function(){return this.player.volumeLevel}},{key:"play",value:function(){if(this.player.isPaused){this.controller.playOrPause();var e=mejs.Utils.createEvent("play",this.media);this.media.dispatchEvent(e)}}},{key:"pause",value:function(){if(!this.player.isPaused){this.controller.playOrPause();var e=mejs.Utils.createEvent("pause",this.media);this.media.dispatchEvent(e)}}},{key:"load",value:function(){var a=this,e=this.media.originalNode.src,t=mejs.Utils.getTypeFromFile(e),r=new chrome.cast.media.MediaInfo(e,t),i=cast.framework.CastContext.getInstance().getCurrentSession();if(e!==window.location.href&&i){if(!0===a.enableTracks){for(var s=[],o=a.media.originalNode.children,n=1,c=0,l=o.length;c<l;c++){var d=o[c];if("track"===d.tagName.toLowerCase()&&("subtitles"===d.getAttribute("kind")||"captions"===d.getAttribute("kind"))){var u=new chrome.cast.media.Track(n,chrome.cast.media.TrackType.TEXT);u.trackContentId=mejs.Utils.absolutizeUrl(d.getAttribute("src")),u.trackContentType="text/vtt",u.subtype=chrome.cast.media.TextTrackType.SUBTITLES,u.name=d.getAttribute("label"),u.language=d.getAttribute("srclang"),u.customData=null,s.push(u),n++}}r.textTrackStyle=new chrome.cast.media.TextTrackStyle,r.tracks=s}if(r.metadata=new chrome.cast.media.GenericMediaMetadata,r.streamType=a.isLive?chrome.cast.media.StreamType.LIVE:chrome.cast.media.StreamType.BUFFERED,r.customData=null,r.duration=null,r.currentTime=a.isLive?1/0:0,a.media.originalNode.getAttribute("data-cast-title")&&(r.metadata.title=a.media.originalNode.getAttribute("data-cast-title")),a.media.originalNode.getAttribute("data-cast-description")&&(r.metadata.subtitle=a.media.originalNode.getAttribute("data-cast-description")),a.media.originalNode.getAttribute("poster")||a.media.originalNode.getAttribute("data-cast-poster")){var m=a.media.originalNode.getAttribute("poster")||a.media.originalNode.getAttribute("data-cast-poster");r.metadata.images=[{url:mejs.Utils.absolutizeUrl(m)}]}var p=new chrome.cast.media.LoadRequest(r);i.loadMedia(p).then(function(){var e=a.media.originalNode.currentTime;a.setCurrentTime(e),a.play();var t=mejs.Utils.createEvent("play",a.media);a.media.dispatchEvent(t)},function(e){a._getErrorMessage(e)})}}},{key:"setMuted",value:function(e){var t=this;!0!==e||this.player.isMuted?!1===e&&this.player.isMuted&&this.controller.muteOrUnmute():this.controller.muteOrUnmute(),setTimeout(function(){var e=mejs.Utils.createEvent("volumechange",t.media);t.media.dispatchEvent(e)},50)}},{key:"canPlayType",value:function(e){return~["application/x-mpegurl","vnd.apple.mpegurl","application/dash+xml","video/mp4"].indexOf(e)}},{key:"_getErrorMessage",value:function(e){var t=e.description?" : "+e.description:".",a=void 0;switch(e.code){case chrome.cast.ErrorCode.API_NOT_INITIALIZED:a="The API is not initialized"+t;break;case chrome.cast.ErrorCode.CANCEL:a="The operation was canceled by the user"+t;break;case chrome.cast.ErrorCode.CHANNEL_ERROR:a="A channel to the receiver is not available"+t;break;case chrome.cast.ErrorCode.EXTENSION_MISSING:a="The Cast extension is not available"+t;break;case chrome.cast.ErrorCode.INVALID_PARAMETER:a="The parameters to the operation were not valid"+t;break;case chrome.cast.ErrorCode.RECEIVER_UNAVAILABLE:a="No receiver was compatible with the session request"+t;break;case chrome.cast.ErrorCode.SESSION_ERROR:a="A session could not be created, or a session was invalid"+t;break;case chrome.cast.ErrorCode.TIMEOUT:a="The operation timed out"+t;break;default:a="Unknown error: "+e}console.error(a)}},{key:"paused",get:function(){return this.player.isPaused}},{key:"muted",set:function(e){this.setMuted(e)},get:function(){return this.player.isMuted}},{key:"ended",get:function(){return this.endedMedia}},{key:"readyState",get:function(){return this.media.originalNode.readyState}},{key:"currentTime",set:function(e){this.setCurrentTime(e)},get:function(){return this.getCurrentTime()}},{key:"duration",get:function(){return this.getDuration()}},{key:"volume",set:function(e){this.setVolume(e)},get:function(){return this.getVolume()}},{key:"src",set:function(e){this.setSrc(e)},get:function(){return this.getSrc()}}]),s}();a.default=i,window.ChromecastPlayer=i},{}]},{},[1,2]);


/*! MediaElement.js - WP Cloud Plugins - Playlist
 * 
 *  Copyright wpcloudplugins.com
 */
"use strict";function create_playlistfrom_json(t){var i=[];if(null===t||t.length<1)return i;var a=new Date;return a.setMinutes(a.getMinutes()+4),t.forEach(function(t,e){var l={title:t.title,description:t.artist,duration:t.duration,sources:[{src:t.source,type:t.type}],poster:t.poster,thumbnail:t.thumb,size:t.width,folder:t.folder,last_edited_date_str:t.last_edited_date_str,last_edited_time_str:t.last_edited_time_str,purchaselink:t.linktoshop,download:t.download,expires:a},s=[];t.captions&&t.captions.forEach(function(t,e){t={kind:"captions",label:t.label,srclang:t.language,src:t.src};s.push(t)}),l.textTracks=s,i.push(l)}),i}function init_mediaelement(t,e,l){var s=t.firstElementChild,i={rootContainer:t,pluginPath:Default_Skin_vars.player_url+"/js/",playlist:l,stretching:"responsive",classPrefix:"wpcp__",toggleCaptionsButtonWhenOnlyOne:!0,jumpForwardInterval:30,timeAndDurationSeparator:"<span> / </span>",skipBackInterval:10,success:function(t,e){t.options.rootContainer.querySelector(".loading.initialize").style.display="none",t.options.rootContainer.querySelector(".wpcp__main-container").classList.remove("wpcp__loading")},error:function(t,e){void 0!==t.options&&(t.options.rootContainer.querySelector(".loading.initialize").style.display="none",t.options.rootContainer.querySelector(".wpcp__main-container").classList.add("error"))}};i.contextMenuItems=[{render:function(t){return void 0===t.enterFullScreen?null:t.isFullScreen?mejs.i18n.t("mejs.fullscreen-off"):mejs.i18n.t("mejs.fullscreen-on")},click:function(t){t.isFullScreen?t.exitFullScreen():t.enterFullScreen()}},{render:function(t){return t.media.muted?mejs.i18n.t("mejs.unmute"):mejs.i18n.t("mejs.mute")},click:function(t){t.media.muted?t.setMuted(!1):t.setMuted(!0)}}];var a=s.getAttribute("data-controls").split(",");i.displayPlaylist="0"===s.getAttribute("data-hide-playlist"),i.showPlaylistOnload="1"===s.getAttribute("data-open-playlist"),i.playlistInline="1"===s.getAttribute("data-playlist-inline");l=s.getAttribute("data-ads-tag-url");""!==l&&(a.push("vast","ads"),i.vastAdTagUrl=l,i.vastAdsType="vast",l=-1<parseInt(s.getAttribute("data-ads-skip")),(i.adsPrerollAdEnableSkip=l)&&(i.adsPrerollAdSkipSeconds=parseInt(s.getAttribute("data-ads-skip")))),i.speeds=["2","1.75","1.5","1.25","1","0.75","0.5","0.25"],i.defaultSpeed="1",a.push("progress","tracks","contextmenu","googleanalytics","custom_playlist"),i.features=a,wpcp_playlists[e]=new MediaElementPlayer(t.querySelector("video,audio"),i)}function toHHMMSS(t){var e=parseInt(t,10),l=Math.floor(e/3600),t=Math.floor(e/60)%60,e=e%60,e=e<10?"0"+e:e,e=t<10?"0"+t+":"+e:t+":"+e;return 0<l&&(e=l<10?"0"+l+":"+e:l+":"+e),e}!function s(i,a,n){function o(l,t){if(!a[l]){if(!i[l]){var e="function"==typeof require&&require;if(!t&&e)return e(l,!0);if(r)return r(l,!0);e=new Error("Cannot find module '"+l+"'");throw e.code="MODULE_NOT_FOUND",e}e=a[l]={exports:{}};i[l][0].call(e.exports,function(t){var e=i[l][1][t];return o(e||t)},e,e.exports,s,i,a,n)}return a[l].exports}for(var r="function"==typeof require&&require,t=0;t<n.length;t++)o(n[t]);return o}({1:[function(t,e,l){mejs.i18n.en["mejs.playlist"]="Toggle Playlist",mejs.i18n.en["mejs.playlist-prev"]="Previous",mejs.i18n.en["mejs.playlist-next"]="Next",mejs.i18n.en["mejs.playlist-loop"]="Loop",mejs.i18n.en["mejs.playlist-shuffle"]="Shuffle",Object.assign(mejs.MepDefaults,{playlist:[],displayPlaylist:!0,showPlaylistOnload:!0,playlistHeight:null,autoClosePlaylist:!1,prevText:null,nextText:null,loopText:null,shuffleText:null,playlistTitle:null,currentMessage:null}),Object.assign(MediaElementPlayer.prototype,{buildcustom_playlist:function(i,t,e,l){var s=mejs.i18n.t("mejs.playlist"),s=mejs.Utils.isString(i.options.playlistTitle)?i.options.playlistTitle:s;i.currentPlaylistItem=0,i.originalControlsIndex=t.style.zIndex,t.style.zIndex=5;t=e.querySelector("."+i.options.classPrefix+"overlay-loading");t&&(t.innerHTML='<div class="loading"><svg class="loader-spinner" viewBox="25 25 50 50"><circle class="path" cx="50" cy="50" r="20" fill="none" stroke-width="3" stroke-miterlimit="10"></circle></svg></div>'),i.playlistLayer=document.createElement("div"),i.playlistLayer.className=i.options.classPrefix+"playlist-layer  "+i.options.classPrefix+"layer "+(!1===i.options.displayPlaylist||!1===i.options.showPlaylistOnload?i.options.classPrefix+"playlist-hidden":"")+" "+i.options.classPrefix+"playlist-selector",i.playlistLayer.innerHTML='<ul class="'+i.options.classPrefix+'playlist-selector-list" data-folder="/" style="max-height:'+(null===i.options.playlistHeight?"none":i.options.playlistHeight)+'"></ul>',i.options.playlistInline&&mejs.Utils.addClass(i.playlistLayer,i.options.classPrefix+"playlist-inline"),e.insertBefore(i.playlistLayer,e.firstChild),i.createWPCPPlayList_(i.playlistLayer.querySelector("ul")),i.playlistButton=document.createElement("div"),i.playlistButton.className=i.options.classPrefix+"button "+i.options.classPrefix+"playlist-button",i.playlistButton.innerHTML='<button type="button" aria-controls="'+i.id+'" title="'+s+'" aria-label="'+s+'" tabindex="0"></button>',i.playlistButton.addEventListener("click",function(){mejs.Utils.toggleClass(i.playlistLayer,i.options.classPrefix+"playlist-hidden"),i.options.playlistInline&&!1===mejs.Utils.hasClass(i.playlistLayer,i.options.classPrefix+"playlist-hidden")?i.pause():i.options.playlistInline&&i.play()}),!0===i.options.displayPlaylist&&1<i.options.playlist.length&&i.addControlElement(i.playlistButton,"playlist"),i.playerDownloadButton=document.createElement("div"),i.playerDownloadButton.className=i.options.classPrefix+"button "+i.options.classPrefix+"download-button",i.playerDownloadButton.innerHTML='<button type="button" aria-controls="'+i.id+'" title="'+mejs.i18n.t("mejs.download-file")+'" aria-label="'+mejs.i18n.t("mejs.download-file")+'" tabindex="0"></button>',i.playerDownloadButton.addEventListener("click",function(){i.playlistLayer.querySelector("."+i.options.classPrefix+'playlist-selector-list-item[data-playlist-index="'+i.currentPlaylistItem+'"]').querySelector("."+i.options.classPrefix+"playlist-item-download").click()}),!1!==i.options.displayPlaylist&&1!==i.options.playlist.length||(i.addControlElement(i.playerDownloadButton,"playerdownload"),void 0!==i.playerDownloadButton&&(!1===i.playlist[i.currentPlaylistItem].download?i.playerDownloadButton.style.display="none":i.playerDownloadButton.style.display="inline-block")),i.playlistLayer.querySelectorAll("."+i.options.classPrefix+"playlist-selector-list-item:not(."+i.options.classPrefix+"playlist-selector-list-item-folder-header)").forEach(function(t){t.addEventListener("click",function(){var t=parseInt(this.getAttribute("data-playlist-index"));i.loadPlaylistItem(t,!1,!0)})}),i.playlistLayer.querySelectorAll("."+i.options.classPrefix+"playlist-selector-list-item-folder-header").forEach(function(s){s.addEventListener("click",function(t){for(var e=t.target;e.parentNode&&e!==s;)e=e.parentNode;var l=e.nextSibling,t=e.querySelector("i");mejs.Utils.hasClass(l,i.options.classPrefix+"playlist-selector-list-item-folder-hidden")?(mejs.Utils.addClass(t,"fa-chevron-circle-down"),mejs.Utils.removeClass(t,"fa-chevron-circle-right"),mejs.Utils.removeClass(l,i.options.classPrefix+"playlist-selector-list-item-folder-hidden")):(mejs.Utils.removeClass(t,"fa-chevron-circle-down"),mejs.Utils.addClass(t,"fa-chevron-circle-right"),mejs.Utils.addClass(l,i.options.classPrefix+"playlist-selector-list-item-folder-hidden"))})}),i.changeLayout(),i.refreshStream=function(){var t;i.readyState<3&&i.playlist[i.currentPlaylistItem].expires<new Date&&(console.debug("RENEW STREAM"),i.pause(),t=i.getCurrentTime(),i.setSrc(i.playlist[i.currentPlaylistItem].src),i.setCurrentTime(t),i.play(),t=new Date,i.playlist[i.currentPlaylistItem].expires=t.setMinutes(t.getMinutes()+4))},i.startProgressCallback=function(){i.refreshStream()},l.addEventListener("progress",i.startProgressCallback),i.playlistPlayCallback=function(){mejs.Utils.addClass(i.container,i.options.classPrefix+"active"),i.refreshStream()},l.addEventListener("play",i.playlistPlayCallback),i.playlistPauseCallback=function(){mejs.Utils.removeClass(i.container,i.options.classPrefix+"active")},l.addEventListener("pause",i.playlistPauseCallback),i.playlistEndedCallback=function(){i.options.loop||(i.currentPlaylistItem<i.playlist.length-1&&i.loadPlaylistItem(i.currentPlaylistItem+1,!0,!0),mejs.Utils.removeClass(i.container,i.options.classPrefix+"active"))},l.addEventListener("ended",i.playlistEndedCallback),i.playlistResizeCallback=function(){},l.addEventListener("playing",i.playlistResizeCallback),l.addEventListener("resize",i.playlistResizeCallback),i.playlistCaptionChangeCallback=function(){void 0!==i.selectedTrack&&null!==i.selectedTrack?i.options.startLanguage=i.selectedTrack.srclang:i.options.startLanguage=null},l.addEventListener("captionschange",i.playlistCaptionChangeCallback),i.lazyLoadingPlaylistItem=function(){var t,e,l,s=i.currentPlaylistItem+1;i.currentTime<1||i.duration<1||void 0===i.playlist[s]||void 0!==i.playlist[s].preloaded||i.currentTime>i.duration-10&&(i.playlist[s].preloaded="busy",t=i.playlist[s].src[0],(e=document.createElement("video")).setAttribute("preload","metadata"),e.setAttribute("muted",!0),e.setAttribute("playsinline",!0),(l=document.createElement("source")).setAttribute("type",t.type),l.setAttribute("src",t.src),e.appendChild(l),e.onloadedmetadata=function(t){i.playlist[s].preloaded=!0},e.onstalled=function(t){i.playlist[s].preloaded=!0},e.load())},"VIDEO"===i.node.nodeName&&(i.floating_container=document.querySelector("."+i.options.classPrefix+"floating-container"),i.inner_container=i.container.children[0],null===i.floating_container&&(i.floating_container=document.createElement("div"),i.floating_container.setAttribute("class",i.options.classPrefix+"floating-container"),document.body.appendChild(i.floating_container)),window.addEventListener("scroll",function(){clearTimeout(i.floatingTimer),i.floatingTimer=setTimeout(function(){var t=i.container.parentNode.getBoundingClientRect().top,e=i.container.offsetHeight,t=Math.floor(t+window.scrollY),e=Math.floor(t+e/2);i.options.isFloating=!1===i.paused&&window.scrollY>e,(i.options.isFloating?i.floating_container:i.container.querySelector("mediaelementwrapper")).appendChild(i.node)},50)})),i.keydownCallback=function(t){var e=mejs.Utils.createEvent("click",t.target);return t.target.dispatchEvent(e),!1},i.playlistLayer.addEventListener("keydown",function(t){var e=t.which||t.keyCode||0;~[13,32,38,40].indexOf(e)&&i.keydownCallback(t)})},cleancustom_playlist:function(t,e,l,s){s.removeEventListener("ended",t.playlistEndedCallback)},buildprevtrack:function(l){var t=mejs.i18n.t("mejs.playlist-prev"),t=mejs.Utils.isString(l.options.prevText)?l.options.prevText:t;l.prevButton=document.createElement("div"),l.prevButton.className=l.options.classPrefix+"button "+l.options.classPrefix+"prev-button",l.prevButton.innerHTML='<button type="button" aria-controls="'+l.id+'" title="'+t+'" aria-label="'+t+'" tabindex="0"></button>',l.prevPlaylistCallback=function(){var t,e;l.playlist[l.currentPlaylistItem-1]&&(t=l.playlistLayer.querySelector("."+l.options.classPrefix+'playlist-selector-list-item[data-playlist-index="'+(l.currentPlaylistItem-1)+'"]'),e=new Event("click"),t.dispatchEvent(e))},l.prevButton.addEventListener("click",l.prevPlaylistCallback),l.options.playlist.length<2||l.addControlElement(l.prevButton,"prevtrack")},cleanprevtrack:function(t){t.prevButton.removeEventListener("click",t.prevPlaylistCallback)},buildnexttrack:function(l){var t=mejs.i18n.t("mejs.playlist-next"),t=mejs.Utils.isString(l.options.nextText)?l.options.nextText:t;l.nextButton=document.createElement("div"),l.nextButton.className=l.options.classPrefix+"button "+l.options.classPrefix+"next-button",l.nextButton.innerHTML='<button type="button" aria-controls="'+l.id+'" title="'+t+'" aria-label="'+t+'" tabindex="0"></button>',l.nextPlaylistCallback=function(){var t,e;l.playlist[l.currentPlaylistItem+1]&&(t=l.playlistLayer.querySelector("."+l.options.classPrefix+'playlist-selector-list-item[data-playlist-index="'+(l.currentPlaylistItem+1)+'"]'),e=new Event("click"),t.dispatchEvent(e))},l.nextButton.addEventListener("click",l.nextPlaylistCallback),l.options.playlist.length<2||l.addControlElement(l.nextButton,"nexttrack")},cleannexttrack:function(t){t.nextButton.removeEventListener("click",t.nextPlaylistCallback)},buildloop:function(t){var e=mejs.i18n.t("mejs.playlist-loop"),e=mejs.Utils.isString(t.options.loopText)?t.options.loopText:e;t.loopButton=document.createElement("div"),t.loopButton.className=t.options.classPrefix+"button "+t.options.classPrefix+"loop-button "+(t.options.loop?t.options.classPrefix+"loop-on":t.options.classPrefix+"loop-off"),t.loopButton.innerHTML='<button type="button" aria-controls="'+t.id+'" title="'+e+'" aria-label="'+e+'" tabindex="0"></button>',t.loopCallback=function(){t.options.loop=!t.options.loop,t.options.loop?(mejs.Utils.removeClass(t.loopButton,t.options.classPrefix+"loop-off"),mejs.Utils.addClass(t.loopButton,t.options.classPrefix+"loop-on")):(mejs.Utils.removeClass(t.loopButton,t.options.classPrefix+"loop-on"),mejs.Utils.addClass(t.loopButton,t.options.classPrefix+"loop-off"))},t.loopButton.addEventListener("click",t.loopCallback),t.addControlElement(t.loopButton,"loop")},cleanloop:function(t){t.loopButton.removeEventListener("click",t.loopCallback)},buildshuffle:function(e){var t=mejs.i18n.t("mejs.playlist-shuffle"),t=mejs.Utils.isString(e.options.shuffleText)?e.options.shuffleText:t;e.shuffleButton=document.createElement("div"),e.shuffleButton.className=e.options.classPrefix+"button "+e.options.classPrefix+"shuffle-button "+e.options.classPrefix+"shuffle-off",e.shuffleButton.innerHTML='<button type="button" aria-controls="'+e.id+'" title="'+t+'" aria-label="'+t+'" tabindex="0"></button>',e.shuffleButton.style.display="none",e.media.addEventListener("play",function(){e.shuffleButton.style.display="",e.resetSize()});function l(){var t;e.options.loop||(t=Math.floor(Math.random()*e.playlist.length),-1===i.indexOf(t)?(e.setSrc(e.playlist[t].src),e.load(),e.play(),e.currentPlaylistItem=t,i.push(t)):i.length<e.playlist.length?e.shuffleCallback():i.length<e.playlist.length&&(i=[],e.currentPlaylistItem=t,i.push(t)))}var s=!1,i=[];e.shuffleCallback=function(){s?(mejs.Utils.removeClass(e.shuffleButton,e.options.classPrefix+"shuffle-on"),mejs.Utils.addClass(e.shuffleButton,e.options.classPrefix+"shuffle-off"),s=!1,e.media.removeEventListener("ended",l)):(mejs.Utils.removeClass(e.shuffleButton,e.options.classPrefix+"shuffle-off"),mejs.Utils.addClass(e.shuffleButton,e.options.classPrefix+"shuffle-on"),s=!0,e.media.addEventListener("ended",l))},e.shuffleButton.addEventListener("click",e.shuffleCallback),e.options.playlist.length<2||e.addControlElement(e.shuffleButton,"shuffle")},cleanshuffle:function(t){t.shuffleButton.removeEventListener("click",t.shuffleCallback)},createWPCPPlayList_:function(l){var e,s,t,o=this;o.playlist=o.options.playlist.length?o.options.playlist:[],o.playlist.length&&(o.listItems=[],o.playlist.sort(function(t,e){var l=0;return t.folder>e.folder?l=1:t.folder<e.folder&&(l=-1),l}),o.playlist.forEach(function(t,e){var i=l,a=1,t=!0===t.folder?[""]:t.folder.split("/"),n="";t.forEach(function(t,e){n+="/"+t.replace(/'/g," ");var l,s=o.playlistLayer.querySelector("ul[data-folder='"+n+"']");null===s&&((s=document.createElement("UL")).classList.add(o.options.classPrefix+"playlist-selector-list-item-folder",o.options.classPrefix+"playlist-selector-list-item-folder-hidden"),s.setAttribute("data-folder",n),""!==t&&((l=document.createElement("LI")).classList.add(o.options.classPrefix+"playlist-selector-list-item",o.options.classPrefix+"playlist-selector-list-item-folder-header"),l.setAttribute("data-folder",n),l.setAttribute("data-depth",a),l.style.paddingLeft=32*(a-1)-16+"px",l.innerHTML='<div class="'+o.options.classPrefix+'playlist-item-content"><div class="'+o.options.classPrefix+'playlist-item-title"><span><i class="fas fa-chevron-circle-right"></i> '+t+"</span></div></div></div>",i.appendChild(l)),i.appendChild(s)),i=s,a+=1})}),o.playlist.forEach(function(t,e){var l=document.createElement("li"),s=(o.id,!0===t.folder?[""]:t.folder.split("/")),i=o.playlistLayer.querySelector("ul[data-folder='/"+t.folder.replace(/'/g," ")+"']"),a=s.length;o.playlist[e].src=t.sources,l.tabIndex=0,l.className=o.options.classPrefix+"playlist-selector-list-item"+(0===e?" "+o.options.classPrefix+"playlist-selected":""),""!==s[0]?(l.style.paddingLeft=32*a+"px",l.setAttribute("data-depth",a)):l.setAttribute("data-depth",0),l.setAttribute("data-playlist-index",e),l.innerHTML='<div class="'+o.options.classPrefix+'playlist-item-inner">'+(t.thumbnail?'<div class="'+o.options.classPrefix+'playlist-item-thumbnail"><div class="preloading"></div>'+(0<t.duration?'<div class="'+o.options.classPrefix+'playlist-item-duration"><i class="fas fa-play fa-xs"></i> '+toHHMMSS(t.duration)+"</div>":"")+'<img tabindex="-1" src="'+t.thumbnail+'" title="'+t.title+'" referrerpolicy="no-referrer" loading="lazy"></div>':"")+'<div class="'+o.options.classPrefix+'playlist-item-content"><div class="'+o.options.classPrefix+'playlist-item-title">'+t.title+" "+(0<t.textTracks.length?'<i class="fas fa-closed-captioning"></i>':"")+' <i class="fas fa-volume-up"></i></div>'+(null!==t.description&&0<t.description.length?'<span class="'+o.options.classPrefix+'playlist-item-description">'+t.description+"</span>":"")+"</div>"+(t.last_edited_date_str?'<div class="'+o.options.classPrefix+'playlist-item-lastedited"><div><span class="'+o.options.classPrefix+'playlist-item-lastedited-date">'+t.last_edited_date_str+'</span> <span class="'+o.options.classPrefix+'playlist-item-lastedited-time">'+t.last_edited_time_str+"</span></div></div>":"")+(!1!==t.purchaselink?'<a target="_blank" href="'+t.purchaselink+'" class="'+o.options.classPrefix+'playlist-item-purchase" title='+mejs.i18n.t("mejs.purchase")+'><i class="far fa-shopping-basket fa-lg"></i></a>':"")+(!1!==t.download?'<a target="_blank" href="'+t.download+'" class="'+o.options.classPrefix+'playlist-item-download" title='+mejs.i18n.t("mejs.download-file")+'><i class="far fa-arrow-to-bottom fa-lg"></i></a>':"")+"</div>",o.listItems.push(l.outerHTML),i.appendChild(l)}),e=0,s=[],o.playlistLayer.querySelectorAll("."+o.options.classPrefix+"playlist-selector-list-item:not(."+o.options.classPrefix+"playlist-selector-list-item-folder-header)").forEach(function(t){s[e]=o.playlist[t.getAttribute("data-playlist-index")],t.setAttribute("data-playlist-index",e),e++}),o.playlist=s,null===(t=o.playlistLayer.querySelector("li[data-depth='0']"))&&(t=o.playlistLayer.querySelector("."+o.options.classPrefix+"playlist-selector-list-item[data-playlist-index='0']")),t=parseInt(t.getAttribute("data-playlist-index")),o.currentPlaylistItem=t,o.loadPlaylistItem(t,!0,!1))},loadPlaylistItem:function(t,e,l){var s=this,i=s.playlistLayer.querySelector("."+s.options.classPrefix+"playlist-selected"),a=s.playlistLayer.querySelector("."+s.options.classPrefix+"playlist-selector-list-item[data-playlist-index='"+t+"']");s.isVideo&&!0===s.options.autoClosePlaylist&&mejs.Utils.toggleClass(s.playlistLayer,s.options.classPrefix+"playlist-hidden"),mejs.Utils.removeClass(i,s.options.classPrefix+"playlist-selected"),mejs.Utils.addClass(a,s.options.classPrefix+"playlist-selected"),s.openPlaylistSubFolders(a),s.currentPlaylistItem===t&&!0!==e||(s.currentPlaylistItem=t,s.options.googleAnalyticsTitle=s.playlist[t].title+(null!==s.playlist[t].description?" | "+s.playlist[t].description:""),s.setSrc(s.playlist[t].src),s.setPoster(s.playlist[t].poster),s.adsCurrentMediaUrl=s.playlist[t].src,void 0!==s.adsDataIsLoading&&!0===s.adsDataIsLoading||(void 0!==s.playerDownloadButton&&(!1===s.playlist[s.currentPlaylistItem].download?s.playerDownloadButton.style.display="none":s.playerDownloadButton.style.display="inline-block"),s.load(),(s.node.getAutoplay()||l)&&setTimeout(function(){s.play()},200),s.options.features.forEach(function(t){"speed"===t&&void 0===s.speedButton&&s.buildspeed(s,s.getElement(s.controls),s.getElement(s.layers),s.media)})),s.loadPlaylistTracks(s.currentPlaylistItem))},loadPlaylistTracks:function(t){var s=this,t=s.playlist[t].textTracks;s.trackFiles=[],0<t.length&&t.forEach(function(t,e){var l=document.createElement("track");l.kind=t.kind,l.label=t.label,l.src=t.src,l.srclang=t.srclang,s.trackFiles.push(l)}),setTimeout(function(){s.rebuildtracks(),s.changeLayout(),s.loadTrack(0),s.tracks.forEach(function(t,e){t.srclang===s.options.startLanguage&&s.setTrack(t.trackId)})},1e3)},openPlaylistSubFolders:function(t){for(var e=t.parentNode;e.classList.contains(this.options.classPrefix+"playlist-selector-list-item-folder-hidden");)e.previousSibling.click(),e=e.parentNode},changeLayout:function(){var t,e,l=this;void 0===l.leftcontrols&&(t=document.createElement("div"),e=document.createElement("div"),mejs.Utils.addClass(t,l.options.classPrefix+"controls-left"),mejs.Utils.addClass(e,l.options.classPrefix+"controls-right"),l.controls.appendChild(t),l.controls.appendChild(e),l.leftcontrols=t,l.rightcontrols=e),l.controls.querySelectorAll(".wpcp__prev-button, .wpcp__playpause-button, .wpcp__next-button, .wpcp__volume-button, .wpcp__horizontal-volume-slider, .wpcp__currenttime-container, .wpcp__time, wpcp__duration-container").forEach(function(t){l.leftcontrols.appendChild(t)}),l.controls.querySelectorAll(".wpcp__skip-back-button, .wpcp__jump-forward-button, .wpcp__speed-button, .wpcp__shuffle-button, .wpcp__loop-button, .wpcp__download-button, .wpcp__fullscreen-button, .wpcp__playlist-button, .wpcp__captions-button, .wpcp__chromecast-button, .wpcp__airplay-button").forEach(function(t){l.rightcontrols.appendChild(t)}),l.container.parentNode.appendChild(l.playlistLayer)}})},{}]},{},[1]);